label c2e3_late:
    play sound sfx_noise_class loop fadein 2.0
    scene classroom
    show alice_pink at l1
    with long
    $lbag = False
    $dbackpack = False
    $dface = "sidelook"
    $dright = "n"
    $dleft = "n"
    $aface = "sidelook"
    $astrap = False
    $aleft = "n"
    $ablush = False
    $dblush = False
    $aright = "backpack"
    "As I enter the classroom I see that class has not started yet."
    "The teacher is answering the questions of a student in the front row."
    $aface = "smile"
    $astrap = True
    $aright = "n"
    a_t "Perfect."
    a_t "This is my chance to sneak in and he will not notice I'm late."
    "I close the door behind me, careful not to make a noise."
    "Professor Moore continues with his explanation, but I know it won't take long for him to catch up with the class."
    $aface = "resolute"
    a_t "I have to get to my seat before that happens."
    if iDarren.points > 30:
        "I see Darren sitting next to my chair."
        a_t "He's already in class, of course."
        "He must have noticed I was watching him because he turned to me."
        a_t "What spidey sense, it didn't take him three seconds to realize it!"
        "Darren understands my intentions to reach him without being seen and with worried gestures he signals me to be careful."
        $aleft = "mouth"
        "I put a finger to my lips, asking him to calm down."
        $aleft = "n"
        $aface = "scared"
        a_t"With all that fuss he's going to attract more attention than me."
    else:
        pass

    $aface = "resolute"
    a_t"I only have to cross the hall and then three rows of tables separate me from achieving my goal."
    a_t "I almost have it..."
    $lright = "waist"
    $lleft ="n"
    $lface = "wicked"
    $lbag = False
    $aface = "akward"
    show lei_n at center with dissolve
    l "Good morning Alice!"
    "Lei's fake friendly voice rises above the class."
    a_t "Shit. I had forgotten about her."
    $aface = "scared"
    l "I'm so glad that you could make it!"
    l "When they closed the door and you weren't here, I didn't think you would come."
    $lleft = "posh"
    l "We would've missed your presence so much!"
    $lleft = "n"
    "The tone is sweet but her face, with her back to the teacher, reveals an evil smile."
    $pface = "n"
    $pright = "n"
    $pleft = "n"
    show profe_n at right with long
    p "Miss Brooks."
    "The Professor turns from the student he was with and addresses me directly."
    $aface = "akward"
    a "Hi..."
    $aface= "morros"
    $pface = "angry"
    p "This is the second day  that you are late."
    $pleft = "explain"
    p "I think I remember that yesterday you were warned that punctuality is important at this university."
    p "Are you going to make a habit out of this?"
    $pleft = "n"
    $aright = "shame"
    $aleft = "shame"
    a "No, I'm sorry Professor Moore."
    $aface = "scared"
    a "I was on time, but I got distracted on the way here."
    p "That doesn't say much in your favor."
    $pleft = "explain"
    p "You are lucky that Smith was consulting me about the syllabus and I have not started today's lesson yet."
    p "Otherwise I would be forced to make you leave the classroom."
    $pleft = "up"
    p "Have a seat, please."
    $pleft = "n"
    a "Yes, thank you Professor Moore."
    a "It will not happen again."
    p "You already said that yesterday and it turned out not to be true."
    p "Avoid promising things that you do not know if you are capable of."
    "I bow my head. I can't say anything, he's right."
    $pface = "n"
    p "Settle down everyone and prepare to take notes for today's lesson."
    stop sound fadeout 2.0
    play sound sfx_class loop fadein 2.0
    hide lei_n
    hide profe_n
    $aface = "morros"
    $aleft = "n"
    $aright = "n"
    $abackpack = False
    $astrap = False
    with long
    scene classroomb:
        zoom 1.5
    show alice_pink at l1:
        zoom 1.5 yoffset 480
    show darren_n at r1:
        zoom 1.5 yoffset 480
    with long
    "I flop into the chair, defeated."
    if iDarren.points > 30:
        $dface = "puzzled"
        d "How are you late?"
        $dright = "explain"
        d "I saw you at the front door when I entered class, 20 minutes ago!"
        $aface = "resolute"
        a "Good morning to you too, 'D'."
        a "I've been an idiot, period. I'd rather not talk about it."
        jump c2_darrenclass
    else:
        jump c2_refriendarren





####### LLEGAR A TIEMPO
label c2e3_ontime:
    play sound sfx_noise_class loop fadein 2.0
    scene classroom
    $lbag = False
    show alice_pink at l1
    with long
    $aface = "smile"
    $aleft = "n"
    $aright = "n"
    "When I enter the classroom, it is still half empty."
    "A dozen students chatter between the tables, there is a bustle and the teacher is at his desk going through some papers."
    $pface = "n"
    $pleft = "n"
    $pright = "n"
    show profe_n at right with long
    if c1_mooremeeting:
        $aface = "+smile"
        a "Good morning Professor Moore!"
        $aface = "smile"
        $pface = "happy"
        "He looks up from the papers and smiles."
        p "Good morning to you too, Miss Brooks."
        $pleft = "up"
        $pface = "n"
        p "Nice to see you on time today."
        $pleft = "n"
        a "I promised you it wouldn't happen again, I had to be true to my word."
        p "I see. I'm glad it's like that."
        p "Don't forget that you have a meeting with me tomorrow to talk about this mysterious project."
        $aface = "+smile"
        a "I wouldn't miss it for anything!"
        $pface = "happy"
        $aface = "akward"
        "Professor Moore stares at me with a half smile on his face."
        $aleft = "head"
        a "Sorry, I just meant to say... I won't miss the meeting."
        $aleft = "n"
        $aface = "smile"
        p "Your enthusiasm is commendable, miss."
        p "I'm sure whatever you are up to will be interesting."
        $pleft = "explain"
        p "I won't keep her anymore, I'm sure she'll want to socialize a little before class starts."
        $pleft = "n"
        $aface = "+smile"
        a "Thank you, Professor Moore."
        $aface = "smile"
        $abackpack = False
        $astrap = False
        $aleft = "n"
        $aright = "n"

        hide profe_n with long
        scene classroomb:
            zoom 1.5
        show alice_pink at l1:
            zoom 1.5 yoffset 480
        show darren_n at r1:
            zoom 1.5 yoffset 480
        with long
        "Crossing the aisle between tables I go to my place and sit down."
        jump c2_darrenclass


    elif c1_alicescholarship == True and c1_mooremeeting == False:
        jump c2_professor_metting

    elif c1_professorchat == False:
        $aface = "+smile"
        a "Good morning Professor Moore!"
        $aface = "smile"
        $pface = "happy"
        "He looks up from the papers and smiles."
        p "Good morning to you too, Miss Brooks."
        $pleft = "up"
        $pface = "n"
        p "Nice to see you on time today."
        $pleft = "n"
        jump c2_remoore

###### START MOORE CONDICIONALS
label c2_professor_metting:
    $aface = "+smile"
    a "Good morning Professor Moore!"
    $aface = "smile"
    $pface = "happy"
    "He looks up from the papers and smiles."
    p "Good morning to you too, Miss Brooks."
    $pleft = "up"
    $pface = "n"
    p "I see you made it here on time today."
    $pleft = "n"
    $aleft = "explain"
    a "I promised you it wouldn't happen again, I had to be true to my word."
    $aleft = "n"
    p "I see. I'm glad it's like that."
    $pleft = "explain"
    p "Have you thought more about letting me in on this mysterious project of yours?"
    $pleft = "n"
    menu:
        "Tell him about my father's project [JSMRT5]":

            $c1_mooremeeting = True
            a"Well..."
            $iAlice.Smart(5)
            $aface = "smile"
            a"There is a project that I have wanted to complete for some time."
            a"And I was wondering if it would work as a part of the test, but even if it doesn't help me get the scholarship it will at least help me work out the kinks."
            $pface = "happy"
            p"I think that's a great idea."
            $pleft = "up"
            p "You could bring what you've been working on and we could see if you could use it!"
            $pleft = "n"
            $aface = "+smile"
            a"That would be perfect!"
            $aface = "smile"
            $pface = "n"
            "He looks at the time."
            p"Now I have to prepare the class, but on Wednesday I will be in my office."
            p"How about meeting with me tomorrow and discussing these issues in a more relaxed way?"
            "I nod."
            p"Wednesday then."
            p"Don't forget to bring that mysterious project."
            a"Thank you very much for your time Professor Moore."
            $pface = "happy"
            p"You're welcome!"
            pass

        "Divert the question":

            a "No, I'm still not ready to talk about it."
            p "Okay, I don't want to disturb you, miss."

    p "I won't keep her any longer, I'm sure she'll want to socialize a little before class starts."
    $aface = "+smile"
    a "Thank you, Professor Moore."
    $aface = "smile"
    hide profe_n with long
    "Crossing the aisle between tables I go to my place and sit down."
    $aface = "smile"
    $abackpack = False
    $astrap = False
    $aleft = "n"
    $aright = "n"
    scene classroomb:
        zoom 1.5
    show alice_pink at l1:
        zoom 1.5 yoffset 480
    show darren_n at r1:
        zoom 1.5 yoffset 480
    with long
    jump c2_darrenclass


label c2_remoore:
    $pleft = "up"
    p"Can I help you?"
    $pleft = "n"
    menu:
        "Apologize for being late yesterday [JSMRT5]":

            jump c2_mooreapologize
        "Ask about the scholarship [JSMRT5]":

            jump c2_moorescholarship



label c2_mooreapologize:
    $iAlice.Smart (5)
    $aface = "scared"
    $aleft = "head"
    a"I just wanted to apologize for interrupting class yesterday."
    $aleft = "n"
    a"It won't happen again, I'm sorry."
    $aface = "n"
    p"Apology accepted, miss..."
    a"Brooks. Alice Brooks."
    p"Nice to meet you, miss Brooks."
    $pface = "puzzled"
    "He hesitates, trying to remember something."
    $pleft = "up"
    p"I don't recall seeing you at the introductory meetings."
    $pleft = "n"
    $pface = "n"
    $aface = "smile"
    a"I would be surprised if you did, because I wasn't there."
    a"I'm not from here and I wasn't able to move in until yesterday, so I couldn't attend."
    p"New to the big city… It can be hard to get used to these kinds of changes."
    $pleft = "up"
    p"I will be your tutor this year, so any questions that may arise feel free to ask me."
    $pleft = "n"
    $aface= "n"
    a"Well..."
    menu:
        "I only need some time [JSMRT5] [MW1]" if iAlice.rude < 44:

            $iAlice.Smart(5)
            $aface= "smile"
            a"It's usually a matter of time."
            a"In a few days I'll know where everything is and I'll feel more comfortable."
            $aface = "+smile"
            a"After all, we've all been new at some point."
            $iWilliam.Points(5)
            $aface= "smile"
            $pface = "happy"
            "The professor didn't expect that kind of reply, I've clearly surprised him."
            p"A very accurate way of thinking, Miss Brooks."
            $pleft = "up"
            p"And very mature."
            p"I don't think it will take you too long to make new friends here."
            p"I believe that if you make a friend in the firsts days of university, it's a step in the right direction."
            $pleft = "n"
            $aface = "+smile"
            a"I hope you're right!"
            $aface = "scared"
            $aleft = "explain"
            a"Although if the closest thing I get to a friend today is my teacher, I don't know if it counts as a good start."
            $aface = "smile"
            $aleft = "explain"
            $pleft = "explain"
            p"Hahaha! Maybe you're right, miss Brooks!"
            $pleft = "n"
            $pface = "n"
            p"Did you want to talk about something else before the class starts?"
            menu:
                "Ask about the scholarship [JSMRT5]":

                    jump c2_moorescholarship
                "Leave":

                    $pface = "n"
                    a"I don't want to disturb you more than necessary."
                    a"Thanks for your time, pr. Moore."
                    $pleft = "explain"
                    $pface = "happy"
                    p"You’re welcome!"
                    $pleft = "n"
                    p "I won't keep her any further, I'm sure she'll want to socialize a little before class starts."
                    $aface = "+smile"
                    a "Thank you, Professor Moore."
                    $aface = "smile"
                    hide profe_n with dissolve
                    "Crossing the aisle between tables I go to my place and sit down."
                    $aface = "smile"
                    $abackpack = False
                    $astrap = False
                    $aleft = "n"
                    $aright = "n"
                    scene classroomb:
                        zoom 1.5
                    show alice_pink at l1:
                        zoom 1.5 yoffset 480
                    show darren_n at r1:
                        zoom 1.5 yoffset 480
                    with long
                    jump c2_darrenclass



        "If the classmates weren't so mean it'll be easier. [JRU5] [MW1] [JSMRTN5]":

            $aface = "sad"
            a"It's been a difficult start."
            $aface = "+sad"
            $ahair = "ndown"
            $aglasses = "down"
            $aleft = "sad"
            $aright = "sad"
            a"It would be easier if people were less unpleasant..."
            $pface = "puzzled"
            p"What do you mean?"
            $pface = "n"
            $aface = "resolute"
            $ahair = "n"
            $aglasses = "n"
            a"When I walked in yesterday and the girl in the front row was so rude to me."
            $pleft = "explain"
            $aleft = "n"
            $aright = "n"
            p"Perhaps Miss Hudson was unnecessarily blunt, but everything she said was true."
            p"Being late has its consequences and people who break the rules must accept them."
            $pleft = "n"
            $aface = "annoyed"
            $iAlice.Rude(5)
            $aleft = "explain"
            a"Yes, but making a fool out of me infront of you and the whole class is mean and rude."
            $pface = "angry"
            $aleft = "n"
            $pleft = "up"
            $iWilliam.Points(-5)
            p"Miss Brooks, I don't think this is an appropriate conversation to have with a faculty member. "
            $pleft= "n"
            $iAlice.Smart(-5)
            $aface = "mess"
            $aleft = "mouth"
            a_t"Shit, I messed up."
            $aleft = "n"
            p"I suggest you remember that you're not in secondary school anymore."
            $pleft = "explain"
            p"If you are really interested in the scholarship as it seemed to me before, stop gossiping and focus on your studies."
            $pleft = "n"
            $pface= "n"
            "He looks at the time."
            p"If you'll excuse me, I have to prepare the class."
            a"Yes Professor Moore. Sorry..."
            hide profe_n with dissolve
            a_t"I was trying to apologize but I only managed to make it even worse."
            $aface = "resolute"
            a_t"Well done Alice, good way to start your day, better just kept quiet from now on."
            "Crossing the aisle between tables I go to my place and sit down."
            $aface = "smile"
            $abackpack = False
            $astrap = False
            $aleft = "n"
            $aright = "n"
            scene classroomb:
                zoom 1.5
            show alice_pink at l1:
                zoom 1.5 yoffset 480
            show darren_n at r1:
                zoom 1.5 yoffset 480
            with long
            jump c2_darrenclass

        "Leave":

            $pface = "n"
            a"I don't want to disturb you more than necessary."
            a"Thanks for your time, pr. Moore."
            $pleft = "explain"
            $pface = "happy"
            p"You’re welcome!"
            $pleft = "n"
            hide profe_n with dissolve
            "Crossing the aisle between tables I go to my place and sit down."
            $aface = "smile"
            $abackpack = False
            $astrap = False
            $aleft = "n"
            $aright = "n"
            scene classroomb:
                zoom 1.5
            show alice_pink at l1:
                zoom 1.5 yoffset 480
            show darren_n at r1:
                zoom 1.5 yoffset 480
            with long
            jump c2_darrenclass


label c2_moorescholarship:
    $iAlice.Smart(5)
    $c1_alicescholarship = True
    $aface ="n"
    $pface = "n"
    a"I wanted to ask you about the scholarship."
    if c1_alicescholarship == False:
        $aleft = "explain"
        a"Is it true that this is the first time it's been offered?"
        $aleft = "explain"
        p"Yes, it's the first year that Hudson&Huds is giving out this wonderful opportunity."
        a"I was wondering if the tests were available already."
        a"I would like to prepare as much as possible."
        p"I'm afraid not, Miss Brooks."
        $pleft = "explain"
        p"The university is taking very severe measures to ensure that all students have the same opportunities to get the scholarship, without benefiting anyone."
        p"It is a delicate matter as Miss Hudson is also part of the stundent body."
        $pleft = "up"
        p"Considering that she is related to the CEO of H&H, we must ensure that there is no doubt when it comes to selecting the winner."
        $pleft = "n"
        $aface = "surprise"
        a"Oh."
        $aface = "sidelook"
        if c1_darrenfriend:
            a_t"Lei Hudson..."
            a_t"I should've known. She didn't even act surprised when the announcement was made."
        else:
            a_t"A Hudson..."
            a_t"I bet she we'll be Lei, she didn't even act surprised when the announcement was made."
        $aface = "resolute"
        a_t"This is gonna make it even harder for me!"
        $aface = "n"
        p"You will just have to wait to know more about the tests, like everyone else."
        $pface = "happy"
        $iWilliam.Points(5)
        p"Although judging by that look you have, it seems as if you already have something in mind."
        $pface = "n"
        jump c2_project

    else:
        t "Judging by that look you have, it seems as if you already have something in mind."
        $pface = "n"
        jump c2_project

    menu c2_project:
        "Tell him about my father's project [JSMRT5]":

            $c1_mooremeeting = True
            a"Well..."
            $iAlice.Smart(5)
            $aface = "smile"
            a"There is a project that I have wanted to complete for some time."
            a"And I was wondering if it would work as a part of the test, but even if it doesn't help me get the scholarship it will at least help me work out the kinks."
            $pface = "happy"
            p"I think that's a great idea."
            $pleft = "up"
            p "You could bring what you've been working on and we could see if you could use it!"
            $pleft = "n"
            $aface = "+smile"
            a"That would be perfect!"
            $aface = "smile"
            $pface = "n"
            "He looks at the time."
            p"Now I have to prepare the class, but on Wednesday I will be in my office."
            p"How about meeting with me tomorrow and discussing these issues in a more relaxed way?"
            "I nod."
            p"Wednesday then."
            p"Don't forget to bring that mysterious project."
            a"Thank you very much for your time Professor Moore."
            $pface = "happy"
            p"You're welcome!"
            hide profe_n with long
            "Crossing the aisle between tables I go to my place and sit down."
            $aface = "smile"
            $abackpack = False
            $astrap = False
            $aleft = "n"
            $aright = "n"
            scene classroomb:
                zoom 1.5
            show alice_pink at l1:
                zoom 1.5 yoffset 480
            show darren_n at r1:
                zoom 1.5 yoffset 480
            with long
            jump c2_darrenclass


        "Divert the question [JRUN5]":

            $iAlice.Rude(-5)
            $aface = "sidelook"
            a_t"I haven't shown the project to anyone other than Sophie, and I don't feel ready yet to take that step."
            $aface = "n"
            a"No, it's nothing."
            a"It's not ready to be shown yet..."
            p"As you wish."
            "He doesn't insist, but from his tone it's clear that he's somewhat disappointed with my answer."
            $pleft = "up"
            p"But remember: fear won't get you anywhere."
            $aleft = "shame"
            $aright = "shame"
            a"You're right..."
            "He looks at the time."
            p"Sorry Miss Broks, but I have to prepare the class now."
            $pface = "n"
            a"Oh, don't worry! I don't want to disturb you more than necessary."
            a"Thanks for your time, pr. Moore."
            $pleft = "explain"
            $pface = "happy"
            p"You’re welcome!"
            $pleft = "n"
            hide profe_n with dissolve
            "Crossing the aisle between tables I go to my place and sit down."
            $aface = "smile"
            $abackpack = False
            $astrap = False
            $aleft = "n"
            $aright = "n"
            scene classroomb:
                zoom 1.5
            show alice_pink at l1:
                zoom 1.5 yoffset 480
            show darren_n at r1:
                zoom 1.5 yoffset 480
            with long
            jump c2_darrenclass







######  END MOORE CONDICIONALS





######  START DARREN CONDICIONALS
label c2_darrenclass:
    if iDarren.points < 30:
        jump c2_refriendarren

    elif c1_darrentalk:
        $aface = "smile"
        a "How was your game session yesterday? Interesting?"
        jump c2_talkrole

    elif iDarren.points > 30 and c1_darrentalk == False:
        $aface = "smile"
        a "Good morning, 'D'!"
        $dface= "angry"
        d "Could you please stop calling me that?"
        $dright = "explain"
        d "I have a name and I prefer that all the letters of this are used when spoken to me."
        $dright = "n"
        $aface = "smile"
        a "If I use all the letters you don't make that cute sulky face."
        $dface = "shy"
        $dblush = True
        d "Oh, uh..."
        d "Do you... uh, do you think it's cuter than normal?"
        a "Hahaha, now you've turned red!"
        $dface = "sideakward"
        d "Okay, you have a great time at my expense..."
        $dblush = False
        $aface = "smile"
        a "No fool."
        jump c2_rerole


label c2_rerole:
    $aleft = "n"
    $aright = "n"
    $aface = "smile"
    $dface = "s"
    $dface = "n"
    a "Did you do something interesting yesterday after class?"
    "I try to bond a little with him."
    $dface = "sideakward"
    d "Well.. I was in a role-playing game."
    $aface = "smile"
    a"You play RPGs?"
    $dface = "smile"
    $dblush = False
    d"Oh, yes. We’re usually a small group of four or five that play online and in person a few days a week."
    menu:
        "I love RPG games! [MD1] [JGR5]":

            $c1_rolgood = True
            $aface = "+smile"
            $aright = "n"
            $aleft = "n"
            $dright = "n"
            a "Oh, cool! I love RPG games!"
            $dface = "surprise"
            $aface = "smile"
            d"You like to roleplay? Seriously?"
            a"Well, one time I managed to convince my ex and my best friend to play a game."
            a"No one in my town was interested in this kind of thing, so it was difficult."
            $iDarren.Points(5)
            $dright = "explain"
            d"I can't believe you like it... Where have you been all these years?"
            $dright = "n"
            "I know it's a joke but I can't help but wonder if part of him is serious."
            a"Stop it! Hahaha, it would be cool to play again."
            $dface = "smile"
            d"This, uh, sure!"
            d"I can invite you next time sure!"
            a "Cool!"
            $dface = "sidelook"
            d"They won't believe that I'm bringing a real girl..."
            $dface = "sideakward"
            $aface = "puzzled"
            a"What?"
            $dblush = True
            d "Uh, nothing, I was talking to myself."
            $dface = "smile"
            a "And how was your game session yesterday? Interesting?"
            jump c2_talkrole

        "I don't like that nerdy stuff [MDN1] [JGR6]":

            $c1_rolbad = True
            $aface = "resolute"
            a "Ugh, I've never liked that nerdy stuff."
            $dface = "sidelook"
            $aface = "n"
            d"Well, I just said that I was going, I didn't ask for your opinion."
            a"Don't worry, as long as you don't force me to go there's no problem."
            d"I usually go alone, so okay. It won't be a big change in my life."
            $aface = "+smile"
            a"Hahahaha!"
            $dface = "angry"
            $aface = "mess"
            $aleft = "mouth"
            $iDarren.Points(-5)
            d"I wasn't joking..."
            $dface = "sidelook"
            a "Anyway, how was your game session yesterday? Interesting?"
            jump c2_talkrole




label c2_refriendarren:
    "The nerd from yesterday is already there, staring at the ground as usual."
    $aface = "sidelook"
    a_t "Maybe I was too rude to him yesterday..."
    menu:
        "Try talking to him [MD1]":

            $aface = "akward"
            a "Good morning."
            $dface = "shy"
            nerd "..."
            "He doesn't answer, he doesn't look up."
            $aface= "sidelook"
            "For a moment I doubt if I really said something or just thought about it."
            a "I'm sorry, I know I was very out of line yesterday... I had a horrible day and I took it out on you."
            $aface = "scared"
            a "I didn't mean it. I hope you can forgive me."
            if c1_nomood:
                $dface = "sideakward"
                "The nerd raises his head for a moment, looks at me and returns his head to his notes, without saying a word."
                $aface = "resolute"
                $dface= "shy"
                a "Nothing to say?"
                $dface = "sideakward"
                nerd "..."
                $daface = "shy"
                "Still no response."
                $aface = "mess"
                a_t "I can't blame him either."
                a_t "Yesterday I was really mean to him, if someone had treated me like that I wouldn't want to talk to them either."
                $aface = "n"
                "I give up trying to socialize with him and turn my attention back to the teacher."
                hide alice_pink
                hide darren_n
                scene classroom
                show alice_pink at left
                show darren_n at l3
                show profe_n at right
                with long
                $dface = "n"
                p "Guys, please pay attention to class."
                jump c2e4

            if c1_nomood == False:
                $dface = "sidelook"
                "The nerd finally lifts his head and glances at me."
                nerd "The truth is that you were wrong about me."
                $aface = "mess"
                $dface = "shy"
                a "I'm sorry..."
                "He moves nervously in the chair, without looking me in the eye, and I swear he has turned a little red."
                $aface = "smile"
                a "I hope you weren't saving the place for anyone."
                $dface = "sidelook"
                nerd "Eh, ah... I wasn't."
                $dface = "shy"
                "I try to joke but it only makes him more nervous."
                "From my seat I can see how he uses his pant legs to dry his sweaty palms."
                $dface = "akward"
                nerd "Eh... You don't have to start small talk if you don't want to."
                $dright = "explain"
                nerd "I'll give you my notes anyway, don't worry."
                $aface = "puzzled"
                $dface = "sideakward"
                $dright = "n"
                a "What?"
                nerd "Someone like you wouldn't normally choose to sit next to me if there was any other option."
                nerd "You don't have to... uh... try to hide it. "
                $dface = "shy"
                nerd "I'm used to it."
                $aface = "n"
                "He sounds resigned, but I still try my best to start a conversation."
                $dface = "sidelook"
                a "Someone like me? I’ve never been a popular girl!"
                a "When I was younger I was your typical tomboy, I looked awkward and clumsy."
                a "I was lucky and my teen years did wonders, but I’m still the same person I was when I was a kid."
                $dface = "shy"
                $dblush = True
                nerd "Uh, eh, I..."
                $aface = "+smile"
                a "So prepare yourself cause you're stuck with me for the rest of the year!"
                a "And sitting next to you won’t be that bad, at least you’re not Lei!"
                $dface = "surprise"
                $dblush = False
                "He looks at me and smiles."
                nerd "That's true..."
                $aface = "n"
                $dface = "shy"
                nerd "I'm sorry if, uh, if I bothered you with what I said before."
                $aface = "smile"
                a "Don't worry, you don't have to apologize, but PLEASE tell me I’m not the ONLY one who thinks that she's a bit of a dick."
                $dface = "akward"
                $dblush = False
                nerd"I went to secondary school with her, believe me when I tell you that you haven’t seen anything yet."
                $aface = "+surprise"
                a"Really! So you know her?"
                $dface = "n"
                $aface = "smile"
                nerd"Unfortunately... yes."
                nerd"Almost all of us here went to secondary school together so we've known each other for years now."
                a"Well, I bet she was the type of girl that would break everyone's toys just for the heck of it."
                $iDarren.Points(5)
                $dface = "surprise"
                nerd"Hahaha! You're not wrong."
                $dface = "happy"
                "It seems that he likes this subject so I decide to keep going."
                a"It must have been quite an experience knowing her for so long..."
                $aface = "n"
                a"Has anyone ever stood up to her?"
                $dface = "n"
                nerd"No, never."
                $dface = "sidelook"
                nerd "People either love her or are terrified of her."
                nerd"The Hudsons carry it in their genes."
                nerd"She and her brother always end up being the most popular wherever they go."
                nerd"They’re the kind of people everyone ends up voting as prom king and queen, even if they don't know them."
                $aface = "resolute"
                $dface = "n"
                a"I’ve never liked those types of people."
                a"I’m sure she’s just a spoiled daddy's little girl from uptown."
                $dface = "sidelook"
                nerd"..."
                "He stares at me, serious again."
                $aface = "sidelook"
                a"...right?"
                $dface = "n"
                nerd"You... you don’t know who you’re talking about, you don’t know her."
                nerd"She is like... like a snake, she wouldn’t hesitate to wreck your life."
                $aface = "mess"
                a"Gulp."
                "It seems like I've judged her too quickly."
                nerd"If I were you, I wouldn’t risk it."
                nerd"My advice?"
                nerd "Try to stay under her radar if you want your university experience to be pleasant."
                $aface = "scared"
                a"Thanks for the tip…"
                a "I’ll try not to draw attention to myself, then."
                $dface = "happy"
                nerd "Good idea."
                $dface = "smile"
                $aface = "n"
                d"By the way, I’m Darren."
                d"Not Darry and never “D”."
                d"Just Darren."
                $iDarren.option = "show"
                d"As long as you don’t get mixed up in any weird stuff, we’ll get along just fine."
                $aface = "smile"
                $dface = "happy"
                a"I'm Alice."
                $aface = "+smile"
                $dface = "angry"
                a"Nice to meet you, \"D\"."
                "It's impossible not to tease him."
                d"Fuck you, \"Allie\"."
                jump c2_rerole

        "He deserved to be treated like this":

            $aface = "resolute"
            a_t "Nah, he must be more than used to being treated like that."
            a_t "I don't have to worry, and I don't want to have him in my social circle or anything like that."
            hide alice_pink
            hide darren_n
            scene classroom
            show alice_pink at left
            show darren_n at l3
            show profe_n at right
            with long
            $aface = "n"
            $dface = "n"
            p "Guys, please pay attention to class."
            jump c2e4

######  END DARREN CONDICIONALS


######  NEW DARREN ROLE
label c2_talkrole:
    if c1_rolbad:
        $dface = "sideakward"
        d "Did you really want to talk about that?"
        $dright = "explain"
        d "You told me that you weren't into that nerdy stuff."
        d "If it's just to laugh at me then I'd rather keep it to myself."
        $dright = "n"
        $aleft = "explain"
        a "Just because I'm not personally interested doesn't mean that I don't want to know if you had a good time or not."
        $aleft = "n"
        d "Well... if you're interested..."

    $aface = "smile"
    d "It was amazing."
    "His eyes light up when he talks about it."
    $dface = "happy"
    d "And it's not right for me to say it, being the master, but it was really cool."
    $dright = "explain"
    d "I led the party on a side quest to get an item from an abandoned village."
    $dface = "akward"
    d "And look, I gave them the information that the area was not safe..."
    $dface = "happy"
    d "But still instead of taking the damn mirror and leaving, they wanted to investigate."
    $dright = "n"
    d "Obviously I knew it was a bad idea, but Marlene got so stubborn..."
    $aface = "puzzled"
    $aleft ="explain"
    a "Marlene?"
    a "Didn't you say there were no girls in your role-playing group?"
    $aleft = "n"
    $dface = "akward"
    d "Correction: I said there are no real girls."
    d "Marlene doesn't count, she's just another colleague."
    $aface = "sidelook"
    a "I don't know if she would agree with that..."
    $dface = "happy"
    "I mutter to myself, but Darren is so caught up in telling the game that he doesn't listen to me."
    $dright = "explain"
    $aface = "smile"
    d "Because I was greedy I ended up letting them go and they came to a tower where there was a large chest in the middle..."
    $dface = "smile"
    d "Fools thought it was a mimic or something."
    "Darren stops his explanation and chuckles under his nose."
    d "But what they were not expecting was that above their heads was the nest of a young green dragon!"
    d "They still wanted to try to catch it..."
    $dface = "sidelook"
    "He comes out of his reverie for a moment, realizing that I am looking at him without saying a word and he regains his usual insecurity."
    $dface = "sideakward"
    d "..."
    $dface = "akward"
    $dblush = True
    d "Eh... Sorry. I'm getting carried away."
    $dblush = False
    $dface = "happy"
    d "They ended up running away half dead with a dragon chasing them."
    $dface = "sidelook"
    d "That's what they get for being greedy."
    "He looks at me for a reaction."
    $dface= "akward"
    d "What's wrong? Isn't that funny to you?"
    $aface = "sidelook"
    a "I think I would need a glossary to understand even half of what you just said."
    $aface= "puzzled"
    $aleft = "explain"
    a "What the hell is a mimic?"
    $aleft = "n"
    $aface
    if c1_rolgood:
        $dright = "explain"
        d "Ugh, you are such an RPG noob..."
    $dright = "explain"
    d "Mimics are... uh... a type of monster that can take the form of objects, as in this case of a chest, to attract prey."
    $dright ="n"
    "I look at him, blinking and Darren gets half angry."
    $dface = "angry"
    $dright ="explain"
    d "Hey, if you don't understand me we can talk about other things."
    d "Contrary to what you think I'm more than a nerd, you know?"
    $dright ="n"
    $aface = "sidelook"
    "My silence reveals my skepticism about his statement."
    a_t "I hardly understood it but it is the first time that he has spoken so much in a rush and without hesitation..."

    menu:
        "I like the way his eyes shine when he talks like that [MDH1]":

            $iDarren.Hot(5)
            pass
        "Geek is in his blood!":

            pass


    $dface= "n"
    $aface = "n"
    "A few seconds pass in silence for Darren to speak again."
    $dright ="explain"
    d "By the way, do you like Brandon Sanderson novels?"
    $dface = "happy"
    d "The new book of Stormlight Archive just came out."
    $dface = "smile"
    d "I can't wait to read it!"
    if iAlice.smart > 44:
        $aface = "smile"
        $dface = "happy"
        $dblush = True
        $aleft = "explain"
        a "Me neither! I love all of his books."
        a "He's super prolific, he publishes at least one book every year."
        $aleft = "n"
        d "..."
        $dface = "smile"
        d "You are too good to be true. Are you sure you aren't a mimic?"
        $aface = "+smile"
        a "Hahaha!"
    else:
        $aface = "akward"
        $dface = "sidelook"
        a "..."
        $dface = "puzzled"
        d "You really don't know him?"
        $aleft = "explain"
        a "I have no idea who it is."
        $aleft ="n"
        $dright = "explain"
        d "He is one of the most important fantasy authors of the moment, along with Patrick Rufus and George R. R. Martin."
        d "He's super prolific, he publishes at least one book every year."
        $dface= "akward"
        d "I can't believe you don't know him..."
        $aface = "sidelook"
        a "Really, Darren, sometimes I doubt we even speak the same language."
    hide alice_pink
    hide darren_n
    scene classroom
    $aface ="n"
    $ablush = False
    $aleft = "n"
    $aright = "n"
    $dleft = "n"
    $dright = "n"
    $dblush = False
    $pface = "n"
    $dface = "n"
    show alice_pink at left
    show darren_n at l3
    $pright = "book"
    show profe_n at right
    with long
    stop sound fadeout 2.0
    play sound sfx_class loop fadein 2.0
    p "Guys, please pay attention to class."
    jump c2e4
