label c4_e10:
    play music sfx_party loop fadein 2.0
    scene h_house with long
    pause 0.5
    show image "images/characters/meanwhile/meanwhile-d.webp" at truecenter with long
    pause 2
    scene h_living
    show darren_red at l2
    with long
    $dface = "akward"
    d "I've long lost sight of Sophie and Alice..."
    $dface = "sideakward"
    "He looks around."
    d "The room is full of people I recognize from class, but with whom I have never spoken."
    d "And I'm not going to start doing it now."
    "He makes his fourteenth round around the room, craning his neck trying to find Alice's red mane."
    $dface = "sidelook"
    d "Without success, I've tried like a dozen times before..."
    $dface = "shy"
    "His discomfort grows by the minute."
    d "It seems like everyone is having a great time."
    d "And I feel like the perfect example of social disengagement."
    d "I already knew coming to this party was not a good idea..."
    "Darren is like a ghost in the middle of the room. It seems like nobody sees him."
    $dface = "sidelook"
    d "Maybe if I drink something, I'll attract less attention than here, right in the middle of all these people."
    $dface = "n"
    "He approaches the bar, trying to break through the human wall that besieges the bartender."
    d "Excuse me... excuse me... I'm going to pass..."
    "After a long wait, it is his turn to order."
    wai "What do you want, kiddo?"
    $dface = "akward"
    d "I don't know."
    "The waiter raises an eyebrow, making it clear that he doesn't waste time."
    $dright = "explain"
    $dface = "sideakward"
    d "Ehhh... sorry. What can you offer me?"
    $dface = "sidelook"
    wai "Many things. Everything you see in the bar and something else in the refrigerators. Better tell me what you want, and I'll let you know if I have it."
    $dface = "sideakward"
    d "Hmm..."
    $dface = "sidelook"
    d "Water?"
    $dface = "sideakward"
    wai "Are you really going to ask for water?"
    wai "I have vodka, rum, tequila..."
    wai "From your face, you seem like you need one of those more than water."
    "A couple of the girls behind Darren are getting impatient."
    $dface = "shy"
    nk "Hey, if you don't know what you want, go back to the end of the queue!"
    d "This... I'm sorry..."
    wai "Wait a minute, miss, it's his turn now."
    wai "Come on, tell me, kiddo. What do you want?"

    menu:
        "Tomato juice":
            $dface = "smile"
            d "Okay, cancel the water."
            wai "Good! What's it gonna be?"
            d "Mmmm... Do you have tomato juice?"
            wai "What? I probably misheard you. Did you say cosmopolitan?"
            $dface = "puzzled"
            d "No, no. Tomato, tomato juice."
            $dface = "sideakward"
            d "It's just, uh... I don't drink alcohol and..."
            wai "Tomato juice? I don't know if I have any left..."
            wai "Maybe there is some leftover from the party where they ordered Bloody Marys."
            wai "Give me a second."
            "The waiter leaves and begins to search the refrigerators. The girls next to Darren judges him silently, furious."
            wai "Hey! I found one."
            wai "It expired a couple of weeks ago, but I don't think it has gone bad yet. What do you think?"
            $dface = "puzzled"
            d "It is the recommended consumption date. It shouldn't be much trouble for at least a couple of weeks."
            d "But it's a drink of fruit... Almost better I don't drink it, thank you."
            "The waiter starts to run out of patience."
            $dface = "shy"
            wai "After the time it took me to find you tomato juice? Would it be so difficult to order a normal drink?"
            wai "Look, I'll leave it here. Take it or leave it. I have more people waiting."
            wai "If you want something else, you will have to go to the back of the queue again."
            "The waiter decorates the juice with a straw and ice and places it in front of Darren."
            menu:
                "Drink it":
                    $Darkpy.set('c4_e9_liquid', 'tomato_juice')
                    $dface =  "sidelooking"
                    d "Now I feel bad leaving it here..."
                    "Darren takes the glass reluctantly."
                    $dface = "n"
                    d "Sniff, sniff."
                    d "It doesn't smell bad..."
                    "He takes a sip."
                    d "It doesn't taste bad..."
                    "He shrinks his shoulders."
                    $dface = "smile"
                    d "Meh."
                    "He takes a drink, trying not to think too much about the possible consequences, while he tries to keep up with the bass of the music that is playing with his head."
                    d "At least now, with a drink in my hand, I feel a little less uncomfortable..."

                "Don't drink it":
                    $Darkpy.set('c4_e9_liquid', 'water')
                    $dface = "sidelook"
                    d "..."
                    "Darren stares at his glass as he spins the ice with the straw, feeling the possibilities."
                    $dface = "puzzled"
                    d "I don't want to risk spending two days not being able to leave the bathroom."
                    "He walks away from the bar and sneakily dumps the inside of his glass into a pot."
                    $dface = "sidelook"
                    "He looks boths sides, making sure no one is looking."
                    d "I don't think anyone saw me."
                    $dface = "akward"
                    d "Well, neither now nor before surely..."

        "Something with alcohol [JGR50]":
            $Darkpy.set('c4_e9_liquid', 'alcohol')
            $dface = "sideawkward"
            d "So... I don't know."
            $dface = "akward"
            d "What do people around here drink?"
            wai "Are you doing a study or what?"
            wai "Well, anything that contains alcohol."
            wai "Alcohol, alcohol with soda, or alcohol with alcohol."
            wai "Did you catch the meaning?"
            $dface = "sideakward"
            d "Uh... yeah. Well, give me something alcoholic with soda."
            $dface ="akward"
            "The waiter reluctantly retreats to prepare his magical concoction."
            $dface = "shy"
            d "If I want to fit it, I have to learn to act like them..."
            "In no time, the waiter returns and gives Darren an indescribably colored drink accompanied by an open soda."
            wai "Here you go, boy."
            $dface = "puzzled"
            d "What is it?"
            wai "Almost better if you don't know. Yummy things, to cheer you up."
            $dface = "smile"
            d "Perfect, if that's what you think I need."
            $dface = "n"
            wai "You sure do."
            wai "Come on, see you later. Who's next? What do you want, beautiful?"
            "Darren sips his drink."
            $dface = "smile"
            d "It's sweeter than I imagined... Let's see what it tastes like with a little soda."
            $dface = "happy"
            d "Hum! It tastes even better."
            "He leans against a wall and moves his head up and down with the rhythm of the bass song."
            $dface = "smile"
            d "At least now, with a drink in my hand, I feel a little less uncomfortable..."
            "Without realizing it, he already drunk half of the glass."

        "Water":
            $Darkpy.set('c4_e9_liquid', 'water')
            $dface = "n"
            d "I think I still prefer water."
            "The waiter shrugs."
            wai "As you wish, kiddo."
            "He searches one of the fridges and gives Darren a small bottle of water."
            d "Thank you."
            wai "Come on, see you later. Who's next? What do you want, beautiful?"
            "Darren walks away from the crowd at the bar to lean against a nearby wall."
            $dface = "sideakward"
            d "At least now, with a drink in my hand, I feel a little less uncomfortable..."

    if Darkpy.get('c4_e9_liquid') == 'tomato_juice':
        $dface = "sideakward"
        "*Grrgfgh...*"
        "Darren's guts starts a strange symphony."
        $dface = "akward"
        d "It might not have been such a good idea to drink the expired juice... I'm starting to feel pretty bad."
        "The stomach aches added to the stress that the music and the hustle and bustle of the party begin to cause him, it starts to overtake him."
        $dface = "sideakward"
        d "I think I better go and find the bathroom... urgently..."
        "He goes back to the bar to ask the bartender."
        $dface = "akward"
        wai "You here again?"
        wai "Oh my gosh, you look pale man. And you didn't drink any alcohol yet!"
        wai "What do you want now, a mint tea?"
        $dface = "sideakward"
        d "No, no. Can you tell me where the bathroom is, please?"
        wai "Go up the stairs, the third door on the right. And good luck!"
    elif Darkpy.get('c4_e9_liquid') == 'alcohol':
        "After a while, Darren starts to feel strange."
        $dface = "akward"
        d "Ugh, I feel a little dizzy. I feel like my thoughts are slowing down."
        $dface = "sideakward"
        d "Is it just me, or has someone turned up the volume of the music?"
        d "The intensity of the lights starts to bother me, the colors..."
        $dface = "akward"
        "That feeling reminds him of a time when he drank a few San Franciscos, thinking that they didn't have alcohol per se."
        "People push him when they pass near him. A boy approaches him and shouts something intelligible in his ear. The music is getting louder..."
        d "This is too much for me. I really feel overwhelmed..."
        "Darren stats looking for options to get out of here."
        $dface = "sideakward"
        d "I think the bathroom is upstairs. Maybe there, I will have a bit of tranquility away from the noise. Let's see if I calm down a bit."
        $dface = "akward"
        "He decides to take a chance and climbs the stairs to the second floor."
    else:
        $dface = "sidelook"
        "Darren looks around the scene."
        "The repetitive music, the total indifference of the rest of the participants, who seem alienated in their own fantasy, the flashing lights."
        $dface = "puzzled"
        $dface = "shy"
        d "All of this seems pretty stupid to me... What need do they have to go overboard so much to get along?"
        "He plays with the bottle in his hands, becoming more and more nervous."
        "People push him when they pass near him. A boy approaches him and shouts something intelligible in his ear before disappearing again into the crowd. The music is becoming unbearable..."
        $dface = "n"
        d "Okay, I've tried, but I can't take it anymore. I need to get out of here, at least for a while..."
        $dface = "sidelook"
        d "I think the bathroom is upstairs. Maybe there, I can lock myself up for a while and have a bit of tranquility away from the noise to see if I calm down a bit."
        "He decides that it is worth the risk and climbs the stairs to the second floor."

    $dface = "n"
    "Once upstairs, Darren bumps into some pretty drunk guys who are going back to the party."
    $dface = "sidelook"
    d "It seems I'm going in the right direction..."
    d "I think this is the bathroom..."
    "When he tries to open the door, someone quickly closes it from the inside."
    $dface = "sideakward"
    nk "It's occupied! Find another place!"
    "The male voice doesn't seem very pleased with his intrusion."

    if Darkpy.get('c4_e9_liquid') == 'tomato_juice':
        "This close, Darren's urge to use the bathroom has increased considerably."

    d "Ehh... Are you going to take a long time?"
    nk2 "Damn, fuck off!"
    "This time the altered voice coming from inside the bathroom is female."
    $dface = "akward"
    d "Oops..."
    "Darren wanders a little further down the hallway."
    $dface = "sidelook"
    d "I'm sure there is another bathroom somewhere in this house..."
    "Darren wanders aimlessly through the identical corridors of the luxurious house, opening doors with great care until he finds a small bathroom suite that hasn't yet been discovered by anyone."
    "*Door closing*"
    $dface = "n"

    if Darkpy.get('c4_e9_liquid') == 'tomato_juice':
        d "Uff... I almost didn't arrive on time..."
    else:
        d "Ufff... Silence."

    "The noise of the party disappears in here."
    "Darren looks at himself in the mirror and relaxes the imposed smile that he has forced himself to wear."
    d "This is the first time in hours that I am alone."
    d "Now, I don't have to pretend that I want to be in there, and I can be myself."
    d "I don't know why I'm trying to force myself, trying to fit into this kind of places. I'm just exhausted..."
    "He sits on the ground and lets a few minutes pass, regaining strength before returning to his personal hell."

    if Darkpy.get('c4_trio'):
        "On the way back, one of the hallway doors catches his eye."
        "Or rather the strange noises that are coming from within."
        $dface = "sidelook"
        nk "HmmM..."
        nk2 "Ah-AaAAh... Ah!"
        "*Bang, bang, bang, bang.*"
        "*Slap!*"
        nk3 "Ugh...!"
        $dface = "puzzled"
        d "It seems that everyone is having a great time tonight except me."
        "Even more frustrated, Darren continues on his way to the party."
    else:
        "As he leaves, a tiny halo of light stands out in the darkness of the hall."
        $dface = "sidelook"
        "Intrigued, Darren walks over to discover a door slightly ajar and curiously peeks inside."
        $dface =  "suprise"
        $dblush = True
        nk2 "Are you sure they won't catch us?"
        nk "Nobody ever comes to this wing of the house."
        nk "Don't worry."
        nk2 "But we have to be quick, or Lei will realize we are not at the party..."
        nk2 "Uff... If you do that to me I can't think straight..."
        "The timid whispers are loaded with a tone of urgency that only provokes desire."
        menu:
            "Don't look inside":
                $Darkpy.set('c4_e10_look_inside', False)
                $dface = "n"
                $dblush = False
                "Realizing what is happening, Darren looks away with a sudden movement."
                d "Either they're so drunk they forgot to close the door, or they're so horny they don't care."
                d "These things are intimate, and no one should snoop without permission."
                d "Better avoid prying eyes."
                $dface = "smile"
                "Darren closes the door carefully not to be discovered and continues on his way, with a clear conscience of doing the clueless lovers a favor."

            "Look inside":
                $Darkpy.set('c4_e10_look_inside', True)
                $dface = "sideakward"

                label c4_d_scene:
                if _in_replay:
                    scene h_living
                    show darren_red at l2
                    with long

                d "Either they're so drunk they forgot to close the door, or they're so horny they don't care."
                "Darren leans a little closer, hesitant."
                d "I shouldn't be doing this... Spying on people fucking is literally illegal..."
                $dface = "surprise"
                "But there is something that prevents him from stopping."
                "Morbid wins the battle over Darren's upbringing, who takes a look inside."
                show image ("images/scene/c4/mean/mean_1.webp") with long
                "Because of the tiny space in the slit, he can't see the whole scene, but he can see enough to recognize the girl."
                d "It's... It's Bonnie!"
                d "This changes things... it's no longer just spying on strangers but on my classmates."
                d "Bonnie was always so beautiful to me... and so far out of reach."
                d "I never thought I'd see her naked..."
                "Darren is staring at Bonnie's massive chest, which moves to the rhythm of the anonymous caress of her companion."
                "He spent years trying to avoid watching them bounce when she entered class. But hidden in the dark, he feels safe to ogle them."
                show image ("images/scene/c4/mean/mean_darren.webp") with long
                d "From here, I can almost imagine I am the one doing it."
                "The sight makes Darren slightly aroused, and he is starting to feel his pants getting tight."
                d "Maybe if I open the door a little more, I could see better..."
                show image ("images/scene/c4/mean/mean_2.webp")
                "He very carefully opens the door slightly, just a few inches but enough to see the entire scene."
                d "She's with Tom!"
                d "Tom... Tom is fucking her sister's best friend, at her party, without her knowing..."
                "Being aware of his illicit act, Darren feels, even more, a part of the scene."
                "The three of them hiding, doing something they shouldn't."
                show image ("images/scene/c4/mean/mean_pre.webp") with long
                play sound sfx_b_sex
                b "Mmm..."
                "Bonnie's lips are parted, letting out a moan and making Darren's skin crawl, who listens spellbound."
                t "Is that how you like it?"
                "Tom speaks with his head buried in Bonnie's neck, causing her to gasp a little more at the contact of her breath."
                b "Mhm mhm..."
                t "Just 'mhm mhm'?"
                t "I'll have to turn up the intensity then."
                show image ("images/scene/c4/mean/mean_pre2.webp")
                b "Ah!"
                "Tom begins to jerk her off faster, reaching deeper and deeper into her panties."
                "Bonnie, at the same time, releases Tom's cock from her pants, rubbing her ass against it."
                t "Uff..."
                t "You're making me so horny."
                t "You're not going to leave me like this, are you?"
                b "You know I'm still a virgin and I'm not going to change that tonig-- Ugh..."
                "Tom keeps masturbating her, making her lose her train of thought."
                d "Bonnie never... has she never been with anyone?"
                t "Are you sure I can't make you change your mind? You are soaked..."
                t "You don't know how much I want to release that little pussy of yours."
                d "This guy is disgusting even in bed..."
                b "No, Tom, and it is not a negotiation."
                b "Although... you know I don't need to use my pussy to satisfy you."
                show image ("images/scene/c4/mean/mean_blow.webp")
                "With a wicked grin, Bonnie starts pulling down Tom's pants, who sits on the bed."
                "Bonnie's tongue runs over Tom's glans, circling him, covering his cock with saliva."
                "With her hand, she grabs his cock and accompanies the rhythm of her mouth, squeezing the base of his penis."
                d "There is something in contrast to her pink nails against his skin that is making me very..."
                d "And the remains of lipstick that she leaves on his cock, marking it..."
                "Darren's crotch is so swollen, so much so he feels the need to put one of his hands on top of it and squeeze a little."
                d "Ugh..."
                scene h_living
                stop sound
                show darren_red at l2
                with dissolve
                "A noise behind him removes him from the scene."
                "Unintelligible voices seem to be heading towards him, making him even more nervous."

                menu:
                    "Stop looking":
                        $Darkpy.set('c4_e10_keep_looking', False)
                        $dface =  "akward"
                        "The sound of footsteps recedes, but Darren is now too aware of the danger to look again."
                        d "At any moment, Bonnie or Tom can change position and discover me..."
                        d "Or if someone lost, like me, comes this way and sees me spying on them, they'll give me away."
                        $dface = "shy"
                        d "With the obvious repercussions of being treated not only as a weirdo, but also as a sick person..."
                        d "Enough, time to go back to the party."
                        $renpy.end_replay()

                    "Keep looking":
                        $Darkpy.set('c4_e10_keep_looking', True)
                        "Darren turns his gaze back into the room."
                        show image ("images/scene/c4/mean/mean_blow.webp") with long
                        t "I want to feel you more..."
                        "Bonnie swallows Tom's member completely, looking into his eyes at all times."
                        t "Ugh, you are so good at this..."
                        t "But I want to feel you closer, deeper..."
                        t "Do you fancy what happened last time?"
                        "Bonnie takes his cock out of her mouth, leaving a slobbery bed."
                        b "Mmm... Okay, but little by little. Sometimes you go too hard, and you hurt me."
                        t "As you wish, but let me fuck that ass again."
                        show image ("images/scene/c4/mean/mean_anal.webp")
                        "Tom grabs Bonnie and places her on all fours on the bed, her ass in the foreground for Darren."
                        b "Do you have lubricant?"
                        t "We are in my father's room, what do you think?"
                        t "It'll be in my room, but I'm not stopping now."
                        b "..."
                        t "I'm drenched in your saliva, darling. It will fit perfectly."
                        b "Ok... but slowly."
                        t "Fuck yeah."
                        show image ("images/scene/c4/trio/anal_1.webp") with long
                        "Tom places the tip of his dick against Bonnie's ass, grabbing her buttocks, pushing lightly until her glans enters."
                        t "Damn, you are so tight."
                        b "Mmm..."
                        t "Feels good, huh?"
                        b "It makes me really horny, feeling how you are coming inside me."
                        t "Do you want me to fuck your ass?"
                        b "Please."
                        show image ("images/scene/c4/trio/anal_2.webp") with long
                        "While they are talking, the thrusts begin to increase in intensity, entering deeper and deeper."
                        play sound sfx_b_sex
                        b "AHh..."
                        "Bonnie's moans are louder and louder."
                        t "Well, ask for it. I want to hear you ask me to bust your ass."
                        b "MmmMmmM..."
                        "From his perspective, Darren can see how Bonnie's pussy starts dripping."
                        d "Damn, she's getting really horny."
                        "And she is not the only one."
                        "Darren's hand starts moving into his pants and starts touching his erect penis."
                        "It is filled with blood and when he comes into contact with his skin, it makes lunges."
                        "It looks like it's going to explode, and Darren has the urge to take his cock out of his pants and start jerking off right there. But he slows down and just starts rubbing it with his hand."
                        t "If you don't ask me, I'll have to stop..."
                        b "No, don't stop!"
                        t "Then ask me."
                        b "Fu... fuck my ass."
                        show image ("images/scene/c4/trio/anal_3.webp") with long
                        "Just hearing it, Tom's thrusts start getting stronger and stronger."
                        play sound sfx_b_sex
                        b "AhhhAhhhHA."
                        t "Fuck yeah, say it louder, tell me how much you like it!"
                        b "I love it, please don't stop, fuck my ass until I come."
                        "Darren closes his eyes and stops looking at them. In his mind, he is the one Bonnie has asked to do that to her."
                        "He mentally deletes Tom from the scene and imagines he is the one inside Bonnie. He is the one who makes her boobs sway to the rhythm of the thrusts."
                        b "Ughh... AhhAhh..."
                        "He is hitting her faster each time, announcing an imminent cumshot, while Bonnie, pleased, follows her strong beat with her hips."
                        show image ("images/scene/c4/trio/anal_bonnie.webp") with long
                        b "I'm... I'm going to come..."
                        td "Me too."
                        "Luckily for Darren, Tom's voice covers his spontaneous phrase."
                        d "I almost forgot where I am..."
                        show image ("images/scene/c4/trio/anal_3.webp") with long
                        "But being almost caught only makes his cock swell even more."
                        play sound sfx_b_orgasm
                        b "AAH... MMM..."
                        t "Turn the volume down a bit, or we'll get caught."
                        show image ("images/scene/c4/mean/mean_anal.webp") with long
                        "Bonnie starts to warm up. She sinks her face into the bed sheets to drown out the cry of orgasm."
                        b "Mphfff...!"
                        t "Ugh... I'm going to fill you whole..."
                        t "AH!"
                        "Tom spills into Bonnie, every last drop, before falling exhausted next to her."
                        "The sight of cum dripping from Bonnie's ass to her pussy is too much for Darren."
                        "With a flash of pleasure, he spills all of his contents into his palm as Tom lies on top of Bonnie and whispers words into the exhausted Bonnie's ear."
                        scene h_living
                        stop sound
                        $renpy.end_replay()
                        $gallery_unlock_scene('c4_d_scene')
                        call pop_scene from _call_pop_scene_8
                        show darren_red at l2
                        with long
                        $dface = "smile"
                        "Darren walks away from the door and wipes himself with the tissue he always keeps in his right pocket for allergy emergencies."
                        d "With all this, I will have material to masturbate for months..."
                        "He feels a little sad when he lowers her endorphins."
                        $dface = "shy"
                        d "I wish I could have been the one to spoil Bonnie..."
                        d "That cretin doesn't deserve to be with a woman like that."
                        d "..."
                        d "Who am I kidding? I don't deserve such a spectacular girl either..."
                        $dblush = False
                        "With some sadness, Darren turns around, leaving the couple and their whispers behind him."
                        d "I never imagined that I would see Bonnie naked in my life..."

    $dface =  "n"
    "He goes downstairs and returns to the party, which is in the same condition as it was when he left."
    "A pair of clearly intoxicated girls pass by, vomiting on the floor next to him, almost splashing him."
    $dface = "sidelook"
    d "I think it's time to go home now."
    "He takes one last look at the place, to see if he recognizes anybody, to say goodbye, with no result."
    $dface =  "n"
    d "I also have to finish my classwork. They will understand."
    scene h_house
    play music sfx_main loop fadein 2.0
    show darren_red at l2
    with long
    "Outside, he almost ran into a girl sitting at the foot of the steps."
    $dface = "puzzled"
    d "Uh, sorry, I didn't see you."
    $sface = "down"
    show sophie_dress at r2 with dissolve
    "But when he looks closer, he realizes that it is Sophie, who hides her face trying to hold back her sobbing."
    $dface = "surprise"
    d "Sophie?"
    d "Are you okay? What are you doing here alone?"
    $sface = "cry"
    $dface = "puzzled"
    "Sophie wipes her tears quickly with the back of her hand, mascara smearing her face."
    s "Oh, hi, Darren..."
    $sface = "crysmile"
    s "Yes, all good."
    $dface = "sidelook"
    d "It doesn't look like it to me..."
    $sface =  "cry"
    s "What a shame. I don't want you to see me like this..."
    $dface = "n"
    d "I don't care. What's wrong? Can I do something to help?"
    s "If you want... could you sit here with me for a little while?"
    d "Sure."
    "Darren sits next to Sophie, who smells strongly of vodka."
    $dface = "sideakward"
    d "I thought you were with Alice."
    s "I... I thought so too. But I'm not."
    d "I was looking for you for a while, but I couldn't find you. So I decided to leave."
    $dface =  "shy"
    d "I'm not too comfortable here, really."
    s "Alice..."
    "Sophie doesn't seem to listen to Darren."
    s "Have you seen her?"
    $dface =  "puzzled"
    d "I already told you I couldn't find her, Sophie."
    $sface = "cry+"
    s "I'm sick of chasing after her like she's my pet!"
    s "I always end up alone. No matter how hard I try, I can never reach her."
    d "There are two of us who feel isolated..."
    d "Try not to think about it too much tonight. You're a bit drunk and are not thinking clearly."
    s "I'm not... I'm not drunk!"
    $sface = "cry"
    d "Whatever you say..."
    d "Come on, try and get some air and see if you can sober up a bit."
    "Darren puts his glasses back on and looks up at the sky. The echoes of music and voices from the party still soar in the background."

    if Darkpy.get('c4_e9_liquid') == 'tomato_juice':
        $dface = "akward"
        "*Grrghhghhghhh*"
        d "Oh, it was a big mistake drinking that juice. My guts are starting to hurt."
        "Cold sweat starts to cover Darren, and the need to go to the bathroom increases by the minute."
        $dface = "sideakward"
        d "Eh..."
        d "Well, maybe I should just go..."
        $dface = "akward"
        $sface = "cry+"
        s "Are you leaving?"
        s "Keep more company a bit more, please... I don't want to be alone."
        $dface = "sideakward"
        d "Ehh..."
        d "Uhhh..."
        d "Well, okay, but just for a little while."
        d "Then I really will have to go to take care of some business..."
        $dface = "akward"
        $dface = "cry"
        s "Yes, yes. Don't worry. I just don't want to feel alone right now."
        s "It's funny that the three of us came together and now we've been separated at the first exchange rate. Don't you think?"
        s "I mean, if we come to a party together for the first time, we should support each other and be together for the duration of the party."
        $dface = "sideakward"
        d "Aha..."
        s "Don't just disappear from your friends. And on top of everything, we forced you to come."
        d "Don't worry about me, really."
        s "What makes me mad the most, is that it's always been Alice and me, me and Alice. Always together, always united in everything."
        s "And now everything has changed. She left me lying alone, surrounded by strangers in a strange house."
        d "Already..."
        $dface =  "akward"
        "*GhhhrfhhhrfGGGddug.*"
        s "What was that?"
        $dface =  "sideakward"
        d "Probably a frog or something."
        s "Ah."
        s "Do you agree with what I am saying?"
        $dface =  "akward"
        "*GGGrhHugdggrr!*"
        "Darren's tummy pain is excruciating."
        $dface = "sideakward"
        d "Yes, yes. I understand. She is a bitch."
        "Sophie continues to speak, but Darren cuts her off."
        $dface = "akward"
        d "Please don't be mad at me, but I have to go, seriously."
        s "Are you going to dump me too? Now that I am sharing my feelings with you?"
        d "I am very sorry but it is an emergency..."
        $sface = "cry+"
        s "Well, if you want to go, go. I don't need anyone. I'll manage on my own."
        d "I'm really sorry. We can talk more tomorrow if you want..."
        hide sophie_dress with long
        "Sophie gets up furiously and goes back into the house, leaving Darren sitting there with his mouth open, not knowing what to say or how to say it."
        "But he doesn't have much time to think about it. He hurries towards his own comforting home, to the bathroom."
    else:
        $dface =  "shy"
        s "It's funny that the three of us came together and now we've been separated at the first exchange rate. Don't you think?"
        s "I mean, if we come to a party together for the first time, we should support each other and be together for the duration of the party."
        s "Don't just disappear from your friends. And on top of everything, we forced you to come."
        d "Don't worry about me, really. I already knew I wasn't going to feel comfortable and despite that, I agreed. It is not your fault."
        s "What makes me mad the most, is that it's always been Alice and me, me and Alice. Always together, always united in everything."
        $sface = "cry+"
        s "And now everything has changed. She left me lying alone, surrounded by strangers in a strange house."
        $dface = "sidelook"
        $sface = "cry"
        d "It's complex... I'm sure she has her reasons."
        d "I think she loves you a lot, but it is also normal... With so many changes in her life, she changes a little."
        $dface = "n"
        d "You will have to learn to accept the new Alice or talk to her about what's bothering you."
        s "I see... Thank you, Darren."
        s "Although, I don't think she feels sorry for leaving me at my first college party in the big city. It makes me want to move back..."
        s "I came to this city because I thought I couldn't be happy without Alice by my side."
        s "She is like a twin sister to me. I need her, and I feel incomplete without her."
        s "I understand that she can meet new people and that she wants to take advantage of new opportunities that are presented to her."
        s "I just didn't think she was going to do it without me."
        s "It might not be a good idea for me to follow her on her new adventure..."
        label c4_dxs_scene:
        if _in_replay:
            scene h_house
            show sophie_dress at r1
            show darren_red at l1
            with long

        "Suddenly Sophie changes her attitude."
        $sface = "crysmile"
        s "But I can't forget the good parts of it all."
        $dface = "smile"
        d "Oh yeah? And which are those?"
        s "That I was given the opportunity to meet you. It's already been worth coming here for that alone."
        $dface = "shy"
        d "..."
        "Darren is speechless, feeling too many emotions at once."
        s "Besides, you look handsome today."
        $dface = "akward"
        d "Me?"
        d "I wear the same things as always, almost..."
        s "Of course you! I find you attractive, with your glasses and everything..."
        d "Eh... Thank you?"
        "Darren searches for the most politely correct answer he can think of."
        $dface =  "shy"
        d "You also look beautiful today."
        s "Just today?"
        $dface =  "akward"
        d "Uh... no, no, of course not. Everyday."
        s "Even with my makeup running and the sad face I'm wearing?"
        d "Even so."
        s "So... you think I'm pretty?"
        $dface =  "shy"
        d "It's pretty obvious that you are pretty."
        s "You are lying. I don't feel pretty tonight..."
        d "Why would I lie to you?"
        s "I don't know, to laugh at me or something..."
        d "I would never do something like that to you, Sophie."
        s "Well prove it."
        $dface =  "akward"
        d "Eh?"
        d "How do you want me to show you that you are pretty?"
        s "Kiss me."
        d "What?"
        s "Prove it to me and kiss me. If you think I am so pretty, it shouldn't be a problem."
        d "Ehh... This..."
        $dface =  "sideakward"
        d "I am not the kind of person who just spontaneously kisses someone..."
        s "See, you don't think I am pretty. I was right, you were just lying to me."
        d "Nooo, that's not it Sophie. But you're a little drunk..."
        s "I'm not drunk!"
        d "... And I'm not good in these situations and no..."
        s "If you don't like me, just tell me."

        menu:
            "Kiss her [JGR46]" if Darkpy.get('c4_e9_liquid') == 'alcohol' or Darkpy.get('c4_e2_darren_sophie') or _in_replay:
                $Darkpy.set('c4_e9_kiss_sophie', True)
                $dface =  "n"
                "He doesn't know where he got his bravery from, but Darren manages to stand in front of Sophie, looking into her eyes."
                d "Okay, here we go..."
                s "Shhh... Don't say anything."
                show image ("images/scene/c4/c4_sxd.webp") with long
                "Slowly Darren brings his lips to hers. Meanwhile, Sophie steps on her tippy toes to speed things up."
                "Darren sees a cute but sneaky smile on Sophie's face before their lips meet."
                "Time stops, and for the first time in a long time, Darren's mind goes blank."
                "Sophie smells of vodka and vanilla. Darren's glasses get between the two of them, making it all the more awkward."
                "Tongues dare not come out. Pressure between their lips is enough for them."
                "A few seconds pass, but to them, it feels like hours."
                $renpy.end_replay()
                $gallery_unlock_scene('c4_dxs_scene')
                scene h_house
                $dface =  "surprised"
                $dblush = True
                $sblush = True
                show darren_red at l2
                show sophie_dress at r2
                with long
                "Their faces gently distance themselves, avoiding looking at each other in embarrassment."
                "Surprisingly, Darren is the one who breaks the silence."
                $dface = "sidelook"
                d "Now you'll have to believe me when I say you're pretty, right?"
                s "Hahaha!"
                s "You are so cute."
                $dface = "shy"
                d "..."
                s "I'm feeling a little better now. I'll see if I can find Alice!"
                "She gives Darren a quick kiss on his cheek."
                s "Thanks, little one, see you at the campus!"
                hide sophie_dress with dissolve
                $dface = "puzzled"
                "Sophie gets up quickly and goes back into the house, leaving Darren sitting there with his mouth open."
                d "Eh..."

            "Reject her":
                $Darkpy.set('c4_e9_kiss_sophie', False)
                $dface = "n"
                $sface = "cry+"
                "Darren instinctively turns away from Sophie, who starts crying again."
                d "It's not that I don't find you pretty, Sophie."
                d "But I don't work well with pressure, and I think you're too drunk to make these decisions."
                d "I understand you feel lonely, but I don't think this is the way to solve it."
                s "So... you're not going to kiss me."
                d "Nope."
                s "Even though I asked you?"
                d "Exactly."
                s "..."
                s "So... you're gay."
                $dface =  "puzzled"
                d "Sigh."
                $renpy.end_replay()
                $sface = "cry"
                s "Well, I don't care."
                s "I'm not passionate about the idea of ​​kissing either."
                s "I don't need anyone! I can do things myself."
                $dface = "shy"
                d "I'm really sorry. We can talk more tomorrow if you want..."
                "Sophie gets up furiously and goes back into the house, leaving Darren sitting there with his mouth open, not knowing what to say or how to say it."
        $dface = "puzzled"
        d "Anyway, what a strange night."
        d "I still don't believe what just happened..."
        "Confused and pensive, he makes his way to his house."

    jump c4_e11
