label c4_e3:
    scene hall_empty with long
    if not Darkpy.get('c4_e2_alone_class'):
        show alice_pink at left
        show darren_n at l3
        with long
        $aface ="akward"
        $dface ="n"
        $dright ="n"
        "Darren and I make it to the classroom just in time."
        $aface ="sidelook"
        $aleft ="n"
        "There are still a few students in the corridor."
        show profe_n at r2 with long
        "Professor Moore is patiently waiting for them to finish entering the classroom."
        "Moore gives us an understanding but threatening look."
        "He is aware of the effort we are making to arrive on time, but at the same time recriminating our delay."
        $aface ="akward"
        $pface ="puzzled"
        $pleft ="up"
        $pright ="book"
        p "One more day pushing the limit, Miss Brooks?"
        $pface ="angry"
        $pleft ="explain"
        p "I counsel against such a risk each morning. You know that once the door closes, it will not open again until the lesson is finished."
        $aface ="+sad"
        $aleft ="shame"
        $ahair ="ndown"
        $pleft ="n"
        a "Yes, Professor, we've cut it fine today. It won't happen again. Sorry."
        $dface ="shy"
        d "Sorry, Professor."
        "Moore turns to Darren, raising an eyebrow."
        $pface ="puzzled"
        $pleft ="up"
        p "Mr. Evans, what a surprise. This is the first time, since we have met, that you have come to my class so out of breath."
        $pleft ="explain"
        p "Is it because of your new friends? I do hope some of Miss Brooks' finer attributes are rubbing off on you."
        "Darren blushes instantly but holds up to Professor Moore's comment better than expected."
        $dface ="smile"
        $dright ="explain"
        $pleft ="n"
        d "Of course, Professor. I'm learning a lot from Alice, believe me."
        $dright ="n"
        $pface ="happy"
        $pleft ="explain"
        p "Hahaha! If you say so."
        $pface ="n"
        $pleft ="up"
        p "Miss Brooks, I hope you adopt your new friend's habits too. You can learn a lot from such an excellent student."
        $ahair ="n"
        $aface ="smile"
        $aleft ="explain"
        $pleft ="n"
        a "Of course, Professor Moore."
        $aleft ="n"
        p "Now sit down. Class is about to begin."
        $dface ="n"
        hide darren_n with dissolve
        "Darren walks past me, entering first."
    else:
        show alice_pink at l2 with long
        $aface ="smile"
        $aleft ="n"
        "I arrive in time to the classroom."
        $aface ="sidelook"
        "There are still a few students in the corridor."
        show profe_n at r2 with long
        "Professor Moore is patiently waiting for them to finish entering the classroom."
        "Moore gives me an understanding but threatening look. He is aware of the effort I am making to arrive on time, but at the same time, he is berating me for my lateness."
        $pface ="puzzled"
        $pleft ="explain"
        p "One more day pushing the limit, Miss Brooks?"
        $pface ="angry"
        $pleft ="up"
        p "I counsel against such a risk each morning. You know that once the door closes, it will not open again until the lesson is finished."
        $aface ="+sad"
        $ahair ="ndown"
        $aleft ="shame"
        $pleft ="n"
        a "Yes, Professor, I've cut it fine today. It won't happen again. Sorry."
        $aface ="mess"
        $ahair ="n"
        $pface ="n"
        $pleft ="up"
        p "Luckily you made it. Come in and have a seat, class will start in a moment"

    $aleft ="explain"
    a "Excuse me, Professor Moore. Do you have a second?"

    if c3_moore_fail:
        "Professor Moore looks around nervously, looking for possible witnesses to the conversation."
        $aleft ="shame"
        $pface ="angry"
        $pleft ="explain"
        $pright ="n"
        p "Ms. Brooks, I think I made my position very clear at the last meeting. Your behavior was unacceptable, and I don't think it is appropriate for you to speak to me outside of class."
        $aface ="vulnerable"
        $pleft ="n"
        a "Please, sir, just a minute."
        $aface ="+sad"
        $ahair ="ndown"
        $aleft ="n"
        a "I just wanted to apologize for the other day. I had many things on my mind, and I did not behave appropriately."
        a "I'm sorry."
        $pleft ="up"
        p "Apology accepted, but this cannot happen again."
        $pface ="puzzled"
        p "Not only is your future at stake, but mine is too. Especially if I show any favoritism towards a particular student."
        $pleft ="explain"
        p "Honestly, I've been thinking of reporting you to the university president for such behavior."
        $pface ="n"
        $pleft ="up"
        p "Thank you for your sincere apology."
        p "Forgive me if I keep my distance, especially out of class. But I believe you have much promise, and I'd hate a clumsy misunderstanding would see you suspended and ruin your chances of excelling in your field."
        $ahair ="n"
        $aface ="resolute"
        $aleft ="resoluted"
        $pleft ="n"
        a "Thank you very much, Professor. From now on, I will focus on the important things and won't be distracted by other matters. I thank you again."
        $aface ="akward"
        $aleft ="hair"
        a_t "Buff. It seems I dodged this bullet. I can't play Moore this way, or I'll be expelled."
        $aleft ="n"
        $pface ="angry"
        $pright ="book"
        p "And now get to your seat. I don't want this class delayed any longer."
        $aface ="+sad"
        $ahair ="ndown"
        "I walk into class with my head down, still digesting the mini-row."
    else: # NORMAL professor
        $pface ="n"
        $pleft ="explain"
        $pright ="n"
        p "Exactly one second, Miss Brooks. The lesson should have already started by now."

        if not c1_mooremeeting:
            a "Of course, Professor."
        else:
            $ahair ="n"
            $aface ="smile"
            $aleft ="explain"
            $pleft ="n"
            a "I wanted to thank you for the meeting the other day. Our talk gave me some very good ideas, and I plan to implement them shortly."
            a "You were also very understanding. I really appreciate it."
            $aleft ="n"
            $pleft ="up"
            p "Thank you, Miss Brooks. Give it a few more weeks of hard work, and I will be delighted to meet again and re-evaluate the changes you have made."
            $pface ="happy"
            $pleft ="explain"
            p "You have a very interesting project on your hands. I would be glad if I can help bring it to fruition."
            $aface ="+smile"
            $pleft ="n"
            a "Thank you, Professor."

            if c3_moore_seduce:
                $aface ="horny"
                $aleft ="hair"
                $pright ="n"
                a "And we still have the personal classes we talked about to look forward to."
                $pface ="happy"
                $pleft ="explain"
                p "Uh, yeah, right. I haven't had time to look at the extracurricular classes that I mentioned. I'll get back to it shortly."
                $pleft ="n"
                a "Thank you, Professor Moore."
                "I decide to take a little more risk as I go."
                $aleft ="mouth"
                a "Would it be possible to have practice lessons, you know one-on-one. To see if I am good enough?"
                $pface ="puzzled"
                a "So I would be able to know if I'd like it or not? I'd hate to make a fool of myself if I didn't know how to do it well..."
                $aface ="embobada"
                "I put on my best puppy dog eyes."
                $pface ="happy"
                $pleft ="explain"
                p "Oh, don't worry, Miss. We all have to start somewhere."
                $aleft ="hair"
                $pleft ="n"
                a "It's just that it's a bit difficult for me... Besides, I don't want to sign up for something without knowing if I'm going to make it through or not."
                $pleft ="up"
                p "That makes sense. Give me some time to organize my schedule, and I'll get back to you."
                $pleft ="explain"
                p "Let's see if I can find a free spot in the gym's schedule some afternoon..."
                $aface ="horny"
                $pleft ="n"
                a "Thanks, William."
                $pface ="n"
                $pright ="book"
                p "And now get to your seat. I don't want this class delayed any longer."
                $aleft ="mouth"
                "I walk into my class with a smile from ear to ear, still tasting his name on my lips."

    scene classroom with dissolve
    menu:
        "Sit next to Darren":
            $Darkpy.set('c4_sit_darren', True)
            call c4_e3_sit_darren from _call_c4_e3_sit_darren
        "Sit near Moore" if c3_moore_seduce:
            $Darkpy.set('c4_sit_darren', False)
            call c4_e3_sit_moore from _call_c4_e3_sit_moore

    call c4_e3_end from _call_c4_e3_end
    jump c4_e4


label c4_e3_sit_darren:
    $abackpack =False
    $aleft = "n"
    $aright = "n"
    $dbackpak = False
    scene classroomb:
        zoom 1.5
    show alice_pink at l1:
        zoom 1.5 yoffset 480
    show darren_n at r1:
        zoom 1.5 yoffset 480
    with long
    $aface ="n"
    $aleft ="n"
    "I arrive at my seat and prepare everything that I need for class, just like the rest of my classmates."
    $aface ="sidelook"
    a_t "There are some who, I think, only come to class to sleep or to review other people's lives on the telephone."
    a_t "They seem disinterested from day one..."

    if iDarren.points >= 30 :
        $dface ="shy"
        $aface ="mess"
        $aleft ="hair"
        a "Today they reveal the new scholarship test. Do you know anything about it?"
        $dface ="sidelook"
        $dright ="explain"
        d "Don't panic. You know Moore will tell us at the very end of the lesson."
        $aface ="tired"
        $aleft ="sad"
        $dface ="n"
        $dright ="n"
        a "Agh, that's true. I had hoped that today would be different."
        $dface ="happy"
        $dright ="point"
        d "Hahaha, I highly doubt it!"
        $dright ="explain"
        d "Try not to think about it."
        $aleft ="resoluted"
        $aface ="resolute"
        $dright ="n"
        a_t "Darren is right. The best thing I can do right now is concentrate on the lesson and take good notes for later revision of the subject."
    else:
        $aleft ="resoluted"
        a_t "Today, they reveal the next test for the scholarship, and I really want to know what it will involve."
        $aface ="tired"
        $aleft ="hair"
        a_t "Although, I already know that Moore won't tell us until the very end of the lesson."
        $aface ="resolute"
        $aleft ="resoluted"
        a_t "I might as well concentrate on the lesson and try to take notes so that later, I won't have problems understanding the subject when I get home."

    $aface ="smile"
    $aleft ="mouth"
    $dface ="shy"
    "I enjoy taking notes, and I take pride in capturing them as neatly as possible."
    "Perfectly straight lines, double spaced, almost impeccable calligraphy..."
    "I also alternate the use of colors to separate themes or thoughts that may help me in the future."
    a_t "It's always nice when you review the lesson's notes and find everything so organized and clean."
    $aface ="sidelook"
    "Sophie's notes come to mind. I remember her math notes from when we went to school together."
    $aface ="smile"
    a_t "Sophie's notes looked like someone had dropped an alphabet soup on a sheet of paper."
    a_t "Messy, full of arrows, with alterations in size and style, all mixed with geometric drawings and flowers."
    $aface ="+smile"
    a_t "Hahaha."
    "A smile escapes me while remembering it."
    a_t "Now I'm curious to see Darren's."
    $aface ="sidelook"
    "I look across at my partner's notes."
    a_t "Surprisingly, he has a certain charm. I was expecting more of a disaster."
    a_t "The lines are crowded, and the handwriting is pointed."
    a_t "But he underlines a lot of phrases, uses italics to separate ideas, and highlights the words that he thinks may be key."
    $aface ="resolute"
    a_t "Not bad!"
    $aface ="sidelook"
    "But there is something else that catches my attention."
    a_t "Like Sophie, all the margins of the sheets are covered with pictures."
    a_t "But these are not abstract patterns made randomly to kill time."
    a_t "They are more elaborate drawings, mostly humans and the occasional dragon."
    a_t "And almost all women..."
    a_t "If you thought you were going to find sorcerers, wizards, and warriors, you would be wrong."
    "I try to sneak a further look."
    a_t "Although he draws fantasy, I can capture a sensual air in his compositions."
    a_t "The outfits are almost all tight, with various straps, apparently made of leather..."
    $aface ="smile"
    a_t "Even his trolls have sensuous curves."
    $aface ="surprise"
    "I shake my head."
    $aface ="akward"
    $aleft ="n"
    a_t "Oh, I've lost focus... I'd better pay more attention to the lesson..."

    if iAlice.smart < 49:
        $aface ="tired"
        $aleft ="n"
        a_t "Ack, this lesson is beyond me. I don't understand half of what Professor Moore is saying."
    else:
        a_t "Professor Moore's lesson is interesting, but it is a subject that I have already studied extensively."
        a_t "It seems more like a review for the less advanced students."

    menu:
        "Talk to Darren" if iDarren.points > 30:
            $aface ="sidelook"
            $aleft ="mouth"
            "I see Darren is busy drawing in his notebook again."
            a_t "It seems he is also bored."
            $aface ="tired"
            a "Are you also about to fall asleep?"
            $dface ="sidelook"
            d "Noo... What's up. It's not like he's gone over this a thousand times before."
            $dface ="smile"
            $dright ="point"
            d "Watch, I'll lip-sync."
            $aface ="smile"
            "Darren moves his lips in time with Professor Moore's explanation. Causing me to have to hide my face with my hands, so I don't laugh."
            $aface ="resolute"
            $aleft ="explain"
            $dright ="n"
            a "By the way, nice drawings."
            $aleft ="n"
            $dface ="sideakward"
            d "Eh?"
            "Darren follows the direction of my gaze toward his notes and hides them quickly."
            $aface ="smile"
            $dface ="shy"
            d "Ah, I didn't know you saw these..."
            $dright ="explain"
            d "It's nonsense. I do these just to distract myself."
            $aface ="n"
            $aleft ="explain"
            $dright ="n"
            a "They seem interesting to me. Have you ever taken drawing classes?"
            $aleft ="n"
            $dface ="sidelook"
            d "When I was little, I was in an academy, but I got bored right away."
            $dright ="explain"
            d "All we did was still life, after still life, after still life..."
            "He shrugs his shoulders."
            $dright ="n"
            $dface ="shy"
            d "In the end, I preferred to practice on my own."
            $aface ="smile"
            $aleft ="explain"
            a "Well, I think they are amazing!"
            $aleft ="n"
            $dface ="sideakward"
            d "Do you really think that?"
            $aface ="+smile"
            $aleft ="explain"
            a "Really! I think you're good at that style of drawing. I love the detail."
            $aface ="n"
            a "Maybe you should talk to Sophie and sign up for one of her live modeling classes from her course."
            a "You know, we mentioned it the other day."
            $aleft ="n"
            $dface ="shy"
            d "Yeah... but I don't know if I would be comfortable in such a setting."
            $dface ="sidelook"
            d "I really only draw when I'm alone, with no one is looking over my shoulder."
            $aface ="akward"
            $aleft ="shame"
            a "Ouch, that showed me..."
            $dface ="shy"
            $pface ="angry"
            p "Mr. Evans and Ms. Brooks, are you having a good time chatting?"
            p "If you have something more important to talk about than today's lesson, please remove yourselves from class."
            d "..."
            $aface ="mess"
            $aleft ="head"
            a "Oops..."
            $aleft ="shame"
            $pface ="puzzled"
            p "No? Well, with your permission and your silence, I will continue with the lesson."
            "We bow our heads, accepting the scolding."
            $aface ="n"
            "Darren goes back to his notes, but I take a page from my notebook and write on it:"
            "I'm sure you could perfectly capture my face of shame."
            $aface ="sidelook"
            "I chuckle and slide the note across the table."
            $aface ="n"
            "Darren grins, takes the piece of paper. He scribbles and scratches with a pencil for a minute or two before sliding the note back to me."
            "When I unfold it, I find a small caricature of myself with the face of a lady in distress."
            $aface ="tired"
            a "*snort*"
            $aleft ="mouth"
            $aface ="smile"
            "I try to stifle my laughter. I don't want the professor to scold us again."
            $aface ="+smile"
            a_t "Even if it is a scribble, it is the first drawing he made of me... It seems that I am slowly gaining his confidence."


        "Text Tom" if c2_tom_sex or c2_decline_office:
            $Darkpy.set('c4_e3_text_tom', True)
            $aface ="sidelook"
            $aleft ="n"
            a_t "It seems like if I am not late for class, it won't be able to meet Tom this morning."
            a_t "Will he ever arrive on time, or does he only have two modes: late and no show?"

            if c3_tom_date and not Darkpy.get('c3_tom_date_cancel'):
                $aface ="horny"
                $aleft ="mouth"
                a_t "But hey, at least I'll see him again tonight."
                $aface ="smile"
                "A smile creeps across my face."
                a_t "For the first time, we will see each other outside the university. I don't know if that means anything in our \"relationship\"."
                $aface ="sidelook"
                $aleft ="hair"
                a_t "Will he invite a lot of girls to his house, or will it be something special for just the two of us?"
                $aface ="annoyed"
                "That thought made me jealous."
                $aface ="tired"
                a_t "Not that I care, of course."
                $aface ="resolute"
                $aleft ="resoluted"
                a_t "Obviously."
                $aface ="sidelook"
                $aleft ="hair"
                a_t "Perhaps the best thing would be texting him and finding out..."
            else:
                $aface ="vulnerable"
                $aleft ="mouth"
                a_t "Yesterday I felt a little bad about rejecting his invitation."
                a_t "But the truth is that I really want to go with Sophie tonight."
                $aface ="sidelook"
                "My head begins spinning at her proposition."
                a_t "We've known each other for ages, but this is something totally new."
                $aface ="puzzled"
                $aleft ="hair"
                a_t "I do not know what she is expecting from me. I do not know what I am expecting from her?"
                "That thought activates my paranoia."
                $aface ="mess"
                a_t "I suppose I shouldn't care. Be more Sophie, more carefree."
                $aface ="resolute"
                a_t "But I'm not Sophie. I like to know what to expect. And what is exected of me."
                $aface ="sidelook"
                $aleft ="n"
                a_t "I should talk with Tom, at least."

            "I carefully take my phone out of my backpack so Professor Moore doesn't see me."
            $aface ="sidelook"
            $aleft ="hair"
            a_t "What should I say?"
            $aface ="annoyed"
            a_t "Agh, I hate being the one starting the conversation."
            $aface ="horny"
            "My mind toys with different word combinations, looking for a message that says exactly what I want to convey."
            a_t "Mmmmm..."
            $aface ="n"
            $aleft ="n"
            show image "images/scene/c4/c4_classphoto.webp"
            with long
            "Finally, I hide the phone with my pencil case from Professor Moore and turn the camera on."
            $ahair ="ndown"
            $aface ="down"
            "I pick up a pencil, which I haven't used now, and nibble on it mischievously."
            "And I prop my head with my hand, putting my elbow on the desk and squeezing my chest together."
            a_t "Hey, if you've got it, flaunt it!"
            "Click!" with flash
            $aface ="horny"
            $ahair ="n"
            $aleft ="hair"
            a_t "Great! The selfie was perfect. Innocent and playful at the same time."
            $phone_msg_case = "images/phone/phone.webp"
            $phone_msg_base = "images/phone/phone.webp"
            $phone_msg_contact_img = "phone/ui-phone-chats-tom.webp"
            $phone_msg_contact_name = "Tom Uni"
            $phone_msg_frame_color_me = "#00a5ff"
            $phone_msg_frame_color_other ="#646978"
            hide image "images/scene/c4/c4_classphoto.webp" with dissolve
            call phone_start from _call_phone_start_36

            if c3_tom_date and not Darkpy.get('c3_tom_date_cancel'):
                call message_start(".", _("How bizarre, right now I want to study from home.")) from _call_message_start_17
                call reply_message (_("You know why, right?")) from _call_reply_message_239
                "Sent."
                $aface ="smile"
                "I look at the message for a moment, satisfied."
                $aface ="n"
                $aleft ="hair"
                a_t "I'm looking forward to seeing what tonight has in store for me..."
            else:
                call message_start(".", _("Are we looking for another date for our study appointment?")) from _call_message_start_18
                call reply_message(_("I promise to be a good student.")) from _call_reply_message_240
                call reply_message(_("Well... not really.")) from _call_reply_message_241
                "Sent."
                $aface ="smile"
                "I look at the message for a moment, satisfied."
                $aleft ="n"
                a_t "Perfect."

            call phone_end from _call_phone_end_49
            $pface ="angry"
            p "Miss Brooks?"
            $aleft ="hair"
            $aface ="surprise"
            scene classroom
            show alice_pink at left
            show darren_n at l3
            show profe_n at right
            with long
            a "Huh?"
            "The professor's voice takes me out of my bubble of happiness."
            p "I was just wondering if, once you are done with your photoshoot, could you return your attention to the class, thank you."
            $aface ="akward"
            "A wave of laughter fills the room, and I feel like the whole class is looking at me."
            $aface ="mess"
            a "I... Eh... I was..."
            $aface ="akward"
            $aleft ="n"
            "I try to hide the phone under the pencil case, without much success."
            "And my mind simply can't find a decent retort."
            "Luckily, I can always count on Lei's help."
            l "Sadly, many care more about their appearance than their intellect."
            l "Better not waste precious time explaining yourself to such individuals, Professor Moore."
            $aface ="annoyed"
            a_t "Thanks Lei, like I wasn't humiliated enough already..."
            p "Miss Brooks put the phone away. If I see it again during class, I will confiscate it."
            $aface ="akward"
            $aleft ="explain"
            a "Yes, Professor Moore."
            $aleft ="n"
            "I don't need to sneak a look to know that Lei has her smug smile firmly in place."
            a_t "Ugh..."
            $aface ="down"
            $ahair ="ndown"
            "I bury my head into my notebooks, wishing they would swallow me up."

        "Try to pay attention in class":
            pass

    $ahair ="n"
    $aface ="tired"
    $aleft ="n"
    "The last 20 minutes of class seem to last forever. But line by line, I fill out my notes."
    "Plenty to cover when I get back to my room."
    return




label c4_e3_sit_moore:
    a_t "It seems like someone from the front row is missing..."
    "I smile mischievously."
    a_t "I have to take this opportunity."

    if iDarren.points >= 30 :
        "Darren looks at me, not understanding why I changed seats."
        "I motion him that I will explain later."

    a_t "I feel bad for him, but I can always talk to him later. I need to take every opportunity I get with the professor."
    a_t "I have focus and play my cards right."
label c4_pxa_scene:
    scene classroomb:
        zoom 1.5
    show alice_pink at center:
        zoom 1.5 yoffset 480
    "I sit on the empty chair in the front row and prepare everything I need for class, just like the rest of my classmates."
    $aleft ="resoluted"
    a_t "Today, they reveal the next test for the scholarship, and I really want to know what it is going to be."
    $aface ="tired"
    $aleft ="hair"
    a_t "Although, I already know that Moore won't tell us until the very end of the lesson."
    $aface ="resolute"
    $aleft ="resoluted"
    a_t "I might as well concentrate on the lesson and try to take notes so that later, I won't have problems understanding the subject when I get home."

    $aface ="smile"
    $aleft ="mouth"
    $dface ="shy"
    "I enjoy taking notes, and I take pride in capturing them as neatly as possible."
    "Perfectly straight lines, double spaced, almost impeccable calligraphy..."
    "I also alternate the use of colors to separate themes or thoughts that may help me in the future."
    a_t "It's always nice when you review the lesson's notes and find everything so organized and clean."
    $aface ="sidelook"
    "I try to focus in class, but not ten minutes pass before I realize I can't... I am unable to concentrate."
    "My eyes are constantly peeking towards Professor Moore, who is giving his lecture, half leaning on the table in front of him."
    a_t "You can tell Professor Moore is still in shape, even at his age."
    a_t "Even though his shirt is loose, it is tight enough, so the width of his arms and the strength of his chest show."
    "While talking, he looks all over the class, connecting with us, the students, and playing with his pen between his fingers."
    a_t "I love his hands..."
    a_t "I imagine them grabbing me by the waist, lifting me on his table, throwing all his books and pens, making room for us."
    "My sight moves a little lower, towards his hips, his belt, his..."
    a_t "Mmm..."
    p "Miss Brooks?"
    "My mind takes a while before it returns to the present. I focus my eyes and look at him, bewildered."
    p "Miss Brooks, are you okay?"
    a "Huh?"
    a "Oh yeah, I'm fine. I think I've wandered  a bit."
    p "Yes, I noticed. You seemed bored with my lecture."
    "My face turns bright red, and I look down at my lap."
    a "I'm sorry."
    p "Okay, I'm sorry I brought you back to reality. It seemed like you were daydreaming about something nice."
    "The professor grins at me, trying to relieve my shame."
    a_t "Always so nice to me..."
    p "Come on, let's continue with the lecture."
    "The professor continues his lecture, but I'm still more focused on him than what he is saying."
    a_t "Professor More increasingly occupies more and more of my thoughts..."
    a_t "I think it's my turn to make things a little more difficult for him."
    "I arrange my hair, moving my red hair slowly. I turn and reach out to my colleague's table and ask him for an eraser."
    "As I do that, I arch my back as much as I can, putting one knee on my chair and slightly lifting my ass."
    p "Because the structure... The structure that we are studying, eh..."
    "I return to my seat and notice how the professor's eyes follow me."
    a_t "It seems I have his undivided attention."
    scene image "images/scene/c4/c4_class.webp" with long
    "I rest my elbows on the table, leaning forward slightly, squeezing my chest to make it stand out more."
    a_t "I should start coming to class in suspenders..."
    "I stare into his eyes from under my glasses. I pick up a pencil and place it in my mouth, parting my lips."
    p "And if we look at this other author, we can see that..."
    st "Professor, we already went over that author yesterday."
    p "Oh, that's true. Excuse me. I don't know what I am thinking today..."
    a_t "I think he knows very well what he is thinking about... who he is thinking about."
    scene image "images/scene/c4/c4_class2.webp" with long
    "Smiling flirtatiously, I press the pencil to my lips, nibbling on it, playing with it."
    "It looks like the professor's bulge is growing. A triumphant smile crosses my face."
    a_t "I'm a very good bad girl."
    $renpy.end_replay()
    scene classroom
    show alice_pink at left
    show profe_n at right
    with long
    $gallery_unlock_scene('c4_pxa_scene')
    call pop_scene from _call_pop_scene_6
    "The last 20 minutes of class seem eternal. The tension between the professor and me is almost palpable."
    return


label c4_e3_end:
    $pface ="n"
    $pleft ="explain"
    $pright ="book"
    p "That's the end of today's lesson. Any questions?"
    $aface ="n"
    $pface ="puzzled"
    $pleft ="explain"
    p "No, no one? Are you sure? I don't want any last minute doubts the day before the exam."
    "Nobody says anything."
    $pface ="n"
    $pright ="n"
    p "Well, without further ado, I am going to explain what the next scholarship exam will consist of."
    "Silence falls. This is the first time the entire class has paid attention to what Professor Moore is saying."
    $pleft ="up"
    p "Please pass out these dossiers, which contain information about a project that a client asked me to examine two years ago."
    p "As you will see, this assignment is not easy: redesigning the new headquarters of a company."
    $pleft ="explain"
    p "The assignment will give you an idea of the level of detail a typical client wants!"
    p "In reality, I was asked to review the plans submitted by an architect, which was required urgently."
    $pleft ="up"
    p "I only had 24 hours to review and prepare a presentation."
    $pface ="puzzled"
    p "So that is what you will have to do. Prepare your presentation, which meets his expectations, and also review the building plans."
    "Professor Moore raises his voice amid the roar of voices as if he has read our minds."
    $pface ="n"
    $pleft ="explain"
    p "I know what you think, it's a lot of work to do in a day, but sometimes that's how this profession works."
    p "Short deadlines and impossible briefs."
    p "However, don't feel overwhelmed. Remember, you are reviewing and summarizing someone else's designs, so don't get lost in the details."
    $pleft ="up"
    p "Look for issues and inconsistencies, call out design descriptions, be critical of all invalid points."
    p "However, you should always be respectful of the other architect's work."
    p "Remember, the client has commissioned them, and they all have worked closely for many months or even years."
    $pleft ="explain"
    p "They are only looking for a review. If you see things you agree with, you should say so."
    "I can see Lei getting frustrated at times in the front row, arguing with Bonnie, who tries to calm her down."
    $pface ="happy"
    p "I don't want you to spend all night on this. Everyone deserves at least some social life, even me."
    $pleft ="n"
    st "But you spend the day at the university, Professor!"
    $pface ="puzzled"
    $pleft ="up"
    p "Ha... ha... Very funny, Mr. Ellis, but looking at your grades, I think you could spend a little more time studying."
    "Laughter fills the classroom."
    $pface ="n"
    $pleft ="n"
    p "That's it. Have a good rest of the day, work hard and see you tomorrow."
    "The students start getting up, making their way out of the classroom."

    if Darkpy.get('c4_sit_darren'):
        if iDarren.points > 30:
            show darren_n at l3 with long
            $aface ="smile"
            $aleft ="explain"
            a "Ready for today?"

            if Darkpy.get('c4_e3_text_tom'):
                $aleft ="n"
                $dface ="puzzled"
                $dright ="explain"
                d "What was that with your cell phone in the middle of class, Ally?"
                $aface ="sidelook"
                $dright ="point"
                d "Do you want to get expelled? You are going the right way about it."
                $aface ="annoyed"
                $aleft ="explain"
                $dright ="n"
                a "Fuck, Darren. It was only a second or two. If Prof. Moore hadn't caught me, no one would be any wiser."
                a "Besides, I wasn't bothering anyone."
                $aleft ="n"
                $dface ="sidelook"
                $dright ="explain"
                d "I don't know. I don't think the class is the right place to be taking selfies..."
                $aleft ="hair"
                $dright ="n"
                a "Ah, drop it will you, Darren. I've had enough of being told off today."

            $aface ="n"
            $aleft ="explain"
            a "This is a tough assignment, huh?"
            $aleft ="n"
            $dface ="happy"
            $dright ="explain"
            d "Eh... well, I've seen worse. When shall I see you?"
            $dright ="n"
            a "I'll be in the campus later. I have a date that I really can't miss. You get started, and I'll finish it off, ok?"
            $dface ="smile"
            d "Um, okay, I guess!"

    else:
        "The class is almost empty. I take advantage and approach Professor Moore's table."
        a "Excuse me Professor Moore, do you have a moment?"
        "I move a little closer to him, closing the distance."
        p "Sure, Miss Brooks. But it will have to be brief. A turkey and cheese sandwich is waiting for me."
        a "I just wanted to apologize for being a little distracted in class today."
        a "I don't want you to think I'm not paying attention to you."
        p "Oh, don't worry. It is normal. I know that my classes tend to be tedious sometimes."
        p "But try to keep up with the lessons, and guarantee you won't have any problems."
        a "I don't think that is it, William. I find it hard because you make them too interesting."
        a "There is something magnetic when you are explaining architecture. Has anyone said that to you before?"
        p "Truth be told, no."
        a "Glad I am your first, then."
        "The professor blushes, not knowing how to answer."
        a "Thank you again, professor. Enjoy your lunch."
        p "Oh yeah! I've been waiting all morning for this moment. See you tomorrow, Miss Brooks."
        a "See you tomorrow!"
        "I walk away from prof. Moore's table, with certainty that the professor is watching me."
        a_t "Hearing Moore talk about his lunch so passionately also gave me an appetite."

        if iDarren.points > 30:
            "I got to Darren's seat. He is still picking up all his stuff."
            $aface ="smile"
            $aleft ="explain"
            a "Ready for today?"
            d "..."
            a "Hey, you're not mad that I didn't sit with you today, are you?"
            d "..."
            "Darren doesn't answer, but you can tell he isn't happy."
            a "You know I love spending time with you."
            a "It's just that back here, it's hard to hear the professor's lesson."
            d "Yeah, sure."
            a "I really mean it!"
            d "It doesn't matter."
            a "Tomorrow you could sit with me in front if there is room."
            d "We'll see."
            a_t "Better change the subject..."
            $aface ="n"
            $aleft ="explain"
            a "This is a tough assignment, huh?"
            $aleft ="n"
            $dface ="happy"
            $dright ="explain"
            d "Eh... well, I've seen worse. When shall I see you?"
            $dright ="n"
            a "I'll be in the campus later. I have a date that I really can't miss. You get started, and I'll finish it off, ok?"
            $dface ="smile"
            d "Um, okay, I guess!"

    return
