label c5_e6:
    "Of course, when I get to the classroom door, it's already closed, leaving three students in the hallway."
    a_t "Luckily, it seems that I am not the only one with problems."
    a_t "Not that it's any consolation..."
    "Taking advantage of the fact that there are more students, I open the door quietly and peek in to see what the scene is like."
    scene classroom with long
    if Darkpy.get('c5_e1_alice_pink'):
        show alice_pink at left with dissolve
    else:
        show alice_black at left with dissolve
    a_t "Fortunately, the professor is busy with his papers."
    a_t "This is the perfect time to go unnoticed."
    show bonnie_n at right
    show lei_n at r2
    with dissolve
    "I look around, and in addition to noticing that the only seat empty is the one next to Darren, I see that Lei is looking at me with an evil smile on her lips."
    a_t "Is she going to say something?"
    a_t "That's the last thing I need."
    "I look into her eyes with hatred, but she doesn't pay attention to me."

    if iBonnie.points >= 30:
        "Just as she's about to get up, Boonie grabs her arm and says something to her."
        a_t "I'm sure she's reminding her that the last time she made a scene because I was late, the professor made a big deal out of her too."
        "As I give Lei a triumphant smile, I sneak up to my seat."
        hide lei_n
        hide bonnie_n
        with dissolve
        show profe_n at right
        show darren_n at l3
        with dissolve
        a_t "Voilà!"
        a_t "I was so silent, not even Darren realized that I just arrived."
        a_t "Even so, I can't risk being late anymore or I'll be in real trouble next time."
        a_t "I think the time has come to really get my act together."
        a_t "For the scholarship, for the degree, for my father and for me."
    else:
        "She gets busy picking up her pencil case to throw it on the floor, creating a big crash..."
        $lface = "disgusted"
        $lleft = "nails"
        $lright = "waist"
        l "Oh, how clumsy!"
        show profe_n at center with dissolve
        "... and attracting the professor's attention with the noise..."
        a_t "Shit!"
        "...onto me."
        $lface = "n"
        $lleft = "n"
        $lright = "waist"
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        p "Miss Brooks?"
        $pface = "n"
        $pleft = "up"
        $pright = "n"
        p "Late again?"
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        $aface = "smile"
        $aleft = "n"
        $aright = "n"
        a "Well..."
        "Everything has been too rushed to be able to come up with a credible excuse."

        # if test good:
        if Darkpy.get('c4_test2') >= 4:
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "I told you this morning that you have a great future as an architect."
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "But this type of attitude will have to be improved in the future."
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            p "This kind of thing is not allowed once the real work begins."
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "I am telling you this for your own good."
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "Yes, Professor Moore."
            $aface = "n"
            $aleft = "explain"
            $aright = "n"
            a "I appreciate it."
        else:
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            p "I don't understand how after this morning, you behave this way again."
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            p "Are you sure you want to be in college?"
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            p "And more importantly, are you sure you want to study architecture?"
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            p "At this rate, not only are your chances for the scholarship in jeopardy, but also your career."
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "If I were you I would get my act together."
            a_t "I deserve this. Very much so."
            a_t "What are you thinking, Alice?"
            a_t "Since when are you like this?"
            "I make puppy eyes and look in Professor Moore's eyes."
            $pface = "n"
            $pleft = "n"
            $pright = "n"
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "You're right, Professor."
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "All I have to do is try harder."
            $aface = "n"
            $aleft = "explain"
            $aright = "n"
            a "I hope you will forgive me."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "I really would like to believe you, Miss Brooks."
            $pface = "n"
            $pleft = "up"
            $pright = "n"
            p "Sit down."

        "I look around and see Lei with a triumphant smile on her lips."
        a_t "You must be having a great time."
        a_t "Your time will come, it will..."
        "I give Lei a forced smile back and she responds by raising her eyebrow and turning her face away."
        hide lei_n
        hide bonnie_n
        with dissolve
        show profe_n at right with move
        a_t "As far as I can see, the only free seat is the one next to Darren."
        show darren_n at l3 with long
        a_t "I'm going to sit down. I better pay attention in class."


    "Even though class started 10 minutes ago, only a few of the students are quiet."
    a_t "It seems that no one is too keen on listening to the professor."
    "Darren looks at me for a moment and quickly looks away."

    if Darkpy.get('c5_e5_tom_bj_cum_mouth'):
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        $dface = "n"
        $dleft = "n"
        $dright = "explain"
        d "So..."
        $dface = "n"
        $dleft = "n"
        $dright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "So?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $dface = "n"
        $dleft = "n"
        $dright = "point"
        d "Uh..."
        "Darren is totally flustered."
        $dface = "sideakward"
        $dleft = "n"
        $dright = "n"
        d "You have something..."
        $dface = "akward"
        $dleft = "n"
        $dright = "point"
        d "Uh..."
        $dface = "n"
        $dleft = "n"
        $dright = "point"
        d "You have something... here."
        "Darren points to the corner of his lip before embarrassment can get the best of him and he buries his head in the notebook."
        $dface = "n"
        $dleft = "n"
        $dright = "n"
        $aface = "smile"
        $aleft = "mouth"
        $aright = "n"
        a "Huh?"
        $aface = "n"
        $aleft = "hair"
        $aright = "n"
        a "All this fuss about a stain?"
        "I try to clean myself with the back of my hand and the sticky, almost dry texture of the liquid makes me realize what it is."
        a_t "The problem isn't the stain..."
        a_t "But that he recognized what the stain is!"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "This... is ranch sauce!"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $dface = "akward"
        $dleft = "n"
        $dright = "n"
        d "..."
        $dface = "n"
        $dleft = "n"
        $dright = "n"
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "I don't know what you thought it was, but it's not that."
        $aface = "smile"
        $aleft = "hair"
        $aright = "n"
        a "It must have been from the sandwich or something..."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $dface = "akward"
        $dleft = "n"
        $dright = "point"
        d "..."
        "Darren doesn't add anything else, but from the laughter of the guys sitting behind us, it seems he wasn't the only one to notice it."
        a_t "Oh, how embarrassing..."

    $dface = "n"
    $dleft = "n"
    $dright = "n"
    $pface = "n"
    $pleft = "up"
    $pright = "n"
    p "If it's okay with you, we can start class."
    "Even though he said it in a neutral tone, the whole class fell silent."

    if c3_moore_seduce:
        a_t "I love the power he wields over others."
        a_t "I can't help but think about what he would be like in other situations..."

    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "No, before you ask me. I still haven't graded the assignments so I can't give you your results."
    $pface = "n"
    $pleft = "up"
    $pright = "n"
    p "But I know the work and effort that most of you have put in, so I have decided that today will be something different."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "As you all know, the brain trains daily, but it is when it rests that the information is retained."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "So during these hours, what you are going to do is rest your brain."
    a_t "That's the last thing I need... If I try to rest, all the nasty thoughts will come to me."
    a_t "What I need is to be busy."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "But let me be clear. Do not get used to this unless you continue showing this level of dedication in future assignments."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "You can study for other classes, continue with your project, whatever you prefer."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "And if you need to ask me something, you can come one by one to my table."
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "If there's anything you need, let me know."
    a_t "Perhaps it would be a good idea to approach him to talk to him about how to improve my father's project."
    a_t "Or to give me advice on how to approach the course, about the scholarship..."

    if c3_moore_seduce:
        a_t "Or simply, to see him up close. To let him see me. To notice his gaze."
        a_t "To..."
        a_t "What if the professor only turns me on because he is my professor?"
        a_t "If he were the janitor, would I be interested?"

    $pface = "n"
    $pleft = "up"
    $pright = "n"
    p "Please raise your hand if you want to talk to me."
    $pface = "n"
    $pleft = "n"
    $pright = "n"
    p "The rest of you, you can do as you wish. Read, study or listen to music."
    $pface = "n"
    $pleft = "n"
    $pright = "n"
    p "But quietly, please."

    if not c3_moore_seduce:
        "I look around and no one raises their hand."
        $pface = "n"
        $pleft = "explain"
        $pright = "n"
        p "Perfect then. Rest. I need to take advantage of this time to disconnect a little."
        "Just as he finishes the last word, Darren pulls his headphones and a book out of his backpack and plunges into his world, focused."
        a_t "I won't disturb him."
    else:
        "Without thinking, I raise my hand and look around."
        a_t "Whaaat?"
        a_t "I'm the only one who wants to talk to the professor! The only one who has raised her hand!"
        a_t "I can't believe it..."
        a_t "Fortunately, most students are too busy to notice..."
        label c5_mxa_scene:
        if _in_replay:
            scene classroom
            $apants = 'skirt'
            show alice_black at l2 with dissolve
            show profe_n at r2
            with long
        $pface = "n"
        $pleft = "explain"
        $pright = "n"
        p "Miss Brooks..."
        "I jump when I hear the professor's voice so close. When I turn around, he's right next to me."
        $pface = "n"
        $pleft = "up"
        $pright = "n"
        p "So you're the only one who's going to distract me during class, right?"
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        p "Come with me."
        hide darren_n with dissolve
        "As by chance, I brush my hand across his forearm and stare at him."
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        a "Sure professor. Lead the way."
        a_t "He hasn't even flinched."
        a_t "I'll have to be less subtle. Maybe..."
        if Darkpy.get('c5_e1_alice_pink'):
            show alice_pink at l3 with dissolve
        else:
            show alice_black at l3 with dissolve
        "When I approach his table, he is already sitting looking at his notebook, as if nothing happened."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $pface = "n"
        $pleft = "explain"
        $pright = "n"
        p "Hello Miss Brooks. What do you want to talk about?"
        a_t "I want to hear your voice, feel you looking at me, get to know you better..."
        a_t "But since I can't say that, I'll have to think of an excuse."
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        $aface = "smile"
        $aleft = "hair"
        $aright = "n"
        a "I would like to talk to you about many things."
        "As I speak, the embarrassment invades me and I have a hard time making eye contact with him."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        p "Sure, you can start wherever you want. As you may have already seen, there are no more students who need to talk to me today."

        $temp = []
        menu c5_e6_choice1:
            "Tell him about the project" if not 0 in temp:
                $temp.append(0)
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "I would really like to tell you about my father's project."
                "Professor Moore looks surprised."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Again?"
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "I remember that I gave you feedback recently about it, have you made much progress in this time?"
                a_t "Oops..."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "No, professor. There is nothing new."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "I don't really know how to deal with it from a different angle, and I thought you could guide me on that."
                a_t "Nice save!"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Of course."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Let me put it another way, and see if it works better for you."
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "Remember what I told you?"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "Yes, this project, as it stands, would only work for a single-family home."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Correct. Do you think I'm wrong? You can prove it to me whenever you see yourself capable."
                "Professor Moore smiles for the first time all afternoon."
                a_t "Feeling like I will melt every time he looks at me doesn't help my reasoning..."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "No, I think you are right."
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "But I don't know where the main problem of the idea is."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "What this project does not contemplate is the emotional part of the building."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Intimacy."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "You're right... Humans need intimacy on many occasions."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "At home, at university... Anywhere."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Correct. But that is not the only thing that separates us from animals."
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "Yet we also share some instincts with them, don't we?"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "Numerous instincts."
                a_t "Now is my chance."
                "I shuffle my father's project papers, making sure to drop my pen on the floor."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Oh, sorry."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "I'll pick it up right away."
                scene image "images/scene/c5/teasing.webp" with long
                "I get up from the seat, and without bending my knees I bend down to pick it up."
                "In the process, I millimetrically calculate pressing my chest aiming at the professor's face."
                a_t "I hope you're enjoying the view, Professor."
                "As I reach the bottom I tilt my hips, letting my skirt ride up above my thigh."
                p "..."
                "I sit up slowly and I can't help but look at the professor's face, who is still staring at my cleavage."
                a "Because, Professor Moore... It seems you do share some instincts with the animal world..."
                scene classroom
                show profe_n at right
                if Darkpy.get('c5_e1_alice_pink'):
                    show alice_pink at l3 with dissolve
                else:
                    show alice_black at l3 with dissolve
                with long
                "The professor recovers and, despite forcing a friendly smile, he looks away, as if he is weighed by the fact that he likes the view."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Ahem, have I helped you solve your doubt?"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "I think so, Professor."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "I'll keep working on it. After all, making it a single-family house doesn't seem like a bad idea either."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "I hope so, Miss Brooks. It has a lot of potential."
                a_t "He is enjoying the conversation, but I can tell he is upset."
                a_t "I'd love to know what you're thinking."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $renpy.end_replay()
                $gallery_unlock_scene('c5_mxa')
                call pop_scene from _call_pop_scene_24
                p "Do you want to talk about something else?"
                jump c5_e6_choice1
            "Talk about college" if not 1 in temp:
                $temp.append(1)
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "I would like to talk about college."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "Sure, what do you want to know?"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Remember I am your professor. There are things you should ask the secretary or the rector."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Sure, these are actually general questions."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Keep in mind that in my hometown there are no universities of this magnitude."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "And it is no longer just about the architecture, but for the campus in general, the faculty, etc."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "It's normal. This institution has been active for many years, being one of the main universities in the state."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "Have you always liked teaching?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "I had never seriously considered it."
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "Let's say I was good at it and... It came up."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "Do you believe in destiny?"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "In which path leads you to something... Or someone, for something?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "..."
                "The professor avoids my gaze. I smile sweetly at him, as if I were an innocent little girl."
                a_t "Speak, speak to me."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "With that voice and that way of speaking... It seems that you were born to teach, haven't you thought about it?"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "When I study, I can't help but read the notes with your voice."
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "There's really no other way I could read them."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "I really can't."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "..."
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "I had never considered it that way."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Answering your previous question... I don't know if life puts people and situations in your way."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "What I do know is that you have to take advantage of the fact that they appear."
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Leaving the opportunities that life offers you is a mistake that we cannot make."
                a_t "Is he referring to me?"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "Oh yeah?"
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "And how do you usually take advantage of opportunities?"
                "I push my hair back, to expose my collarbones, and move my chair back a little from his table."
                a_t "This is how you will see me, you will see me whole."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "These questions are intriguing, Miss Brooks."
                $pface = "n"
                $pleft = "explain"
                $pright = "n"
                p "It is a pity that the schedule does not allow for much more."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Besides, I am just a professor of architecture."
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "This type of conversation would surely be more enjoyable to have with a philosopher."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "For once, I'll tell you you're wrong, Professor Moore."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "I think you are the most interesting person I have ever met."
                "The professor gives a little jump and he looks quite nervous."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Thanks, I guess."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "That said... There isn't much time left, Miss Brooks."
                $pface = "n"
                $pleft = "up"
                $pright = "n"
                p "Do you want to talk about something else?"
                jump c5_e6_choice1
            "Nothing more" if len(temp) >= 2:
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                p "Okay, take advantage of the last few minutes to rest."
                $pface = "n"
                $pleft = "n"
                $pright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "I'll try."
                "I slowly uncross my legs and get up to go to my seat."
                a_t "Looks like someone got a little nervous..."
                "When I get back to my seat, Darren is listening to music while he reads a book."
                a_t "I'm not going to bother him, he seems focused."

    jump c5_class_end

label c5_class_end:
    if Darkpy.get('c5_e1_alice_pink'):
        show alice_pink at left with move
    else:
        show alice_black at left with move
    show darren_n at l3 with dissolve
    "The rest of the class takes forever."
    a_t "I feel like one of those Sundays where you stop to think how little you want it to be Monday."
    "*RIIIIING*"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $pface = "n"
    $pleft = "explain"
    $pright = "n"
    p "Okay guys, see you tomorrow."
    "The students get up and start to empty the room."

    if iDarren.points >= 30:
        "Oddly enough, Darren takes a lot less time than usual to pick up his stuff."
        $pface = "n"
        $pleft = "n"
        $pright = "n"
        $dface = "sideakward"
        $dleft = "n"
        $dright = "explain"
        d "I can't wait for you today, I have to stop by the library before they close."
        $dface = "akward"
        $dleft = "n"
        $dright = "explain"
        d "We'll talk another time!"
        $dface = "n"
        $dleft = "n"
        $dright = "n"
        d "Goodbye!"
        $dface = "n"
        $dleft = "n"
        $dright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "Bye Darren!"

    hide darren_n
    hide profe_n
    with long
    "In the distance, I see Bonnie stops talking to Lei and walks over to me."

    if iBonnie.points >= 30:
        a_t "Well, some entertainment at last."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "n"
        $bleft = "n"
        $bright = "explain"
        show bonnie_n at r2
        b "Hello Ally!"
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "Bon-Bon!"

        if c3_moore_seduce:
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $bface = "n"
            $bleft = "n"
            $bright = "explain"
            b "I saw that you went to talk to the professor, is everything alright?"
            $bface = "n"
            $bleft = "n"
            $bright = "n"
            b "Considering what happened this morning with Lei in the hallway..."
            $bface = "n"
            $bleft = "n"
            $bright = "n"
            $aface = "n"
            $aleft = "mouth"
            $aright = "n"
            a "Ah, yes, yes. No problem. We only talked about things related to school. Do not worry."
        else:
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $bface = "n"
            $bleft = "n"
            $bright = "n"
            b "I wanted to apologize to you."
            $bface = "n"
            $bleft = "n"
            $bright = "n"
            b "Earlier, in the hallway, when Lei... I know I should have done something but..."

        $bface = "n"
        $bleft = "n"
        $bright = "n"
        b "I didn't know how to act, Alice."
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "Forgive me, I was there and I froze."
        $bface = "n"
        $bleft = "n"
        $bright = "explain"
        b "I didn't want to embarrass Lei either..."
        a_t "It's normal that she's afraid of her... she's so innocent."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "It's okay, Bonnie. Thank you for coming to apologize, but there's no need."
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "I understand that you want to stay out of these things."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "Thank you Ally..."
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "..."
        $bface = "n"
        $bleft = "n"
        $bright = "explain"
        b "Is everything she said true?"
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "Your father, the project..."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "Yes..."
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "But really, it doesn't matter."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "Well... Okay."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        b "If you don't want to talk about it, I understand."

        menu:
            "Spy on Lei":
                $Darkpy.set('c5_e6_bonnie_talk', 'spy_on_lei')
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "And Lei, did she say anything else?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Do you think she will ever get tired of harassing me?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "Um..."
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "When she has someone on her crosshairs..."
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "It's hard to change her mind."
                a_t "That's what I thought..."
                a_t "Maybe I can get a little information out of Bonnie about Lei, though."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "You've been with her for a long time... Is there anything I should know about her?"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "You know..."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "That bothers her."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "..."
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "You know I can't do that, Alice."
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "I mean, I don't like how she treats you at all, but I can't betray her."
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "I'm not like that. I don't know how to be like that."
                a_t "Fuck, is it impossible to access Lei's secrets or what?"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "There must be something she doesn't want anyone to know, right?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "Hmmm, Alice... Not that I know of."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Absolutely not."
                "Bonnie pulls her phone out and immerses herself in her screen, paying no attention to the conversation."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "Are you okay Bonnie?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "Yes, yes."
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "I have to go."
                a_t "How strange..."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Goodbye, Alice."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "..."
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "Goodbye."
                "Bonnie gets up and goes back to her place next to Lei."
                "Lei's eyes meet mine and she gives me one of her famous faces of disgust."


            "I prefer to be alone":
                $Darkpy.set('c5_e6_bonnie_talk', 'alone')
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "Even though I understand your position, that doesn't mean I'm not a little angry that you didn't defend me."
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "I need some time to myself."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "Alice!"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "Did I say something to upset you?"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "I wouldn't want you to be angry."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "No, don't worry."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "I just want to be alone."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "You can go back to Lei."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "I'm really sorry. But I'll respect your need to be alone. If you want to talk later... you can always text me."
                "Bonnie pulls her phone out and immerses herself in the screen."
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "Goodbye, Alice."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "..."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Goodbye."
                "Bonnie gets up and goes back to her seat."
                "Lei's eyes meet mine and she gives me one of her famous faces of disgust."

            "Talk about last night" if Darkpy.get('c4_trio'):
                $Darkpy.set('c5_e6_bonnie_talk', 'trio')
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "Changing the subject... How did you end the night?"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "What do you think... about everything?"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "What would be the correct expression...?"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "I thought it was... Interesting?"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Hahahaha."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "Hahahaha."
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "It can work, yes."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "I didn't know you liked..."
                "I lower my voice, speaking very softly."
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "You know, anal sex."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Hahaha, yes, I have practiced it several times already."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Being a virgin has some loopholes where you can find pleasure."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "Looks like Tom didn't care after all."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "Pleasure can be given in many ways."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "You surprised me."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "In a good way."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "explain"
                b "Have you... ever tried it?"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Tried what?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Anal sex, of course!"
                "I feel my cheeks rising in temperature."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "No. Never."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "It's something that has always given me some pause."
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "But seeing you guys yesterday, I think my opinion has changed a bit."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "I don't know, the situation, the place... You..."
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "It all seemed so pleasant."
                "I can't help but run my tongue over my lips. Just remembering that scene makes my skin crawl."
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "Both of us on our knees in front of Tom..."
                "I look left and right."
                a_t "The last thing I need is for someone to listen to this conversation."
                "I notice how my underwear is getting wet."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "explain"
                b "Don't make me imagine this now, Ally..."
                "Bonnie gives me a lascivious look and I smile at her."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "I think we should find another day to meet and study together, if you feel like it."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "I would love it."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                b "Me too. Really."
                "I notice Lei watching us from the doorway, impatiently waiting for Bonnie."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "You better go before she gets mad at you."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "It will be for the best, yes."
                $bface = "smile"
                $bleft = "n"
                $bright = "n"
                b "Bye Ally."
                $bface = "n"
                $bleft = "n"
                $bright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Goodbye Bon-Bon."


    else:
        a_t "What does this one want now."
        "Bonnie walks in slowly, staring blankly at the screen of her cell phone."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "Hello."
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "Do not think that I come in peace."
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "I am not here to laugh at you either."
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "Just to tell you that I heard the conversation with Lei in the hall."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        a "Oh, right..."
        $aface = "smile"
        $aleft = "mouth"
        $aright = "n"
        a "So what? What do you want?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "Oops... What a tone."
        $bface = "smile"
        $bleft = "n"
        $bright = "explain"
        b "Nothing, just to see how you were doing."
        a_t "...?"
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "I didn't know you were interested in that."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        b "Not too much, but I like to go to sleep with a clear conscience."
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "I also came to drop off this pack of tissues from Lei."
        $bface = "n"
        $bleft = "n"
        $bright = "explain"
        b "She says they are great for wiping away your tears."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "n"
        $aleft = "hair"
        $aright = "n"
        a "..."
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "Very funny."
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "I better not say where you can put those."
        "Bonnie goes back to her phone and immerses herself in her screen, paying no attention to the conversation."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $bface = "smile"
        $bleft = "n"
        $bright = "n"
        b "Bye."
        $bface = "n"
        $bleft = "n"
        $bright = "n"
        $aface = "smile"
        $aleft = "n"
        $aright = "n"
        a "..."
        $aface = "smile"
        $aleft = "hair"
        $aright = "n"
        a "Goodbye."
        a_t "What are they on about?"
        "Lei's eyes meet mine and she gives me one of her famous faces of disgust."

    jump c5_e7
