label c2e4:
    $dbackpack = False
    $bface = "n"
    $bbottom = "jean"
    $bbag = "none"
    $bleft = "n"
    $bright = "n"
    $blegs = "n"
    $bneck = "cross"
    $pleft = "explain"
    p "If you remember, yesterday I already told you about the scholarship that the Hudson & Huds architectural firm has offered to the university this year."
    p "I will introduce you to the different tests you will face throughout the school year, starting with this one."
    $pleft = "n"
    $aface = "resolute"
    $aleft = "resoluted"
    a_t "First test in sight!"
    $aleft = "n"
    $aface = "n"
    p "Architecture encompasses many fields of knowledge, not just drawing."
    p "Among them, some science and mathematics."
    p "In order to build a building, whatever it is, you will have to be able to handle physics concepts with ease."
    "A roar of annoyance pervads the class, it doesn't seem that the theme is very popular among the students."
    p "I suppose from your reaction that you are not passionate about physics."
    $pleft = "explain"
    p "But it is vitally important to analyze the physics acting on the structure to ensure that it will be stable and will remain this way despite the possible forces to which it is subjected."
    $pface = "puzzled"
    $aface = "smile"
    $aleft = "mouth"
    $dface ="sideakward"
    $pleft = "n"
    "One of the students in the last rows yawns."
    $aleft = "n"
    $dface = "n"
    $pleft = "up"
    $aface = "n"
    p "Thank you, Mr. Bishop, for making your interest in the matter clear."
    $pleft = "explain"
    $pface = "n"
    p "But even if physics is soporific for you, it will be this that will make it possible for you to select the best materials for your buildings."
    p "And that will allow you the freedom to make new, different designs, and the building structure to remain safe."
    $pleft = "n"
    p "So even if it's not your preferred subject, you should pay attention to it."

    if c1_prepareschool:
        $aface = "+smile"
        a_t "Oh, perfect!"
        $aface = "smile"
        a_t "I have always liked numbers and just yesterday I went over the physics syllabus."
        a_t "This test shouldn't give me too many headaches."

    else:
        $aface = "mess"
        a_t "Ugh... I've always liked numbers but I have quite forgotten physics..."
        a_t "That may be a problem for this test."

    $aface = "n"
    $pleft = "explain"
    p "In order to see how we are doing, I will distribute a questionnaire that you will have to deliver tomorrow."
    $pleft = "n"
    $aface = "resolute"
    a_t "A questionnaire? I imagined something more complicated..."
    a_t "It can't be that hard."
    $pleft = "up"
    p "One more thing to add: this work will have to be done in pairs."
    $pleft = "n"

    if iDarren.points > 30:
        $aface = "sidelook"
        $dface = "sidelook"
        "Immediately Darren and I looked at each other."
        d "Do you want...?"
        $aface = "smile"
        a "Sure!"
        $dface = "n"

    else:
        a_t "I knew there would be cheating."

    $pleft = "explain"
    p "In a architecture firm, the ability to communicate with the rest of the team is very important."
    p "That is why you will have a single questionnaire in common and you will have to agree with your partner to fill it in with the answers you think are correct."
    $pleft = "up"
    p "The two team members who get the highest grade will get an additional point towards the scholarship."
    $pleft = "n"
    $lleft = "posh"
    $lface = "happy"
    "In the front row Lei raises her hand."
    show lei_n at r3 with dissolve
    $pleft = "up"
    p "Tell me, Miss Hudson."
    $pleft = "n"
    l "Thank you, Professor Moore."
    $lright = "cross"
    l "I was wondering if the pairs will be formed by you or will we be free to choose our own."
    $lright = "cross"
    $lface = "disgusted"
    $pleft = "explain"
    p "If you wait until I finish giving the whole explanation, your concerns will be alleviated."
    $lface = "roll"
    $pleft = "n"
    l "Mpfh."
    hide lei_n with long
    p "You have until the end of class to select the partner you want to work with."
    $pleft = "up"
    p "Before going to break, stop by my table to let me know your preferred partnering and I will take note."
    p "If after that time, you have not been able to agree, I will randomly assign the remaining pairs."
    $pleft = "explain"
    stop sound fadeout 2.0
    p "You may begin. And please watch the noise level."
    play sound sfx_noise_class loop fadein 2.0

    hide profe_n with long
    "Even with the teacher's warning, a certain commotion starts."
    "Some students get up and form small groups of three, four or even five people looking for the most suitable partner."

    if iDarren.points > 30:
        $aface = "smile"
        a_t"Luckily I already know who I want to work with."
        a "We’ll do it together, right?"
        $dface = "sideakward"
        d "Yes... if you want, of course."
        $aface = "+smile"
        $dface = "n"
        a "Of course I do!"
        $aface =  "smile"
        $aleft = "explain"
        a "Tell me, how good were you at Physics  in high school?"
        $aleft = "n"
        $dface = "shy"
        d "I guess pretty good..."
        $aface = "puzzled"
        a "You guess?"
        d "I got top marks."
        $aface = "surprise"
        a "And you still doubt that you're good at it?"
        $dface = "akward"
        d "No... I don't doubt my knowledge of physics..."
        $dright = "explain"
        d "I doubt if I am better at it than others. I got top marks in... uh, in all the subjects that involve math or science."
        $dright = "n"
        $aface = "+surprise"
        a "Wow!"
        $aface = "surprise"
        $aleft = "explain"
        a "Did you get top grades in all the subjects?"
        $aleft = "n"
        $dface= "sideakward"
        $dright = "explain"
        d "In all those that 'involve math or science'."
        "He repeats the previous sentence with emphasis."
        $dface = "akward"
        d "Physical education is another story..."
        $dface = "shy"
        $dleft = "n"
        d "Or, well, any one that had to do some oral presentation."
        d "But as long as it can be done sitting alone, no problem."
        $dface = "akward"
        $dright = "explain"
        d "I like numbers a lot, as well as drawing, both technical and artistic."
        $dright = "n"
        $dface = "n"
        $aface = "smile"
        "I look at him. Couldn't have found a better co-worker."
        a "That's great! The two of us are going to do an excellent questionnaire."
        a "The scholarship points already bear our name."
        $dface = "sideakward"
        d "Well, easy... We can try."

    else:
        $dface = "shy"
        $aface= "resolute"
        a_t "Fantastic, I work in pairs and I still don't know anyone from class."
        a_t "It is a bad start."
        $aface = "sidelook"
        "I look around."
        "The only person I have even talked to is the nerd."
        "And I've not been too nice to him."
        a_t "But it seems like the best option for now. He sure is good at these things."
        $aface = "resolute"
        a_t "Besides, I don't think he has too many friends who fight to work with him."
        a_t "Maybe I'll even do a favor by offering to team up."
        a "Mmm... hey."
        $dface = "sidelook"
        d "..."
        a "Shall we do the work together?"
        "He opens his mouth to respond but Lei interrupts us."

    $lface =  "happy"
    $aface = "puzzled"
    $dface= "n"
    show lei_n at r3 with long
    l "Hi guys! How are you, everything okay?"
    "Lei invades our table, resting her arms on it."
    $lleft = "nails"
    l "You don't have to answer, the truth is... I don't care."
    $lface = "disgusted"
    $lleft = "nails"
    l "You can thank me later for intruding on your assuredly boring conversation."
    $aface ="sidelook"
    if iDarren.points > 30:
        "I look directly at Darren."
    else:
        "I look directly at the nerd."
    $aface= "puzzled"
    $lface = "happy"
    $dface = "shy"
    l "And I'm sure my coworker doesn't mind."
    $lface = "wicked"
    l "Right, 'D'?"
    $dface = "surprise"
    if iDarren.points > 30:
        d "..."
    else:
        nerd "..."
    $dface ="shy"
    $aface = "resolute"
    "I stare at them, first Lei, then Darren who can’t make eye contact with me, pausing before responding."
    $aleft = "explain"
    if iDarren.points > 30:
        a "Excuse me, but you're wrong. We've already teamed up with each other."
    else:
        a "What do you mean, coworker?"
    $aleft = "n"
    $lright = "cross"
    $lleft = "posh"
    l "Oh, honey. Did you really think he preferred you?"
    "Lei laughs."
    $lleft = "nails"
    l "Darren has been top of the class in science subjects for as long as I can remember."
    $lface= "arrogant"
    l "And I only work with the best."
    if iDarren.points < 30:
        $aface= "sidelook"
        a_t "So that's the nerd's name, Darren..."
    $aface = "resolute"
    d "Well..."
    $lface = "surprise"
    "Lei looks at him, surprised that he even made a sound."

    if iDarren.points > 30:
        jump c2_alice_friend

    else:
        jump c2_alice_no_friend


label c2_alice_friend:
    d "Well... this..."
    $dright = "explain"
    $dface = "n"
    d "This time I'd rather do the job with... with Alice, you know?"
    $dright  = "n"
    $dface = "shy"
    $lright = "cross"
    $lleft ="cross"
    l "Excuse me?"
    $lface= "angry"
    "Lei leans a little closer, menacing."
    "Even as close as they are, Darren can't meet her gaze and deflects it to the ground."
    l "Let's see if I've missed something..."
    $lleft = "nails"
    l "Since when does anyone care what you want or think?"
    $face = "annoyed"
    d "..."
    menu:
        "I care":
            pass
        "You don't have to talk to him like that":
            pass
        "Leave him alone":
            pass

    "I can not avoid coming to his aid."
    "Lei glances at me."
    $lface ="happy"
    l "So that's it."
    l "The newbie took pity on you and now you think you can debate me?"
    $dface = "sidelook"
    d "..."
    $dface = "shy"
    $lface = "wicked"
    l "How cute."
    $aleft = "explain"
    a "Hey, that's enough right?"
    if iAlice.rude > 44:
        a "He already told you that he doesn't want to do the work with you, why don't you just walk away and leave him alone?"
    else:
        a "I think we have made it clear that we are going to do the work together, I don't think there should be more discussion."
    $aleft = "n"
    $lface= "angry"
    l "This has nothing to do with you, newbie."
    "She shrugs."
    $aface= "resolute"
    $lface = "happy"
    l "But... okay."
    $lleft = "nails"
    l "If you're so sure Darren wants to do the job with you, I won't interfere with his decision."
    $lface= "wicked"
    l "But something tells me he's dying to do it with me, right 'D'?"
    "She smiles sharply and gently strokes Darren's cheek."
    "Even from my seat, I can see the chill running through his body. "
    $lleft = "posh"
    l "Because if you don't want to do the work with me, I'll be forced to have a very interesting chat with your new little friend."
    $dface = "akward"
    l "And what do you think will happen when I explain how... 'creative' you are?"
    l "Do you think she will continue to speak to you?"
    $lleft = "nails"
    l "Oh, but why stay in doubt? We can find out right now!"
    l "Newbie, did you know that 'D..."
    $dface = "surprise"
    $aface = "surprise"
    d "NO!!" with vpunch
    "Darren's voice rises above the class, cutting Lei off mid-sentence."
    "Terror is reflected in his eyes."
    $aface = "mess"
    $dface ="shy"
    $pface ="angry"
    $pleft = "explain"
    show profe_n at right with dissolve
    p "Anything you want to tell the whole class, guys?"
    $pleft = "n"
    $lface ="happy"
    "Lei turns to the teacher with her best smile."
    l "All good, Professor Moore!"
    l "We have a hard time containing the enthusiasm of working in pairs, that's all."
    p "Mmmm..."
    $pface = "n"
    $pleft = "up"
    p "Okay, but be careful with the volume please. You're not children at recess."
    $pleft = "n"
    l "Sorry."
    hide profe_n with long
    "Professor Moore directs his attention back to the papers he is reviewing on his desk."
    $ahappy = "resolute"
    $lface = "wicked"
    "Lei looks back at us. Her eyes have the brilliance of someone who knows she has already won."
    $aleft = "explain"
    $aface ="puzzled"
    a "What's this all about, Darren?"
    $aleft ="n"
    "I question him with my eyes."
    $dface = "sidelook"
    d "..."
    $dface = "shy"
    $aleft= "explain"
    a "What do you mean by 'creative'?"
    a "And why would I want to stop talking to you, Darren?"
    $dface = "sidelook"
    $aleft= "n"
    d "..."
    $dface = "sideakward"
    d "Le... Leave it, Ally."
    $dface = "shy"
    d "I'd rather not talk about it."
    d "You wouldn't understand."
    $lface= "disgusted"
    $lleft = "nails"
    "Lei taps her nails on the table showing her impatience."
    $aface = "morros"
    a "Don't listen to her, Darren..."
    $dface = "sidelook"
    d "..."
    $dface = "shy"
    l "Tell me, 'D'."
    $lleft ="posh"
    $lface ="wicked"
    l "Shall I continue... or...?"
    l "The decision is up to you."
    $lleft = "nails"
    l "You just have to tell your little friend that you don't want to do the work with her."
    "Darren is white as paper. The conflict is reflected in his eyes."
    d "No..."
    $dright = "explain"
    d "You won't... uh, you won't have to have that talk."
    $dright = "n"
    "He fidgets in his chair, stares at the floor."
    d "..."
    $dface = "sidelook"
    d "I'm sorry, Alice."
    $dright = "explain"
    d "But what Lei says is true. I'd rather do the work with her than with you."
    $dright = "n"
    $aface ="puzzled"
    $aleft ="explain"
    a "How ?!"
    $aleft ="n"
    $lleft ="n"
    $lright = "waist"
    l "Smart guy. I knew you'd make the right choice."
    d "..."
    a_t"I can’t tell what is going on here..."
    a_t"What is Darren so scared of?"
    a_t"Why was Lei so sure he would want to work with her?"
    a_t"What was I missing from this whole situation?"
    "Lei steps over towards me."
    jump c2_e3_end



label c2_alice_no_friend:
    $dface = "akward"
    $dright = "n"
    $lleft = "n"
    $lright = "waist"
    $aright = "n"
    $aleft = "n"
    $aface= "resolute"
    d "Well... this..."
    d "I think..."
    $dface = "sideakward"
    $dright = "explain"
    d "I'd rather do it with someone else this time."
    $dright = "n"
    $dface ="shy"
    $lface = "disgusted"
    $lleft = "posh"
    l "Excuse me?"
    $lface = "wicked"
    "Lei leans a little closer to him, bringing her face closer, threatening."
    "Darren can't meet her gaze and deflects it to the ground."
    $lleft = "nails"
    $lface= "arrogant"
    l "Let's see if I've missed something..."
    l "Since when does anyone care what you want or think?"
    d "..."
    $aface= "sidelook"
    "I look at them, without interfering."
    a_t"I don't care what is between these two, the only thing that worries me is being left without a partner for the test."
    $lface = "happy"
    l "But... okay."
    $lleft = "nails"
    l "If you are so sure you want to do the job with someone else, I will not interfere with your decision."
    l "But something tells me that deep down you can't wait to do it with me, right 'D'?"
    $lface= "wicked"
    $dface =  "akward"
    "She smiles sharply and gently strokes Darren's cheek."
    "Even from my seat, I can see a chill running through his body. "
    l "Because if you don't want to do the work with me, I'll be forced to have a very interesting chat with the rest of the class."
    l "And what do you think will happen when I explain how... 'creative' you are?"
    l "Do you think they will be able to even look at you again?"
    l "Oh, but why stay in doubt? We can findout right now!"
    "She turns to me."
    l "Newbie, did you know that 'D'..."
    $dface= "angry"
    $aface = "surprise"
    d "NO!!" with vpunch
    "Darren's voice rises above the class, cutting Lei off mid-sentence."
    "Terror is reflected in his eyes."
    $dface= "shy"
    $aface= "mess"
    $pface= "angry"
    $pleft = "explain"
    show profe_n at right with dissolve
    p "Something to tell the whole class, guys?"
    $pleft = "n"
    $lface= "happy"
    "Lei turns to the teacher with her best smile."
    l "All good, Professor Moore!"
    l "We have a hard time containing the enthusiasm of working in pairs, that's all."
    p "Mmmm..."
    $pface = "n"
    $pleft= "up"
    p "Okay, but be careful with the volume please. You're not children at recess."
    $pleft ="n"
    l "Sorry."
    hide profe_n with long
    $aface= "resolute"
    "Professor Moore turns his attention back to the papers he is going through on his desk."
    $lface= "wicked"
    "Lei looks back at us. Her eyes have the brilliance of someone who knows that they’ve already won."
    $aface= "puzzled"
    $aleft= "explain"
    a "What's this all about?"
    $aleft ="n"
    "I question them with my eyes."
    $dface = "sideakward"
    d "..."
    d "Le... Leave it."
    $dface = "shy"
    d "You wouldn't understand."
    $lface= "disgusted"
    $lleft = "nails"
    $aface ="resolute"
    "Lei taps her nails on the table showing her impatience."
    d "..."
    l "Tell me, 'D'."
    $lface= "wicked"
    l "Shall I keep going or would you rather not?"
    $lleft= "posh"
    l "The decision is up to you."
    l "You just have to decide who you want to do the project with."
    "Darren is white as paper. The conflict is reflected in his eyes."
    d "No..."
    $dface= "akward"
    d "We won't... uh, we won't have to have that talk."
    "He fidgets in his chair, gazes at the floor."
    $dface= "shy"
    d "..."
    $dright= "explain"
    d "I'll do the work with you, Lei."
    $dright = "n"
    $aface= "puzzled"
    $aleft = "explain"
    a "How ?!"
    $aleft ="n"
    $aface= "annoyed"
    $lright = "waist"
    $lleft = "n"
    l "Smart guy. I knew you'd make the right choice."
    d "..."
    "I can't understand what’s going on."
    $aface= "puzzled"
    a_t"What is Darren so scared of?"
    a_t"Why was Lei so sure he would want to do the job with her?"
    a_t"Who the hell am I going to team up with?"
    "As if reading my mind, Lei turns to me."
    jump c2_e3_end


label c2_e3_end:
    $aface = "resolute"
    $lface = "happy"
    $dface = "shy"
    $aleft = "n"
    $dright = "n"
    $lleft= "posh"
    $lright ="cross"
    l "But you, my dear, you don't have to worry."
    $lleft ="nails"
    l "As you know, I have a great, great appreciation for you. Too much to leave you without a partner."
    $lface= "wicked"
    l "So I've found someone perfect for you. I'm sure you're going to love it."
    l "Come on, Bonnie!"
    show bonnie_n at right with long
    $iBonnie.option = "show"
    "We are approached by a girl whom I instantly recognize."
    "She's the blonde who sits with Lei in the front row, gossiping with her about me when I was late."
    b "Hi!"
    "I'm starting to see the trouble Lei is putting me in."
    $aface= "scared"
    a "Oh no..."
    $lleft = "posh"
    l "Newbie, Bonnie. Bonnie, newbie."
    $bface = "smile"
    b "Nice to meet you, Newbie!"
    $lface= "happy"
    if iDarren.points > 30:
        $aface= "sidelook"
        "I glance at Darren for help, but he is still staring at the ground."
    $aface= "resolute"
    $bright = "explain"
    $bface = "angry"
    b "What a weird name you have, where is it from?"
    b "German? Russian?"
    $bright = "n"
    b "I hope I don't come across as a racist for asking..."
    $aleft = "explain"
    a "I think you misunderstood..."
    $aleft ="n"
    $bface = "n"
    b "Oh, sorry. Am I not pronouncing it right?"
    $bright = "explain"
    b "Is Niuf Bie better?"
    $bright = "n"
    $aface = "puzzled"
    "The situation is surreal."
    $lface = "wicked"
    $aface= "resolute"
    l "Hahaha, I see you guys are going to have a good time together."
    l "Darren and I are going to read the questionnaire, we will leave you here so that you can get to know each other better."
    $lface = "happy"
    l "Bye, darlings!"
    $dface = "sidelook"
    d "..."
    hide lei_n
    hide darren_n
    with long
    show alice_pink at l2
    show bonnie_n at center
    with move
    "They leave."
    $aface = "sidelook"
    a "..."
    $aface = "n"
    b "..."
    $aface = "sidelook"
    a "..."
    $bright = "explain"
    b "Does this nail color suit me or do you think a nude one, like the one that Lei wears, would be better?"
    $bright = "n"
    $aface= "resolute"
    a "Oh my god..."
    "RIIIIIIIIIIIIIING!" with vpunch
    "The end of class bell rings salvation."
    $pface= "n"
    $aface= "n"
    show profe_n at right with long
    p "Remember to stop by my table to tell me the couples before you leave!"
    p "After the lunch break you will have two hours to work on the questionnaire."
    $pleft = "up"
    p "I recommend that you take advantage of them."
    "Two by two we approach the teacher's table and write down our names."
    hide profe_n with long
    $aleft = "explain"
    a "I'm going out, see you later."
    $aleft= "n"
    hide bonnie_n with long
    "I say goodbye to Bonnie and quickly leave class."
    stop sound fadeout 2.0
    jump c2e5
