
label c2e6:
    play sound sfx_street loop fadein 2.0
    $mbottom = "pants"
    $mtop = "n"
    scene street_day with long
    pause 0.5
    show mean_s at truecenter
    with long
    pause 10.0
    pause
    hide mean_s with long
    stop sound
    scene living_day
    $sface = "angry"
    $sleft = "n"
    $sright = "n"
    show sophie_n at l2
    with long
    s "Prrrr..."
    "Sophie is sitting on the couch, staring at the ceiling while swinging her legs."
    s "Ally has been gone for almost half an hour and no one wakes up here... How boring."
    $sface = "n"
    "Her eyes scan the room."
    "It seems neutral to her, full of things that don’t remind her of Alice at all."
    s "It is also natural, she only arrived yesterday..."
    $sface = "sidelook"
    s "What would Rilke be doing now?"
    $sleft = "happy"
    $sface = "smile"
    s "Knowing him there are only two possible answers: either sleeping or sulking."
    $sface = "n"
    $sleft = "n"
    "Curiosity 'search' the cat."
    "On the other side of the dining room she spots four doors, all of them closed."
    $sface = "sidelook"
    s "If I knew which one is Alice's room, I could go and cuddle him..."
    s "But all four are exactly the same, there are no indications to know what each one leads to."
    $sface= "smile"
    s "I'm sure I could guess it though."
    $sface = "n"
    "She smiles and sits up, but something crosses her mind and she drops reluctantly back onto the couch."
    $sface= "angry"
    s "No! I promised Ally before she left that I would be nice."
    "She moves restlessly."
    $sface = "sidelook"
    s "It can't be that long for the guy to wake up, I can wait"
    $sface = "n"
    $sright = "back"
    $sleft = "back"
    "Looks at the clock: 9:50 AM."
    $sface = "sidelook"
    s "..."
    $sface = "n"
    s "..."
    $sface = "sidelook"
    s "..."
    $sface = "n"
    s "..."
    "Looks at the time again: 9:51 AM."
    $sface = "angry"
    $sright = "n"
    $sleft = "n"
    s "Ouuuch... Damn it..."
    $sface = "n"
    "The hallway is becoming more and more tempting."
    s "It's really not so difficult. Only one is Marco's room, the rest are empty."
    $sface = "sidelook"
    s "Although if I end up entering his room and I meet him it could be uncomfortable."
    $sface = "smile"
    "Her face lights up."
    $sleft = "happy"
    s "Oh!"
    s "I can go over and put my ear to the doors to see if I can hear Rilke breathing."
    s "Or recognize a meow or purr from him that could make my search easier."
    $sface = "sidelook"
    s "Although Rilke, normally, is not very helpful..."
    $sface = "n"
    s "And if I still have bad luck and choose the wrong door, I can say that I got lost looking for the bathroom."
    "She heads down the hall, convinced by herself."
    "She goes to a door, puts her ear on the wood, and listens for a moment. "
    "Repeat the operation three more times."
    $sface = "angry"
    $sleft = "n"
    s "Agh. Nothing."
    $sface = "sidelook"
    s "I have no choice but to leave it up to chance."
    $aface = "smile"
    s "I think it will be..."
    
    $c2_1 = False
    $c2_2 = False
    menu c2_doors:
        "1" if c2_1 == False:
            $c2_1 = True
            $sface= "smile"
            $sleft = "happy"
            s "Yes, I'm sure it this is the right one. It gives me a good vibe."
            "She grabs the knob and opens it little by little, trying to distinguish what is on the other side and..."
            $sleft = "n"
            $sface ="angry"
            s "The bathroom? What a disappointment."
            s "I was pretty sure this was it!"
            s "Agh. Well, one less option."
            $sface= "n"
            jump c2_doors

        "2"if c2_2 == False:
            $c2_2 = True
            $sface = "smile"
            s "I don't know why but this one looks more like Alice's than the others."
            "She opens the door very carefully, revealing its interior: a half-empty room with no personal items."
            $sface = "n"
            s "This must be the vacant room, I guess."
            $sface = "angry"
            s "Too bad."
            s "Time to try my luck again."
            $sface= "sidelook"
            "She looks at the other possible doors trying to decide."
            s "Mmm..."
            jump c2_doors

        "3":
            $sface= "smile"
            $sleft = "happy"
            s "Eeny, meeny, miny... mo!"
            s "It touched you!"
            "She goes to the door and grabs the knob decisively."
            $sface = "n"
            $sleft = "n"
            "But before she can begin to open it, she hears a noise behind her and the shadow of a figure three heads taller than her appears silhouetted in the doorway."
            "Sophie turns quickly."
            jump c2_marco_susto

        "4":
            $sface = "smile"
            $sface = "smile"
            s "Eeny, meeny, miny... mo!"
            s "It touched you!"
            $sface = "n"
            $sleft = "n"
            "She approaches the door decisively, grabs the doorknob and begins to open it when suddenly she feels a tug on the other side and it flies open."
            "In front of her appears a shadow three heads taller than her."
            jump c2_marco_susto

label c2_marco_susto:
    $sface =  "oh"
    $mbottom = "pants"
    $mface = "surprise"
    $sleft = "n"
    $mright = "n"
    $mleft = "n"
    show marco_home at r2 with dissolve
    s "Ahh!"
    m "AHHHH!"
    s "Ahh!"
    m "Ahhha!"
    s "Stop yelling at me!"
    m "Stop yelling at me!"
    "They shut up and take a breath."
    $sface = "angry"
    $mface = "puzzled"
    "The terrifying monster turns out to be... Marco."
    "And although this boy is certainly huge, he isn't so scary."
    s "Ugh..."
    s "Okay, that was quite scary!"
    $mleft= "explain"
    m "I scared you? Really?"
    $mface= "furrowed"
    m "All I did was trying to get out of my room!"
    $mleft = "n"
    m "What were you doing?"
    $sface  = "akward"
    $sleft = "back"
    $sright = "back"
    $sblush = True
    s "Nothing!"
    $sleft = "explain"
    $sright = "n"
    s "This... I was looking for the dining room!"
    $mface = "puzzled"
    $mleft = "explain"
    $sleft = "n"
    m "Um... To get here you had to go through the dining room."
    m "Also, you can see it from the hallway without any difficulties."
    $mleft = "n"
    $sface= "sidelook"
    s "Yeah, I got confused..."
    s "I meant the bathroom."
    $sblush = False
    $sface ="angry"
    r "Meow!"
    s "Are you making noise now, little traitor?"
    if c2_messagemarco:
        jump c2_marco_know

    if c2_messagemarco == False:
        jump c2_marco_not_know


label c2_marco_know:
    $mface = "n"
    m "You must be Sophie, right?"
    $sface = "smile"
    s "Yes! Ally texted you this morning."
    $mleft = "explain"
    m "Yes, you’re lucky I read it."
    m "Otherwise, this would have been weirder than it already is."
    $sleft = "happy"
    $mleft = "n"
    s "Yes, hahaha."
    $mface = "furrowed"
    m "I don't see the humor in this."
    $sface = "akward"
    s "Oops, sorry."
    $sface = "n"
    $mface = "n"
    $mleft = "explain"
    m "Alice told me that you are interested in the spare room."
    $mleft = "n"
    s "Exactly."
    jump c2_sophie_and_marco


label c2_marco_not_know:
    $mface = "puzzled"
    $mleft = "explain"
    m "Wait. You're not the red-haired girl who came yesterday..."
    $mleft = "n"
    $sface= "smile"
    $sleft = "happy"
    "Sophie smiles and holds out her hand to say hello."
    s "I'm Sophie, nice to meet you!"
    "Sophie extends her hand but Marco simply ignores it."
    m "Yes, like that fixes everything..."
    s "Oh wonderful!"
    $sface = "angry"
    $mface= "furrowed"
    m "No! Who the hell are you and what are you doing in my apartment!?"
    s "I'm a friend of Alice, the girl you rented the room yesterday."
    $mleft = "explain"
    m "And she thought it was a good idea to leave a total stranger in the apartment while I slept?"
    $mleft = "n"
    s "We thought you wouldn't mind..."
    m "You thought wrong."
    $sleft = "explain"
    s "Okay, it was a mistake, that's it, right?"
    $sleft = "n"
    "Marco looks at her sideways."
    s "Anyway I had to wait for you to wake up to ask about the spare room."
    m "Ah, are you interested in renting it?"
    s "Exact"
    jump c2_sophie_and_marco


label c2_sophie_and_marco:
    $mface = "n"
    $sface = "n"
    "As he talks, he walks over to the refrigerator, takes out a bottle of milk and sniffs it."
    $mface = "furrowed"
    "The way he frowns, it doesn't seem very drinkable."
    $sface = "angry"
    "Sophie looks at him with some disgust."
    m "Ugh, I better grab my coffee on the way to the office."
    "He returns the bottle to the refrigerator."
    $sface = "sidelook"
    s "Eh... if has gone bad why did you put back in the fridge?"
    $mface = "n"
    "Marco looks at her, processing what she just said."
    $sface = "n"
    m "Right."
    $mleft = "explain"
    m "Sorry, I was up late yesterday, finishing a programming job and I'm only half awake. "
    $mleft = "n"
    $sface = "smile"
    s "You can program? How cool!"
    "Marco takes out the milk and throws it in the trash."
    "While avoiding eye contact with Sophie, he doesn't seem very comfortable talking about himself."
    m "Computer knowledge is a necessity."
    "With that Sophie fills in the gaps."
    "In her mind, Marco becomes a kind of rugged Tony Stark."
    $mleft = "explain"
    m "Going back to the room, when are you planning to move in?"
    $mleft = "n"
    $sface = "sidelook"
    "Sophie nods at the suitcase resting next to the sofa."
    $sleft = "explain"
    s "Now?"
    $sleft = "n"
    $sface = "n"
    $mface= "puzzled"
    "Marco raises an eyebrow, judging, but if he has something in mind he decides not to share it."
    m "Apart from the incident from before, you don't seem like a troublesome person..."
    if c2_messagemarco:
        m"And Alice thinks it's a good idea and she seemed like a pretty nice girl to me."
    $mface = "n"
    "He shrugs."
    m "Whom am I kidding, I need a tenant as much as you need a room and the sooner the better."
    $mleft = "explain"
    m "The room is yours."
    $mleft = "n"
    $sface = "smile"
    $sleft = "happy"
    $mface = "surprise"
    s "Good!"
    s "Many, many, many thanks, Marco!"
    s "Now can I call you buddy?"
    "Marco hallucinates at Sophie's explosion of excitement."
    $mface = "n"
    m "I'd rather not."
    $sleft = "n"
    $sface = "n"
    s "Oh."
    $mleft= "explain"
    m "My number is in the kitchen, try not to call me."
    m "If you have any questions, ask Alice first before bothering me."
    $mleft = "n"
    s "Okay."
    m "I'm going to work, are you staying in the apartment?"
    $sleft = "explain"
    s "If it's not a problem..."
    $sleft = "n"
    $mface= "furrowed"
    m "As long as you don't try to get into my room, do whatever you want."
    $sface = "angry"
    s "He’s so stuck up!"
    $mface = "n"
    m "See you later."
    $sface = "smile"
    $sleft = "happy"
    s "Have a good..."
    hide marco_home with short
    $sface = "angry"
    $slfet = "n"
    "The front door closes. "
    s "... day!"
    "She snorts."
    s "What's wrong with everyone today, they are all so rushed."
    $sface = "n"
    r "Meow!"
    $sface = "smile"
    s "It seems someone wants cuddles."
    scene room_day_mess
    show sophie_n at l2
    $rface = "n"
    show rilke at right
    with long
    "Following the meow, Sophie finally finds Alice's room."
    $aleft = "happy"
    s "I found you, little one!"
    r "Rawr!"
    "Rilke looks at her in surprise."
    s "You didn't expect to see me so soon, huh?"
    s "Well, surprise, from now on we are going to live together!"
    $rface = "roll"
    r "..."
    $rface = "upset"
    $sface = "sidelook"
    "Sophie glances at Rilke."
    s "What a shame."
    $sleft = "explain"
    s "If I knew how happy Rilke was to have Aunt Sophie here, I'd buy him one of those cans that he likes so much."
    $sleft = "n"
    $sface = "smile"
    $rface = "angry"
    r "Rawr!"
    $rface = "n"
    "Rilke rubs itself between her legs lovingly out of interest."
    s "Right now, huh?"
    "She reaches down and strokes him between the ears."
    r "Prrr..."
    "Rilke purrs against her hand and rolls onto his belly."
    "Sophie knows it's a trap."
    "If she scratches his belly, she will only get a couple of scratches and a bite back, so changes the position of her hand and strokes his head."
    s "It seems that Alice has already settled in her room."
    "She smiles."
    $sface = "sidelook"
    s "It won’t hurt anyone if I take a look…"
    hide rilke
    hide sophie_n
    with dissolve
    $look_catbed = 0
    $look_bed = 0
    $look_board = 0
    $look_window = 0
    $look_table = 0
    $look_condoms = 0
    $look_dildo = 0
    $look_mug = 0
    $look_lube = 0
    $look_notebook = 0
    $look_drawer = 0
    "Explore Alice's room!"
    call screen c2_bedroom
