label c4_e6:
    if Darkpy.get('c4_e5_meet_bonnie'):
        call c4_afternoon_bonnie from _call_c4_afternoon_bonnie
    else:
        call c4_afternoon_sophie from _call_c4_afternoon_sophie

    jump c4_e7

label c4_afternoon_bonnie:
    show bonnie_n at r2 with dissolve
    $aface ="n"
    b "Hello Ally!"
    $aface ="smile"
    a "Hey, Bon-Bon!"
    $aface ="+smile"
    a "I wasn't expecting you so soon. Come in, come in."

    if Darkpy.get('c4_e5_sexting_tom'):
        $aface ="sidelook"
        a_t "If I'm honest, I had completely forgotten about her... My conversation with Tom will have to wait."
    elif Darkpy.get('c4_e5_sexting_asdasd123'):
        $aface ="sidelook"
        a_t "In truth, I had completely forgotten about her... The sugardaddy will have to wait longer than expected."

    b "Thank you very much for helping me with the work, girl."
    $aface ="n"
    b "I just opened the dossier, and I didn't even know where to begin."
    $aface ="tired"
    a "The same thing happened to me."
    $aface ="n"
    b "It's a super complicated project. I think William has spent a lot of time setting the delivery date for tomorrow."
    b "It's not fair."
    $aface ="smile"
    a "Well, don't worry. I'm sure that with the two of us it will be easier for you than you think."
    b "Oh! And who is this cutie here?"
    show rilke at center with dissolve
    r "Meow?"
    b "Oish, cute hairball!"
    $aface ="+smile"
    a "Hahaha, I didn't know you liked cats so much!"
    b "I love them! I have a white angora kitten at home, who is the darling of the house."
    $aface ="akward"
    a "This one is called Rilke, but be careful when you pet him. He doesn't usually like strangers."
    "Contrary to my warning, Rilke seems to really like Bonnie."
    r "Prrrrr..."
    b "Oh, how cute, it purrs and everything."
    b "You are comfortable, sweetie, aren't you? Do you like to be scratched behind your ears?"
    r "PRRRRR!"
    b "I'll take that as a yes, hehe."
    $aface ="puzzled"
    a_t "Interesting cat..."
    $aface ="mess"
    a "My roommates might be coming home, so we better work in my room."
    b "Okay!"
    b "Come on, little one."
    r "Rawr!"
    scene room_day_mess
    show alice_pink at l2
    show bonnie_n at r2
    with long
    $aface ="n"
    a "Have you brought your dossier?"
    b "Oops, I think I left it at home..."
    a "Don't worry, we can work with mine."
    "We sat at my desk, notes in hand."
    $aface ="puzzled"
    a "Okay, tell me, what is it you don't understand?"
    $aface ="n"
    b "Mph..."
    b "I think this and that. And that."
    $aface ="surprise"
    a "But that's... almost the entire dossier."
    $aface ="n"
    b "Oh, isn't the girl in these photos the same girl you sometimes talk to on campus?"
    $aface ="smile"
    a "Huh?"
    a "Ah, you mean the polaroids on the cork."
    a "Yes, she is the same girl, Sophie. We have been friends for a long time."
    $aface ="down"
    $ahair ="ndown"
    a "Returning to the dossier..."
    b "And is that you as a child?"
    b "Adorable!"
    $aface ="sidelook"
    $ahair ="n"
    a_t "It seems that Bonnie is more interested in chatting than working."
    a_t "I haven't seen her all day today. I also feel like just hanging out with her more."
    $aface ="akward"
    a_t "But there is still a lot to do..."

    menu:
        "Focus on work [JSMRT5]":
            $Darkpy.set('c4_e6_study', True)
            if not Darkpy.get('c4_test2'):
                $Darkpy.set('c4_test2', 2)
            else:
                $Darkpy.set('c4_test2', Darkpy.get('c4_test2') + 2)

            $aface ="resolute"
            a_t "As difficult as it is, I have to get Bonnie to focus."
            $aface ="n"
            a "What is your favorite part of these projects?"
            b "I think the part I enjoy the most is the drawing part. It comes more naturally to me."
            $aface ="smile"
            a "Do you want us to try to focus on that first? We do the sketch, and then we build the rest of the project around it?"
            a "Perhaps that way, it will be easier for you to understand the rest of it."
            b "Let's try."
            $aface ="down"
            $ahair ="ndown"
            "We both get down to business, moving slowly."
            "To my surprise, Bonnie pulls out the sketch pretty quickly and on the first try."
            $ahair ="n"
            $aface ="+smile"
            a "Hey, you're not bad at all!"
            b "Do you think so?"
            $aface ="mess"
            a "I destroy at least three pages before I get the design I am looking for."
            b "You exaggerate."
            b "But now... I don't know how to continue."
            $aface ="vulnerable"
            a "Writing the concepts is the densest part."
            $aface ="n"
            a "First, try to define the style and then start presenting the structures."
            $aface ="smile"
            a "Leave the physics part for later, if you want, and I'll help you with that."
            b "Okay."
            $aface ="down"
            $ahair ="ndown"
            "We continue for a while each on our own project, helping each other from time to time."
            "..."
            "..."
            $ahair ="n"
            $aface ="sidelook"
            a "What do you think about this? I don't know if it looks good..."
            b "I like it!"
            "..."
            "..."
            b "Could you give calculate this for me? Depending on what the result is, the building could collapse."
            $aface ="smile"
            a "Hahahaha, let me see."
            $aface ="puzzled"
            a "You forgot to add this!"
            b "Ouch, you're right..."
            "..."
            "..."
            $aface ="sidelook"
            b "Okay, I can't take it anymore."
            "Bonnie despairs in her chair, stretching her back."
            $aface ="n"
            b "At least I have completed a good part of the project. And I already know how to deal with the rest of it."
            b "Thanks for your help, Ally."
            $aface ="smile"
            a "Thank you also. Working together made this much more enjoyable for me."
            $iAlice.Smart(5)
            a "I have the feeling I made a lot more progress than I initially thought I would."

            if Darkpy.get('c4_test2') >= 4:
                $ahair ="ndown"
                $aface ="down"
                "I look at the papers in front of me."
                a "Wow, I did more than I thought. With this part done and the one, I did earlier. I believe I already finished the project."
                $ahair ="n"
                $aface ="mess"
                a "Sigh."
                $aface ="smile"
                a "With this, a lot of the weight on my shoulders has been lifted!"

        "Chat with her [JBP]":
            $aface ="tired"
            a_t "I'm too lazy to study right now..."
            $iBonnie.Points(2)
            "I quickly surrender to Bonnie's scattered spirit."
            $aface ="smile"
            menu:
                "Talk about the suggardaddies [JKIN10] [BPH2]" if c2_sugarweb == "in":
                    $Darkpy.set('c4_e6_bonnie_chat_suggardaddies', True)

                    label c4_bxa_photos_scene:
                    if _in_replay:
                        scene room_day_mess
                        show alice_pink at l2
                        show bonnie_n at r2
                        with long

                    a "Just when you arrived, I was on the dating app you recommended."
                    b "The one with the Suggardaddies? What's up?"
                    $aface ="sidelook"
                    a "It's a curious place."
                    b "Hahaha, so you've met strange people."
                    $aface ="akward"
                    a "Some, yes."
                    $aface ="mess"
                    a "Have you found someone you like?"
                    $aface ="n"
                    b "Let's see... I don't think you can use the term 'like' on this site."
                    b "But I have found someone helpful to me."
                    $aface ="surprise"
                    a "Oh, you did? Have you met in person yet?"
                    $aface ="n"
                    b "No, I speak to several people on that page but only online. I don't feel like meeting them in person."
                    $aface ="sidelook"
                    a "So they pay you without ever seeing you, just talking?"
                    $aface ="n"
                    b "Hahaha, that's not it either. They see me."
                    "Bonnie winks at me."
                    b "Haven't you sent any photos yet?"
                    $aface ="akward"
                    a "Well... one. But I was ashamed afterward."
                    b "Ashamed of what? Let me see, show it to me."
                    show alice_pink at left
                    show bonnie_n at right
                    with move
                    show image ("images/scene/c4/c4_couchphoto.webp") at center with dissolve
                    pause 1
                    b "You are beautiful!"
                    b "But haven't you ever sent something more... sexual?"
                    hide image ("images/scene/c4/c4_couchphoto.webp") with dissolve
                    show alice_pink at l2
                    show bonnie_n at r2
                    with move
                    $aface ="annoyed"
                    a "Hey, don't push me. I'm just starting out."
                    $aface ="mess"
                    a "But now I'm curious. What is the most sexual photo you have sent?"
                    b "Well, yesterday I sent my first topless photo."
                    $aface ="+surprise"
                    a "Wow! And how did it feel?"
                    $aface ="n"
                    b "I thought I would feel vulnerable, but..."
                    b "The truth is that I felt... powerful. And beautiful."
                    b "It was an instant self-esteem boost."
                    b "You should try it, even just once."
                    $aface ="akward"
                    a "I don't know... I have a feeling I wouldn't feel comfortable."
                    a "It would look so... tacky."
                    b "Those are taboos. Why would a photo look tacky if you show your chest?"
                    $aface ="puzzled"
                    a "Mmm... Prejudices?"
                    b "Do you want to see what I did? Maybe it helps you see things differently."
                    $aface ="+smile"
                    a "Sure!"
                    "Bonnie takes out her phone and looks through her photos for a moment before showing me her selfie."
                    "Bonnie's chest dominates the image, with her small pink satin knickers."
                    $aface ="surprise"
                    a "Wow... You look beautiful."
                    $aface ="n"
                    b "Well, I do what I can."
                    b "Does this seems tacky to you?"
                    $aface ="embobada"
                    a "No, not at all. It is between sexual and innocent. It is delicate..."
                    b "See, dummy?"
                    $aface ="mess"
                    b "Why don't you try it?"
                    $aface ="scared"
                    a "Oh no. I'm really scared of doing it."
                    $aface ="mess"
                    b "But you just saw me naked!"
                    b "We can try right now! I'll help you take a photo, and if you don't like it, you can erase it."
                    b "It will just be between the two of us."
                    b "But you really have to try it. After I had sent it, I felt invincible."
                    "Sharing selfies with Bonnie quickly made a festive and girly atmosphere in the room."
                    $aface ="vulnerable"
                    a "But if I don't like them, you will delete them, okay?"
                    b "If you want, we can do them with your phone, and then you can decide."
                    $aface ="embobada"
                    a "I like that better."
                    $aface ="puzzled"
                    a "So, what should I do?"
                    $aleft = "pants"
                    $aright = "pants"
                    $aface = "down"
                    $aglasses = "down"
                    $ahair = "ndown"
                    $apants = "jean_off"
                    $aface ="n"
                    "I start to undress shyly."
                    $aright = "n"
                    $aleft = "n"
                    $aface = "smile"
                    $ahair = "n"
                    $aright = "n"
                    $aglasses = "n"
                    $apants = "p_pantie"
                    b "Do the same thing you did before, like the one you showed me, but without your shirt on."
                    b "It's really just taking off a garment."
                    hide alice_pink
                    $aleft = "topless"
                    $atop = False
                    $apantie = "pink"
                    $aright ="n"
                    $aface = "n"
                    $ablush = False
                    show alice_under at l2
                    with dissolve
                    b "Wow, you have a beautiful chest."
                    b "Did you have plastic surgery?"
                    $aface ="annoyed"
                    a "No, not at all!"
                    b "How lucky you are... Mine are so big, hang more, and they are not as smooth."
                    $aface ="sidelook"
                    a "Don't be silly! In the photo, they looked super pretty."
                    b "Not as pretty as yours."
                    b "But let's drop the topic. Where do you think the lighting is good for the photo?"
                    $aface ="smile"
                    a "I think on the bed. We will have good natural light from the window."
                    $aface ="puzzled"
                    a "Should I keep my glasses on?"
                    b "I like how they look on you."
                    $aface ="smile"
                    a "Oh, okay."
                    "I hand Bonnie my phone and climb on my bed."
                    b "You're too tense, Ally. You have to be playful, with more attitude."
                    $aface ="akward"
                    a_t "She's right. I feel uncomfortable. I don't know where or how to put my legs."
                    a_t "And that will definitely show."
                    $aface ="n"
                    b "Imagine I'm the guy who turns you on."
                    b "And you're trying to get me into bed with you."
                    b "Seduce the camera!"
                    $aface ="+smile"
                    a "Hahahaha!"
                    show image ("images/scene/c4/c4_toplessphoto.webp") with dissolve
                    "Bonnie manages to make me laugh, which made me relax a lot more."
                    $aface ="smile"
                    a "What do you think... like this?"
                    b "You are perfect!"
                    b "Let's see. Look at me, look at me..."
                    b "I love that mischievous smirk!"
                    "Click!" with flash
                    b "You'll see, you're going to freak out."
                    hide image ("images/scene/c4/c4_toplessphoto.webp") with dissolve
                    "Bonnie walks over to my bed and hands me the phone."
                    "My cheeks turn red instantly."
                    b "Pretty, huh?"
                    "An Alice, much more sexual than I'm used to, stares back at me from the phone."
                    $aface ="akward"
                    a "I've never seen that side of me..."
                    $aface ="scared"
                    a "Is this how guys I've been with have seen me?"
                    b "Well, if they saw that, they must have gone a mad."
                    $aface ="n"
                    b "With that look and your hand there, you are saying to the viewers: \"Look what you're missing out on\"."
                    $aface ="+sad"
                    $ahair ="ndown"
                    a "Oh, stop, I'm ashamed."
                    $ahair ="n"
                    $aface ="smile"
                    a_t "But Bonnie was right. Seeing myself like this makes me feel empowered, stronger."
                    a "Can we try another?"
                    b "Hahaha, you like it! I knew it!"
                    "Bonnie returns to her photo booth."
                    show image ("images/scene/c4/c4_toplessphoto.webp") with dissolve
                    b "That's the same as before!"
                    $aface ="mess"
                    a "I know, but..."
                    show image ("images/scene/c4/c4_toplesphoto2.webp") with dissolve
                    $iAlice.Kinky(10)
                    $aface ="horny"
                    a "How about like this?"
                    "I brush my panties off with my hand, not taking it off completely, but enough so that everything can be seen."
                    b "Wow!"
                    "Click!{w=1.2}{nw}" with flash
                    "Click!{w=1.2}{nw}" with flash
                    "Click!{w=1.2}{nw}" with flash
                    $iBonnie.Hot(10)
                    b "Pure fire!"
                    $aface ="+smile"
                    a "Hahaha"
                    b "I took about a thousand photos of you. Later you can look at them."
                    $renpy.end_replay()
                    scene room_day_mess
                    $apants = "jean"
                    show alice_pink at l2
                    show bonnie_n at r2
                    with long
                    $aface ="n"
                    "I get out of bed and get dressed again."
                    $aface ="smile"
                    a_t "I laughed so hard with Bonnie that my cheeks hurt."
                    $gallery_unlock_scene('c4_bxa_photos_scene')
                    call pop_scene from _call_pop_scene_3
                "Talk about Sophie's kiss":
                    $Darkpy.set('c4_e6_bonnie_chat_suggardaddies', False)
                    pass

    "Bonnie and I sat on the bed."
    $aface ="smile"
    a_t "I feel very comfortable with her as if I could talk to her about anything."
    $aface ="sidelook"
    a "Can I tell you something? But let it stay between us, you can't tell anyone."
    b "I promise."
    $aface ="scared"
    a "Yesterday Sophie kissed me."
    b "The girl in the photo from before?"
    $aface ="akward"
    a "Yes, my best friend."
    $aface ="+sad"
    $ahair ="ndown"
    a "And... I don't know how to feel about it."
    b "Have you talked about it with her?"
    $ahair ="n"
    $aface ="vulnerable"
    a "I tried this morning. But she said she doesn't remember anything, that she was too drunk."
    b "From your tone of voice, I'd say you don't seem to believe her."
    $aface ="sidelook"
    a "I don't."
    $aface ="n"
    a "I've known her for a long time. I know when she's drunk and when she's had one drink too many."
    $aface ="mess"
    a "This is the first time it happened. I am honest with myself on this matter."
    $aface ="resolute"
    a "But I'm sure she did it on purpose."
    b "And how did you feel?"

    if not c3_kiss_sophie:
        $aface ="akward"
        a "I reacted the only way I could, by pushing her away from me."
        b "Ouch, that must not have been fun."
        $aface ="sad"
        a "It wasn't. She immediately disappeared into her room."
        a "It was so uncomfortable..."
    else:
        $aface ="horny"
        a "I... I kissed her back."
        b "OMG!"
        $aface ="sidelook"
        a "But still, she pretends like it didn't happen. I don't know if she is bothered by something I did."
        a "I don't know, it's all very complicated."

    if gaypoints >= 1:
        $aface ="embobada"
        a "Sometimes, I look at a girl... And I don't know if I want to be like her or be with her, do you understand?"
        b "Hahaha, yes, it happened to me too."
        $aface ="sidelook"
        a "I mean, I've never been with a girl."
        a "But I never knew whether or not I was attracted to them."

        if not c3_kiss_sophie:
            $aface ="scared"
            a "And now I don't know if I pushed her away because I don't like her or because I don't like girls."
        else:
            $aface ="scared"
            a "And now I don't know if I kissed her back because of that curiosity or because I really like Sophie."

        $aface ="+sad"
        $ahair ="ndown"
        a "I'm very confused."
        b "Have you made out with a girl before? Maybe if you tried it once, you could finally see how you feel."
        $ahair ="n"
        $aface ="akward"
        a "No, it was my first kiss with a girl."
        $aface ="puzzled"
        a "Have you ever made out with a girl?"
        $aface ="n"
        b "No."
        $aface ="mess"
        a "And it doesn't make you curious?"
        b "Curious? I guess..."
        $aface ="n"
        b "But I've never been given that opportunity. I don't know."
        b "Also, kisses between girls do not count as \"real kisses\"."
        $aface ="puzzled"
        a "How so?"
        b "You know, they're just kisses between friends."
        a "I don't think they are not \"real\"..."
        $aface ="sidelook"
        menu:
            "Try another girly kiss with Bonnie [JGR53]":
                $Darkpy.set('c4_e6_bonnie_kiss', True)
                label c4_bxa_kiss_scene:
                if _in_replay:
                    scene room_day_mess
                    show alice_pink at l2
                    show bonnie_n at r2
                    with long

                "A small silence crept between us. You could hear our gears spinning over the same idea."
                ab "Would you like..."
                $aface ="+smile"
                ab "Hahahaha!"
                b "If it helps your curiosity..."
                $aface ="smile"
                a "Sure?"
                $aface ="mess"
                a "But only if it's something you'd also like."
                b "I would totally like to try, it's just a kiss between friends."
                "We are both sitting still on the bed, waiting for the other to take the initiative."
                $aface ="akward"
                a "Oops..."
                $aface ="surprise"
                "And the next second, we both jumped, bumping our heads."
                b "Ouch!"
                $aface ="vulnerable"
                a "Okay, we have to do this properly."
                $aface ="resolute"
                a "I will start."
                show image ("images/scene/c4/c4_bxa_kiss.webp") with dissolve
                "With one hand, very delicately, I guide Bonnie's face to mine, closing my eyes."
                "My lips slightly touch hers."
                "That light touch makes her skin crawl, and Bonnie's nose makes my skin tickle wherever she comes closer."
                a_t "She's so sweet..."
                hide image ("images/scene/c4/c4_bxa_kiss.webp") with dissolve
                b "Well? Did it work? Are you less confused?"
                a "I think even more."
                b "You didn't like it?"
                a "I didn't say that."
                a "How was it for you?"
                b "It was... different from what I'm used to."
                "We looked at each other and smiled like two girls who have done something they shouldn't."
                $renpy.end_replay()
                $gallery_unlock_scene('c4_bxa_kiss_scene')
                call pop_scene from _call_pop_scene_4

            "Stay still":
                $Darkpy.set('c4_e6_bonnie_kiss', False)
                pass

    else:
        a "It feels bad to hurt my best friend, but... I just don't like women."
        b "You don't have to feel bad about it, Ally."
        b "If she really is your friend, she will understand. It is not something personal, it is not a matter of choice."
        b "I think you should speak clearly and tell each other how you feel."
        b "If you don't talk through all those doubts and insecurities, things will only get worse."
        a "Yes... Maybe tomorrow I'll look for the right moment. Right now, my head is already too full for such a conversation."
        b "And don't worry. Your secret is safe with me."
        a "Thanks Bon-Bon."
        b "I have to give you safety advice..."
        b "Hahaha!"
        a "Hahaha!"

    "Bonnie starts picking up her things, and I walk her to the door."
    scene living_day
    show alice_pink at l2
    show bonnie_n at r2
    show rilke at center
    with long
    $aface ="smile"
    b "Goodbye, cute thing!"
    r "Rawr!"
    a_t "Obviously, she had to say goodbye to Rilke."
    scene room_day_mess
    show alice_pink at l2
    with long

    return

label c4_afternoon_sophie:
    show sophie_n at r2 with long
    $aface ="n"
    s "Hi Ally!"
    $aface ="puzzled"
    a "Sophie?"
    a "Why are you knocking? Don't you have your key?"
    s "I may have left it inside."
    $aface ="sidelook"
    a "You are a mess."
    s "Hi Rilke! Why are you in the dining room, pretty boy?"
    r "..."
    $aface ="akward"
    a "I better get him back to my room before Marco arrives."
    $aface ="smile"
    a "See you later Sophie!"
    s "Emmm... okay."
    scene room_day_mess
    show alice_pink at l2
    with long

    $aface ="mess"
    a_t "I am not comfortable being around Sophie right now, so I ran away from the living room."

    if Darkpy.get('c4_e5_sexting_asdasd123') or Darkpy.get('c4_e5_sexting_tom'):
        $aface ="horny"
        a_t "Plus, I want to continue chatting with my online admirers."

    if Darkpy.get('c4_e5_sexting_tom'):
        "Tom's chat will be available in C4_FINAL"
    elif Darkpy.get('c4_e5_sexting_asdasd123'):
        label c4_daddy_photo_scene:
        if _in_replay:
            $phone_msg_case = "images/phone/phone.webp"
            $phone_msg_base = "images/phone/phone2.webp"
            $phone_msg_contact_img = None
            $phone_msg_contact_name = "asdasd123"
            $phone_msg_frame_color_me = "#450806"
            $phone_msg_frame_color_other = "#876946"

            scene room_day_mess
            show alice_pink at l1
            with long

        "I sit on the bed, nervous."
        phone "BMB: asdasd123 is still online."
        a "Oh, perfect."
        call phone_start from _call_phone_start_37
        call reply_message (_("I hope you have behaved well in my absence.")) from _call_reply_message_364
        call message(".", _( "Yes, goddess.")) from _call_message_473
        call reply_message (_("I don't know if I believe you...")) from _call_reply_message_365
        call message(".", _( "I promise.")) from _call_message_474
        call reply_message (_("Better this way.")) from _call_reply_message_366
        call reply_message (_("And for being a good boy, maybe you can win a prize.")) from _call_reply_message_367
        call reply_message (_("But only if you earn it.")) from _call_reply_message_368
        call message(".", _( "Whatever you want.")) from _call_message_475
        call reply_message (_("And being so disgusting you're going to have to be generous to earn a picture of me.")) from _call_reply_message_369
        call reply_message (_("Why is that what you want, right?")) from _call_reply_message_370
        call message(".", _( "Yes, redheaded goddess.")) from _call_message_476
        call message(".", _( "Please.")) from _call_message_477
        call message(".", _( "I know I don't deserve it, but I want it.")) from _call_message_478
        a_t "This man is nuts, but this whole thing is fun."
        a_t "And strangely exciting."
        $aleft = "pants"
        $aright = "pants"
        $aface = "down"
        $aglasses = "down"
        $ahair = "ndown"
        $apants = "jean_off"
        $aface = "n"
        "I start to undress shyly."
        $aright = "n"
        $aleft = "n"
        $aface = "smile"
        $ahair = "n"
        $aright = "n"
        $aglasses = "n"
        $apants = "p_pantie"
        a_t "Is the same thing I did before, like the one I send to him before, but without my shirt on."
        a_t "It's really just taking off a garment."
        hide alice_pink
        $aleft = "topless"
        $atop = False
        $apantie = "pink"
        $aright = "n"
        $aface = "n"
        $ablush = False
        show alice_under at l1
        with dissolve
        "I'm looking for the best place to take my new photo."
        a_t "It seems that in bed it is the best option, since it gets natural light from the window."

        $aface = "puzzled"
        a_t "Should I keep my glasses on?"
        a_t "I like how they look on me."
        $aface = "smile"
        "I get on the bed and try various poses, not liking any of them."
        a_t "I'm too tense..."
        $aface = "akward"
        a_t "I feel uncomfortable. I don't know where or how to put my legs."
        a_t "And that will definitely show."
        $aface = "n"
        a_t "But... there is someone on the other end of the phone, waiting for that photo, wanting to pay for it."
        a_t "Who calls me goddess."
        a_t "That she gets hard just talking to me..."
        "I notice that my self-esteem rises at times, giving me the courage that I could not find."
        "I correct my posture, trying to seduce the camera, playfully. Grinning maliciously. "

        call phone_end from _call_phone_end_61
        show image ("images/scene/c4/c4_toplessphoto.webp") with dissolve
        "Click!" with flash
        "I look at the image on the mobile."
        "An Alice, much more sexual than I'm used to, stares back at me from the phone."
        $aface = "akward"
        a_t "I've never seen that side of me..."
        $aface = "scared"
        a_t "Is this how guys I've been with have seen me?"
        a_t "Well, if they saw that, they must have gone a mad."
        $aface = "n"
        a_t "With that look and my hand there, it seems I'm saying to the viewers: 'Look what you're missing out on'."
        $ahair = "n"
        $aface = "smile"
        a_t "Seeing myself like this makes me feel empowered, stronger."
        hide image ("images/scene/c4/c4_toplessphoto.webp") with dissolve
        call phone_start from _call_phone_start_38

        call reply_message (_("I just took a picture.")) from _call_reply_message_371
        call reply_message (_("I may or may not send it to you. That depends only on you. ")) from _call_reply_message_372
        "The answer comes in the form of a notification from the bank."
        phone "+ 200eu"
        a_t "Damn, I still can't believe that someone wants to pay so much for a photo of me…"
        call reply_message (_("Well, not bad.")) from _call_reply_message_373
        call reply_message (_("But I hope the next ones are better.")) from _call_reply_message_374
        call message(".", _( "I will try to improve.")) from _call_message_479
        call reply_message (_("You better do it or you'll be left with nothing.")) from _call_reply_message_375
        "When I attach the photo, my hand shakes slightly."
        a_t "As much as I try to be bad and it comes out quite natural, this is something new for me and it scares me."
        a_t "But because of the humidity in my crotch, it seems that fear rather than stopping me is making me feel like a thousand."
        call message(".", _( "You are so beautiful.")) from _call_message_480
        call message(".", _( "Thank you for letting me access you.")) from _call_message_481
        call message(".", _( "I know I don't deserve it.")) from _call_message_482
        call reply_message (_("And that is why you will have to make that one last, until you earn merits for something else.")) from _call_reply_message_376
        call reply_message (_("Because for now it is the only thing you are going to get, no matter how much you beg.")) from _call_reply_message_377
        call message(".", _( "Thank you.")) from _call_message_483
        call reply_message (_("Thank you, what else?")) from _call_reply_message_378
        call message(".", _( "Thank you goddess.")) from _call_message_484
        call reply_message (_("Better but late. Punished for today, I won't talk to you anymore until you learn manners. ")) from _call_reply_message_379
        call phone_end from _call_phone_end_60
        $renpy.end_replay()
        $gallery_unlock_scene('c4_daddy_photo_scene')
        call pop_scene from _call_pop_scene_5
        "I exit the chat and disconnect."
        a_t "As much as the situation is turning me on, for now it is too much for me."
        a_t "I would not feel comfortable advancing further for now with a stranger."
        a_t "Luckily I was able to present it as a choice and not out of fear."
        a_t "Well saved!"

    return
