label c5_e7:
    scene street_day with long
    pause 3.0
    scene living_day with long

    if Darkpy.get('c5_e1_alice_pink'):
        show alice_pink at l2 with dissolve
    else:
        show alice_black at l2 with dissolve

    if iMarco.points < 39:
        "There is no one in the dining room when I arrive."
        a_t "Looks like I'm not home alone."
        "There is several empty takeout boxes on the counter in the dining room."
        a_t "Well, if Marco has decided to seclude himself in his room, even better."
        a_t "When we see each other all he does is growl..."
        "I fix myself something quick for lunch and go to my room."
        jump c5_mean
    else:
        "*Brrrrr, wham, crash!*"
        a_t "What the...?"
        "I open the door carefully, and the smell of food fills me: tomato and garlic, it seems."
        show marco_home at r2 with long
        "As I enter I can see why: Marco is picking up several pots and pans from the kitchen floor."
        "The top cupboard door is still open."
        a_t "He must have dropped everything trying to get something off the shelf."
        "The noise continues as Marco gets up with several pots in his hands."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Oh, you're here already?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "Yep."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "But what time is it?"
        "Marco takes a quick look at his phone."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "Very late. How could I've been so distracted?"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "And half the things are not done yet..."
        "Recovered from the initial shock, I can better analyze the situation."
        "The kitchen is a mess."
        "The shopping bag is still on the floor next to the fridge, the kitchen counter covered with sauce, pieces of vegetables and knives..."
        a_t "Even the dining room counter is stained."
        a_t "And I thought Marco was a neat boy..."
        a_t "What a disaster."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "mouth"
        $aright = "n"
        a "Has an elephant passed through this kitchen?"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "Well... And around the living room."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "..."
        "Marco looks at me, nervous, but he did not stop cooking."
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "Let's see... how can I explain it to you...?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "I wanted to try an old recipe."
        "I scan the entire dining room with my eyes."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "hair"
        $aright = "n"
        a "Does the recipe include ketchup on the wall and on the couch?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "Very funny..."
        "Marco gives me a nice wry smile."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "I don't know if I've ever told you, but I'm not much of a cook."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        a "I hadn't realized... Until now."
        "I can't help but smile at the look of disgust that my words provoke in Marco."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "If you want, you can go to your room while I finish this."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "hair"
        $aright = "n"
        a "Ah, whatever you are doing, is it for me too?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "I promise, I wouldn't go through all this trouble just to be eating alone."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "When it's just for me, I prefer to order some takeout and that's it."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Cooking for one has some... sadness."
        "Marco shakes his head, trying to erase any thought from his mind."
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "It won't take long, seriously."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "n"
        $aright = "n"
        a "No, no. Don't stop for me. I'll stay here to see how the slaughter continues..."
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "Oops, I mean, the recipe."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "..."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "As you wish."
        "I sit by the kitchen counter, without touching it too much."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Can I get you something to drink?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "hair"
        $aright = "n"
        a "You really know how to treat a lady!"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "That way the show is more enjoyable."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Wine, right?"
        "I nod."
        a_t "A glass of wine and a man cooking... Is there a better plan?"
        a_t "More like, a glass of wine... and a man like Marco cooking."

        if Darkpy.get('c3_marco_sex'):
            a_t "With all the hustle and bustle, it seems that both of us have put aside the awkwardness of these days."
            a_t "We've been avoiding each other since the night we went to bed, and now it suddenly seems like everything is back to normal."
            a_t "If we have even reached any state that can be considered \"normal\" between us."
            a_t "Although we still have to talk about it..."
            a_t "Or not. I don't know."
            a_t "For now I better focus on the present and we'll see where this leads."

        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "mouth"
        $aright = "n"
        a "So are you going to tell me what you were trying to cook?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "You mean what I am going to cook, right?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "n"
        $aright = "n"
        a "Oops, that, yeah, sorry."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "Well... It's a recipe we used to make a while ago and..."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "I mean, a recipe that I haven't cooked for a long time: Spaghetti all'arrabiata."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "Sounds good."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Yes, if you like spicy food."

        if Darkpy.get('c3_marco_sex'):
            "I look at Marco with mischievous eyes, but he either doesn't notice, or he ignores me."

        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "Well, I can take it."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "You'll see when you try it."
        a_t "I could spend hours looking at this scene."
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "C'est fini!"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "The sauce is done. All that remains is to boil the pasta."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Now, if you don't mind, I'm going to clean this up..."
        menu:
            "Help Marco [Gr](Help Marco)":
                $Darkpy.set('c5_e7_help_marco', True)
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "Okay. I'll go change my clothes and help you clean up this mess."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "No need, get some rest. Thanks."
                a_t "He is so stubborn."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Okay, well, then I won't go change and I'll help you either way."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "Do you always do what you want?"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "I try, but people don't always let me."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Besides, you've left everything so filthy that you definitely need help."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "The next time you cook you could put a plastic on the wall, like one of those psycho serial killers, so it would be easier to clean."
                a_t "Alice, you're overdoing it... You don't know how much patience he has."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "Hahahaha."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "Perhaps you are right."
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "Okay, go drop your things in your room, I'll start cleaning."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "Okay, don't finish without me!"
                # ---
                "When I leave my room, the kitchen is practically clean, only the dining room is still dirty."
                a_t "Seeing Marco cleaning is also a show."
                "While he cleans the walls, I take the opportunity to sweep and mop the floor."
                "When I finish, I fall on the sofa, tired."

            "Go to the room until he is finished":
                $Darkpy.set('c5_e7_help_marco', False)
                a_t "It is so necessary, the house is a mess."
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "I'm a little tired, while you fix everything I'm going to leave my things in the room and relax a bit."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "Let me know when you're all set, I can't wait to try your recipe!"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "Mmm... Yeah, okay."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "I wouldn't want to interrupt you in your cleaning spree."
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "Because you messed up..."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "...Don't worry, go, go."
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "I'll clean this in a second."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "When it's ready, I'll call you."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "Perfect."
                "I hear a hint of sadness in his voice."
                a_t "Maybe he wanted to hang out a little more with me."
                a_t "Or just get help cleaning all this up."
                a_t "Sorry, but no."
                a_t "I don't feel like spending my free time cleaning messes that I didn't make."
                # ------------
                "When I leave my room, he is about to finish the cleaning."
                a_t "I'm going to sit on the couch. At least that way I'll keep him a little company."

        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "Okay, all set."
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "I'll put the pasta to boil and in ten minutes we'll have a delicious lunch."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        a "Presumably delicious, you say."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "Are you seriously not going to give me a vote of confidence?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "Well, if it tastes like it smells, it must be delicious."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "Finally a positive comment!"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        m "Am I witnessing a miracle?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "hair"
        $aright = "n"
        a "Ok, now you're exaggerating!"
        am "Hahaha!"
        "Marco sits next to me on the couch."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Sigh."
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "Surely the worst thing about cooking is cleaning up afterwards, huh?"
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "mouth"
        $aright = "n"
        a "Normal people, when they cook, they don't have to clean up for an hour afterwards."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "Hey, screw you!"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "I get it, ok?"
        am "Hahaha!"
        "Without distractions between us, the awkward silence envelops us again."
        "The minutes go by and Marco doesn't say anything."
        a_t "I don't know if he is uncomfortable or if he doesn't want to talk."
        "My head begins to spiral rapidly."
        a_t "What must he be thinking?"
        a_t "Is the onion smell stuck in my hair?"
        a_t "I'm going crazy."
        a_t "Should I say something?"
        a_t "But how do I start the conversation now without it seeming forced?"
        a_t "Perhaps..."
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "Cough, cough."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "smile"
        $aleft = "explain"
        $aright = "n"
        a "What?"
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "Nothing, nothing. I had a cough."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "..."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "..."
        a_t "Perhaps he is annoyed by my jokes on him."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "explain"
        $aright = "n"
        a "Sorry if I made you feel bad with what I said."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "Mmm?"
        $mface = "n"
        $mleft = "n"
        $mright = "head"
        m "No, no... Don't worry."
        $mface = "n"
        $mleft = "n"
        $mright = "n"
        $aface = "n"
        $aleft = "mouth"
        $aright = "n"
        a "Okay, okay. I didn't want to bother you."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "head"
        m "..."
        "Marco seems lost in his thoughts."
        a_t "I'll have to be the one who breaks the ice."

        $temp = []
        menu c5_e7_marco_choices:
            "Talk about college" if not 0 in temp:
                $temp.append(0)
                $Darkpy.set('c5_e7_marco_talk', 'college')
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "When you went to college, was it hard for you to make friends, too?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "Mmmm...?"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "For example, from the first day, there is a girl who tries to make my life a living hell."
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "I don't know why she takes it out on me, but she has a terrible grudge against me."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "I try to ignore her, but I don't know how she does it, because she always ends up bothering me."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "Yes."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "Yes what?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "In my university there were also people like that."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "Sometimes it's better to go unnoticed. Low profile."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "Spend time studying, making plans with people you get along with."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "And little else."
                a_t "Finally he speaks a little more."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "Maybe you're right..."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "But it gets so hard."
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "That's why I arrive so exhausted every day."
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "I have a brutal mental exhaustion."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "Yeah."
                "Marco is interested in what I say, but I notice that he is more shy than usual, especially more so than before."
                jump c5_e7_marco_choices

            "Ask about his day" if not 1 in temp:
                $temp.append(1)
                $Darkpy.set('c5_e7_marco_talk', 'day')
                a_t "Perhaps he likes talking about himself."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "How was your day?"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "Did you do anything interesting?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "Nothing, my work is somewhat boring to explain."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "I don't want to bore you."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "hair"
                $aright = "n"
                a "Oh come on, it can't be that bad. Tell me!"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "I am on a project that is going to kill me."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "If my hair hasn't fallen out yet, it is because I must have good genetics."
                a_t "It is true, the little I know him, I have almost always seen him somewhat stressed."

                if Darkpy.get('c3_marco_sex'):
                    a_t "It is also true that he has great... genetics."

                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "I didn't know your job was so demanding. It must be overwhelming."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "..."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "It is, sometimes."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "It depends on the project, it depends on the client, and it depends on whether the bosses woke up in a good mood that day or not."
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "You know, the usual."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "mouth"
                $aright = "n"
                a "Have you thought about looking for something else?"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "..."
                "Marco sighs"
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "Sometimes."
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "But right now I am not in the ideal situation to make more changes in my life."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "hair"
                $aright = "n"
                a "I'm sorry."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "It's nothing."
                a_t "I didn't remember that the mortgage on this flat falls entirely on Marco..."
                jump c5_e7_marco_choices

            "[Gr]Talk about the night we shared" if Darkpy.get('c3_marco_sex') and not 2 in temp:
                $temp.append(2)
                $Darkpy.set('c5_e7_marco_talk', 'sex')
                a_t "It is time to face the elephant in the room."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Do I make you uncomfortable?"
                a_t "Finesse, that great forgotten art."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "head"
                m "Huh?"
                "Marco goes white and looks away from him."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "..."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "smile"
                $aleft = "n"
                $aright = "n"
                a "That if it bothers you that we are next to each other on the sofa."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "explain"
                $mright = "n"
                m "N-no."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "Why do you say that?"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "Because I can see you're nervous, quiet, I don't know..."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "No, no. Not at all..."
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "mouth"
                $aright = "n"
                a "Look..."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "I've been trying to find the moment for us to talk for several days."
                "At the end of the sentence, Marco begins to crack his fingers, once again demonstrating his nervousness."
                $aface = "n"
                $aleft = "explain"
                $aright = "n"
                a "The other night was good."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "Well, not quite."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "head"
                m "W-what?"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "No, no!"
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                a "Not that it was bad."
                a_t "It seems that communication is not our strong suit today..."
                "I take a deep breath, gathering the courage to express what I want to say."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "I mean that..."
                $aface = "smile"
                $aleft = "explain"
                $aright = "n"
                a "It was really great."
                $aface = "n"
                $aleft = "n"
                $aright = "n"
                $mface = "n"
                $mleft = "n"
                $mright = "n"
                m "..."
                jump c5_e7_marco_choices

        "BEEP, BEEP, BEEP!"
        "The pasta timer echoes through the dining room and gives us a little jump."
        $aface = "n"
        $aleft = "n"
        $aright = "n"
        $mface = "n"
        $mleft = "explain"
        $mright = "n"
        m "I have to go, I'll come right back and bring lunch."
        "Marco gets up and goes to the kitchen."

        if Darkpy.get('c3_marco_sex'):
            jump c5_marco_talk

        jump c5_marco_notalk



label c5_marco_notalk:
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "mouth"
    $aright = "n"
    a "Let me help you."
    "I follow Marco as he strains the pasta and prepares the dishes."
    $aface = "smile"
    $aleft = "explain"
    $aright = "n"
    a "I want a big bowl."
    "Marco raises an eyebrow as he listens to me and spoons copious amounts of sauce onto the pasta."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "Suddenly you believe it will be tasty?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "hair"
    $aright = "n"
    a "It smells really nice..."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "I know."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "Can you get the cutlery?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "explain"
    $aright = "n"
    a "Hmmm...?"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Forks and stuff. Do you need a pasta spoon too?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "mouth"
    $aright = "n"
    a "Huh? Yes, I'll take a spoon."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "Okay."
    "We put the plates on the table."
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "Now let's eat, before the food gets cold."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "I want you to try my recipe."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "n"
    $aright = "n"
    a "So do I! I could have dipped bread on the walls, but I prefer spaghetti."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "You always have a punch, don't you?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "explain"
    $aright = "n"
    a "Always!"
    jump c5_mean








label c5_marco_talk:
    a_t "Now that I've finally started, will the conversation be cut off?"
    a_t "I'm not going to let any wheat derivatives stop me now."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "hair"
    $aright = "n"
    a "Let me help you."
    "I follow Marco as he strains the pasta and prepares the dishes, trying to keep up with my impromptu speech."
    $aface = "smile"
    $aleft = "hair"
    $aright = "n"
    a "What I was saying..."
    $aface = "n"
    $aleft = "hair"
    $aright = "n"
    a "That night everything went well."
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "Although not quite."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "..."
    "Marco raises an eyebrow as he listens to me and spoons copious amounts of sauce onto the pasta."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "hair"
    $aright = "n"
    a "Because my head has been haywire for days."
    $aface = "n"
    $aleft = "hair"
    $aright = "n"
    a "I don't want..."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "Can you get the cutlery?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "explain"
    $aright = "n"
    a "Hmmm...?"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "Forks and stuff. Do you need a pasta spoon too?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "n"
    $aright = "n"
    a "Huh? Yes, I'll take a spoon."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "Okay."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "But back on topic..."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    a "I don't want you to get the wrong impression of what I wanted."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "Didn't you want us to have sex?"
    "He has caught me by surprise and my answer is more sharp than I would have liked."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    a "No."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "No?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "No, that's not it."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    a "I didn't want you to think I was sleeping with you to get anything in return, you know?"
    $aface = "n"
    $aleft = "mouth"
    $aright = "n"
    a "I don't want you to think that."
    a_t "I said it, I said it!"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "..."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "W-why would I think that?"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "What do you get by sleeping with me?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "I don't know, not paying rent?"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "..."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "I would never think that."
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Believe me."
    "We put the plates on the table."
    "Although the tension has dissipated a bit, I still notice Marco very nervous."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "If we're going to talk about this, I need a beer. You want something?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "No, thanks."
    "Marco pours himself a beer and he sits down next to me again."
    a_t "He seems more determined than before."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "You see, I also want to talk about this topic."
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Moreover, the idea was to prepare some lunch to be able to introduce the subject with a little more finesse, but it seems you got ahead of me."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "Oops, sorry."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "No, don't worry. I am not very good at talking about these things and it is difficult for me."
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "You've done me a favor by bringing it up. Knowing me, we could have finished lunch and I would have still not found the time to bring it up myself."

    "Marco puts a hand on my knee and I jump a little, spilling some beer on his crotch."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "hair"
    $aright = "n"
    a "Aaah!"
    $aface = "smile"
    $aleft = "n"
    $aright = "n"
    a "Sorry, sorry, sorry!"
    "I grab a napkin and take a couple of swipes to wipe the beer off his pants."
    "Marco crimsons immediately."
    a_t "Oof, that's not helping..."
    $aface = "smile"
    $aleft = "mouth"
    $aright = "n"
    a "Sorry, sorry..."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "Don't worry, nothing's wrong."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "Like I said... I wanted to talk about it too."
    a_t "Oh, dear..."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "You see..."
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "I had a good time too."
    a_t "Good?"
    a_t "Did he say he had a good time?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    a "Uh-huh."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "But I also don't want you to think we did it because..."
    "He looks for the most correct way to express it, but he is frustrated as he does not find it."
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Because we were drunk."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "I wanted to do it, but maybe not this way."
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "I liked it. A lot."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "But..."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "n"
    $aright = "n"
    a "..."
    "My face must be a picture, because Marco gets more and more nervous."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "Am I explaining myself well by now?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "hair"
    $aright = "n"
    a "That you had a good time, in short."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Yes."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "But no, that's not the point."
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "Special."
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "..."
    "Marco puts his hand on my knee again and turns as red as a tomato."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "I would have liked it to emerge more gradually. Little by little."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "explain"
    $aright = "n"
    a "Oh."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "I'm not one for casual sex, although I have little credibility now."
    a_t "Lovely."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "That's why I would like to..."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    a "Yeah...?"
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    m "Don't answer if you don't want to, ok?"
    "Marco takes a long drink of his beer."
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "Can I take you out to lunch one of these nights?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "explain"
    $aright = "n"
    a "..."
    a_t "All this drama, making lunch, avoiding myself these days..."
    a_t "Was he trying to work up the courage to ask me out on a date?"

    menu:
        "Let's give ourselves a chance":
            $Darkpy.set('c5_e7_marco_talk_sex', 'chance')
            $aface = "n"
            $aleft = "explain"
            $aright = "n"
            a "I would love to."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "explain"
            $mright = "head"
            m "Oof."
            "Marco lets out a sigh of relief that makes me smile."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "mouth"
            $aright = "n"
            a "Do you have a place in mind?"
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "I haven't been anywhere in this city yet, so you'll have to surprise me."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            m "Well, don't expect too much either. I do not plan to go anywhere that forces me to go with suit."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "But it must look great on you!"
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            m "Maybe it does. But you'll never know."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "What a way to generate expectations..."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "head"
            m "Set the bar low and you will never disappoint."
            am "Hahaha!"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "Oh, perfect. I'll at least have to dress pretty to go, right?"
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "head"
            m "Do you ever not?"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "n"
            $aleft = "mouth"
            $aright = "n"
            a "Doofus."
            a_t "It seems that the beer has given him some freedom."
            a_t "How glad I am to be able to treat each other normally again, things flowing between us."
            a_t "Who would have known that we were both afraid of being misunderstood."


        "I prefer only casual sex":
            $Darkpy.set('c5_e7_marco_talk_sex', 'casual')
            a_t "Ugh... What if that other night was more than just a crazy night of sex for him?"
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "Do you think that's the best thing to do?"
            $aface = "smile"
            $aleft = "n"
            $aright = "n"
            a "I don't know... We've just met."
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "We live together."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            m "..."
            "Marco's face color fades to corpse white."
            $mface = "n"
            $mleft = "n"
            $mright = "head"
            m "Ah..."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            a "I don't want this to spoil our friendship."
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "I mean, I had a great time, you were great."
            $aface = "smile"
            $aleft = "mouth"
            $aright = "n"
            a "And it would be nice to be able to repeat it once in a while."
            $aface = "smile"
            $aleft = "mouth"
            $aright = "n"
            a "But I don't know if it's the right thing to do."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "head"
            m "..."
            $mface = "n"
            $mleft = "explain"
            $mright = "head"
            m "Yes. Maybe you are right."
            "Marco's voice doesn't match his response."


        "Won't that cause landlord-tenant problems?":
            $Darkpy.set('c5_e7_marco_talk_sex', 'landlord')
            a_t "Ugh... What if that other night was more than just a crazy night of sex for him?"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "mouth"
            $aright = "n"
            a "Do you think that's the best thing to do?"
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "I don't know... We just met."
            $aface = "n"
            $aleft = "explain"
            $aright = "n"
            a "We live together."
            $aface = "smile"
            $aleft = "n"
            $aright = "n"
            a "The fact that you are my landlord does not help to normalize the situation..."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "explain"
            $mright = "n"
            m "..."
            "This is not the answer he expected. His face is a picture."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "n"
            $aleft = "hair"
            $aright = "n"
            a "Everything seems to be against you."
            $aface = "n"
            $aleft = "hair"
            $aright = "n"
            a "Let's see, the other night was very good, but..."
            $aface = "n"
            $aleft = "explain"
            $aright = "n"
            a "It was a night of sex, and maybe it should stay that way."
            $aface = "smile"
            $aleft = "hair"
            $aright = "n"
            a "I just got here, I wouldn't want there to be tension between us."
            $aface = "smile"
            $aleft = "n"
            $aright = "n"
            a "And maybe it's awkward for Sophie, too."
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            m "..."
            $mface = "n"
            $mleft = "explain"
            $mright = "n"
            m "Perhaps you are right."
            $mface = "n"
            $mleft = "explain"
            $mright = "head"
            m "Better not mess things up anymore."
            $mface = "n"
            $mleft = "n"
            $mright = "head"
            m "Yes, maybe it's better this way."
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            $aface = "smile"
            $aleft = "explain"
            $aright = "n"
            a "Friends?"
            $aface = "n"
            $aleft = "n"
            $aright = "n"
            $mface = "n"
            $mleft = "n"
            $mright = "n"
            m "Friends, of course."
            "Marco's voice doesn't match his response."

    $mface = "n"
    $mleft = "explain"
    $mright = "n"
    m "Now let's eat, before the food gets cold."
    $mface = "n"
    $mleft = "n"
    $mright = "head"
    m "I want you to try my recipe."
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "n"
    $aleft = "mouth"
    $aright = "n"
    a "So do I! I could have dipped bread on the walls, but I prefer spaghetti."
    $aface = "n"
    $aleft = "n"
    $aright = "n"
    $mface = "n"
    $mleft = "explain"
    $mright = "head"
    m "You always have a punch, don't you?"
    $mface = "n"
    $mleft = "n"
    $mright = "n"
    $aface = "smile"
    $aleft = "explain"
    $aright = "n"
    a "Always!"
    jump c5_mean
